﻿
--There is no identity field on States table, so no need for set identity scripts
--SET IDENTITY_INSERT [States] ON;
--GO
--Turn on ability to insert identity (primary key)
SET IDENTITY_INSERT Stations ON;
GO


--insert records here
INSERT INTO [States] (StateID, CCNRegionID, StateCode, StateName)
VALUES 
	(1, 5, 'AK', 'ALASKA'),
	(2, 3, 'AL', 'ALABAMA'),
	(3, 3, 'AR', 'ARKANSAS'),
	(4, 4, 'AZ', 'ARIZONA'),
	(5, 4, 'CA', 'CALIFORNIA'),
	(6, 4, 'CO', 'COLORADO'),
	(7,	1, 'CT', 'CONNECTICUT'),
	(8, 1, 'DC', 'DISTRICT OF COLUMBIA'),
	(9, 1, 'DE', 'DELAWARE'),
	(10, 3, 'FL', 'FLORIDA'),
	(11, 3, 'GA', 'GEORGIA'),
	(12, 4, 'HI', 'HAWAII'),
	(13, 2, 'IA', 'IOWA'),
	(14, 4, 'ID', 'IDAHO'),
	(15, 2, 'IL', 'ILLINOIS'),
	(16, 2, 'IN', 'INDIANA'),
	(17, 2, 'KS', 'KANSAS'),
	(18, 2, 'KY', 'KENTUCKY'),
	(19, 3, 'LA', 'LOUISIANA'),
	(20, 1, 'MA', 'MASSACHUSETTS'),
	(21, 1, 'MD', 'MARYLAND'),
	(22, 1, 'ME', 'MAINE'),
	(23, 2, 'MI', 'MICHIGAN'),
	(24, 2, 'MN', 'MINNESOTA'),
	(25, 2, 'MO', 'MISSOURI'),
	(26, 3, 'MS', 'MISSISSIPPI'),
	(27, 4, 'MT', 'MONTANA'),
	(28, 1, 'NC', 'NORTH CAROLINA'),
	(29, 2, 'ND', 'NORTH DAKOTA'),
	(30, 2, 'NE', 'NEBRASKA'),
	(31, 1, 'NH', 'NEW HAMPSHIRE'),
	(32, 1, 'NJ', 'NEW JERSEY'),
	(33, 4, 'NM', 'NEW MEXICO'),
	(34, 1, 'NY', 'NEW YORK'),
	(35, 4, 'NV', 'NEVADA'),
	(36, 2, 'OH', 'OHIO'),
	(37, 3, 'OK', 'OKLAHOMA'),
	(38, 4, 'OR', 'OREGON'),
	(39, 1,	'PA', 'PENNSYLVANIA'),
	(40, 3, 'PR', 'PUERTO RICO'),
	(41, 1, 'RI', 'RHODE ISLAND'),
	(42, 3, 'SC', 'SOUTH CAROLINA'),
	(43, 2, 'SD', 'SOUTH DAKOTA'),
	(44, 3, 'TN', 'TENNESSEE'),
	(45, 4, 'TX', 'TEXAS'),
	(46, 4, 'UT', 'UTAH'),
	(47, 1, 'VA', 'VIRGINIA'),
	(48, 1, 'VT', 'VERMONT'),
	(49, 4, 'WA', 'WASHINGTON'),
	(50, 2, 'WI', 'WISCONSIN'),
	(51, 1, 'WV', 'WEST VIRGINIA'),
	(52, 4, 'WY', 'WYOMING'),
	(53, 6, 'AS', 'AMERICAN SAMOA'),
	(54, 6, 'FM', 'FEDERATED STATES OF MICRONESIA'),
	(55, 6, 'GU', 'GUAM'),
	(56, 6, 'MH', 'MARSHALL ISLANDS'),
	(57, 6, 'MP', 'COMMONWEALTH OF THE NORTHERN MARIANA ISLANDS'),
	(58, 6, 'PW', 'PALAU'),
	(59, 3, 'VI', 'U.S. VIRGIN ISLANDS'),
	(60, 6, 'UM', 'U.S. MINOR OUTLYING ISLANDS'),
	(61, 6, 'PI', 'PHILIPPINES')

--Turn off ability to insert identities
SET IDENTITY_INSERT [States] OFF;
GO
