﻿--Turn on ability to insert identity (primary key)
SET IDENTITY_INSERT Stations ON;
GO

--TODO: Haven't yet identified what stations we should try and parse for Station6As
INSERT [dbo].[Stations] ([StationID], [ParentStationID], [RegionID], [CCNRegionID], [VisnID], [StateID], [Station3N], 
	[Station6A], [Moniker], [StationName], [ParentStationName], [DisplayName], [Address1], [Address2], [Address3], 
	[City], [ZipCode], [ZipCode4], [Longitude], [Latitude], [ParentStation], [TryParseStation6A], [Inactive], 
	[DateInactive]) 
VALUES 
	(358, 358, 1, 6, 21, 61, N'358', N'358', NULL, N'Manila', NULL, N'Manila', N'1501 Roxas Boulevard', NULL, NULL, N'Pasay City', N'1302', NULL, CAST(120.9926300000 AS Numeric(18, 10)), CAST(14.5392400000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (402, 402, 4, 1, 1, 22, N'402', N'402', NULL, N'Togus', NULL, N'VA Maine Healthcare System - Togus', NULL, N'1 VA Center', NULL, N'Augusta', N'04330', N'6796', CAST(-69.7041358600 AS Numeric(18, 10)), CAST(44.2802701000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (405, 405, 4, 1, 1, 48, N'405', N'405', NULL, N'White River Jct', NULL, N'White River Junction VA Medical Center', NULL, N'163 Veterans Drive', NULL, N'White River Junction', N'05001', NULL, CAST(-72.3423750600 AS Numeric(18, 10)), CAST(43.6478969600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (436, 436, 1, 4, 19, 27, N'436', N'436', NULL, N'Montana HCS', NULL, N'VA Montana Health Care System', NULL, N'3687 Veterans Drive', NULL, N'Fort Harrison', N'59636', N'9703', CAST(-112.1018306100 AS Numeric(18, 10)), CAST(46.6176232700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (437, 437, 2, 2, 23, 29, N'437', N'437', NULL, N'Fargo', NULL, N'Fargo VA Healthcare System', N'', N'2101 Elm Street', NULL, N'Fargo', N'58102', N'2498', CAST(-96.7767994800 AS Numeric(18, 10)), CAST(46.9065067700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (438, 438, 2, 2, 23, 43, N'438', N'438', NULL, N'Sioux Falls', NULL, N'Sioux Falls VA Health Care System', NULL, N'2501 West 22nd Street', NULL, N'Sioux Falls', N'57105', N'5046', CAST(-96.7564497700 AS Numeric(18, 10)), CAST(43.5330114700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (442, 442, 1, 4, 19, 52, N'442', N'442', NULL, N'Cheyenne', NULL, N'Cheyenne VA Medical', NULL, N'2360 East Pershing Boulevard', NULL, N'Cheyenne', N'82001', N'5356', CAST(-104.7895949000 AS Numeric(18, 10)), CAST(41.1457280000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (459, 459, 1, 4, 21, 12, N'459', N'459', NULL, N'Pacific Islands HCS (Honolulu)', NULL, N'VA Pacific Islands Health Care System', N'', N'459 Patterson Road', NULL, N'Honolulu', N'96819', N'1522', CAST(-157.8888455500 AS Numeric(18, 10)), CAST(21.3612598600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (460, 460, 4, 1, 4, 9, N'460', N'460', NULL, N'Wilmington', NULL, N'Wilmington VA Medical Center', NULL, N'1601 Kirkwood Highway', NULL, N'Wilmington', N'19805', N'4917', CAST(-75.6056247100 AS Numeric(18, 10)), CAST(39.7387679600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (463, 463, 1, 5, 20, 1, N'463', N'463', NULL, N'Alaska HCS', NULL, N'Alaska VA Healthcare System', NULL, N'1201 North Muldoon Road', NULL, N'Anchorage', N'99504', N'6104', CAST(-149.7446279800 AS Numeric(18, 10)), CAST(61.2313566400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (501, 501, 1, 4, 22, 33, N'501', N'501', NULL, N'New Mexico HCS', NULL, N'New Mexico VA Health Care System', NULL, N'1501 San Pedro Drive, Southeast', NULL, N'Albuquerque', N'87108', N'5153', CAST(-106.5776840500 AS Numeric(18, 10)), CAST(35.0551930800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (502, 502, 2, 3, 16, 19, N'502', N'502', NULL, N'Alexandria', NULL, N'Alexandria VA Health Care System', NULL, N'2495 Shreveport Highway', NULL, N'Pineville', N'71360', N'4044', CAST(-92.4343265900 AS Numeric(18, 10)), CAST(31.3552139400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (503, 503, 4, 1, 4, 39, N'503', N'503', NULL, N'James E. Van Zandt VA(Altoona)', NULL, N'Altoona - James E. Van Zandt VA Medical Center', NULL, N'2907 Pleasant Valley Boulevard', NULL, N'Altoona', N'16602', N'4305', CAST(-78.3986696400 AS Numeric(18, 10)), CAST(40.4884460300 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (504, 504, 1, 4, 17, 45, N'504', N'504', NULL, N'Amarillo HCS', NULL, N'Amarillo VA Health Care System', NULL, N'6010 Amarillo Boulevard, West', NULL, N'Amarillo', N'79106', N'1991', CAST(-101.9051005700 AS Numeric(18, 10)), CAST(35.2032834600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (506, 506, 3, 2, 10, 23, N'506', N'506', NULL, N'Ann Arbor HCS', NULL, N'VA Ann Arbor Healthcare System', NULL, N'2215 Fuller Road', NULL, N'Ann Arbor', N'48105', N'2303', CAST(-83.7123003500 AS Numeric(18, 10)), CAST(42.2872849600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (508, 508, 3, 3, 7, 11, N'508', N'508', NULL, N'Decatur', NULL, N'Atlanta VA Medical Center', NULL, N'1670 Clairmont Road', NULL, N'Decatur', N'30033', N'4004', CAST(-84.3102256600 AS Numeric(18, 10)), CAST(33.8022431600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (509, 509, 3, 3, 7, 11, N'509', N'509', NULL, N'Augusta', NULL, N'Charlie Norwood VA Medical Center - Downtown Division', NULL, N'950 15th Street', NULL, N'Augusta', N'30904', N'2608', CAST(-82.1725496500 AS Numeric(18, 10)), CAST(33.4286525400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (512, 512, 4, 1, 5, 21, N'512', N'512', NULL, N'Baltimore', NULL, N'Baltimore VA Medical Center - VA Maryland Health Care System', NULL, N'10 North Greene Street', NULL, N'Baltimore', N'21201', N'1524', CAST(-76.6237359000 AS Numeric(18, 10)), CAST(39.2897286100 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (515, 515, 3, 2, 10, 23, N'515', N'515', NULL, N'Battle Creek', NULL, N'Battle Creek VA Medical Center', NULL, N'5500 Armstrong Road', NULL, N'Battle Creek', N'49037', N'7314', CAST(-85.2979339000 AS Numeric(18, 10)), CAST(42.3472301000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (516, 516, 3, 3, 8, 10, N'516', N'516', NULL, N'Bay Pines', NULL, N'C.W. Bill Young VA Medical Center', NULL, N'10000 Bay Pines Boulevard', NULL, N'Bay Pines', N'33744', N'8200', CAST(-82.7794577100 AS Numeric(18, 10)), CAST(27.8138572700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (517, 517, 3, 1, 5, 51, N'517', N'517', NULL, N'Beckley', NULL, N'Beckley VA Medical Center', NULL, N'200 Veterans Avenue', NULL, N'Beckley', N'25801', N'6444', CAST(-81.1919904200 AS Numeric(18, 10)), CAST(37.7660397100 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (518, 518, 4, 1, 1, 20, N'518', N'518', NULL, N'Bedford', NULL, N'Edith Nourse Rogers Memorial Veterans Hospital', NULL, N'200 Springs Road', NULL, N'Bedford', N'01730', N'1114', CAST(-71.2726773500 AS Numeric(18, 10)), CAST(42.5036831800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (519, 519, 1, 4, 17, 45, N'519', N'519', NULL, N'West Texas HCS', NULL, N'West Texas VA Health Care System', NULL, N'300 Veterans Boulevard', NULL, N'Big Spring', N'79720', N'5566', CAST(-101.4711563400 AS Numeric(18, 10)), CAST(32.2318815200 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (520, 520, 2, 3, 16, 26, N'520', N'520', NULL, N'Gulf Coast HCS', NULL, N'Gulf Coast Veterans Health Care System', NULL, N'400 Veterans Avenue', NULL, N'Biloxi', N'39531', N'2410', CAST(-88.9472098300 AS Numeric(18, 10)), CAST(30.4090109100 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (521, 521, 3, 3, 7, 2, N'521', N'521', NULL, N'Birmingham', NULL, N'Birmingham VA Medical Center', NULL, N'700 South 19th Street', NULL, N'Birmingham', N'35233', N'1927', CAST(-86.8009730000 AS Numeric(18, 10)), CAST(33.5047370000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (523, 523, 4, 1, 1, 20, N'523', N'523', NULL, N'VA Boston HCS- Boston Div.', NULL, N'VA Boston Healthcare System, Jamaica Plain Campus', NULL, N'150 South Huntington Avenue', NULL, N'Boston', N'02130', N'4817', CAST(-71.1110994100 AS Numeric(18, 10)), CAST(42.3270244000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (526, 526, 4, 1, 2, 34, N'526', N'526', NULL, N'Bronx', NULL, N'James J. Peters VA Medical Center (Bronx, NY)', NULL, N'130 West Kingsbridge Road', NULL, N'Bronx', N'10468', N'3904', CAST(-73.9031288900 AS Numeric(18, 10)), CAST(40.8690896600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (528, 528, 4, 1, 2, 34, N'528', N'528', NULL, N'Upstate New York HCS', NULL, N'VA Western New York Healthcare System at Buffalo', NULL, N'3495 Bailey Avenue', NULL, N'Buffalo', N'14215', N'1129', CAST(-78.8136828500 AS Numeric(18, 10)), CAST(42.9512201600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (529, 529, 4, 1, 4, 39, N'529', N'529', NULL, N'Butler', NULL, N'VA Butler Healthcare', NULL, N'353 North Duffy Road', NULL, N'Butler', N'16001', N'1138', CAST(-79.9413064300 AS Numeric(18, 10)), CAST(40.8904586400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (531, 531, 1, 4, 20, 14, N'531', N'531', NULL, N'Boise', NULL, N'Boise VA Medical Center', N'', N'500 West Fort Street', NULL, N'Boise', N'83702', N'4501', CAST(-116.1947794400 AS Numeric(18, 10)), CAST(43.6192563000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (534, 534, 3, 3, 7, 42, N'534', N'534', NULL, N'Charleston', NULL, N'Ralph H. Johnson VA Medical Center', NULL, N'109 Bee Street', NULL, N'Charleston', N'29401', N'5799', CAST(-79.9533219100 AS Numeric(18, 10)), CAST(32.7853045000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (537, 537, 2, 2, 12, 15, N'537', N'537', NULL, N'Jesse Brown VAMC - Chicago HCS', NULL, N'Jesse Brown VA Medical Center', NULL, N'820 South Damen Avenue', NULL, N'Chicago', N'60612', N'3728', CAST(-87.6763794300 AS Numeric(18, 10)), CAST(41.8709313300 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (538, 538, 3, 2, 10, 36, N'538', N'538', NULL, N'Chillicothe', NULL, N'Chillicothe VA Medical Center', NULL, N'17273 State Route 104', NULL, N'Chillicothe', N'45601', N'9718', CAST(-83.0126847600 AS Numeric(18, 10)), CAST(39.3908118500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (539, 539, 3, 2, 10, 36, N'539', N'539', NULL, N'Cincinnati', NULL, N'Cincinnati VA Medical Center', NULL, N'3200 Vine Street', NULL, N'Cincinnati', N'45220', N'2213', CAST(-84.5093652600 AS Numeric(18, 10)), CAST(39.1401078800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (540, 540, 4, 1, 5, 51, N'540', N'540', NULL, N'Clarksburg', NULL, N'Clarksburg - Louis A. Johnson VA Medical Center', NULL, N'1 Medical Center Drive', NULL, N'Clarksburg', N'26301', N'4155', CAST(-80.3614242200 AS Numeric(18, 10)), CAST(39.2703399600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (541, 541, 3, 2, 10, 36, N'541', N'541', NULL, N'Cleveland-Wade Park', NULL, N'Louis Stokes Cleveland VA Medical Center', NULL, N'10701 East Boulevard', NULL, N'Cleveland', N'44106', N'1702', CAST(-81.6132039400 AS Numeric(18, 10)), CAST(41.5126380200 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (542, 542, 4, 1, 4, 39, N'542', N'542', NULL, N'Coatesville', NULL, N'Coatesville VA Medical Center', NULL, N'1400 Black Horse Hill Road', NULL, N'Coatesville', N'19320', N'2096', CAST(-75.8047031300 AS Numeric(18, 10)), CAST(39.9973225700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (544, 544, 3, 3, 7, 42, N'544', N'544', NULL, N'Columbia SC', NULL, N'Wm. Jennings Bryan Dorn VA Medical Center', NULL, N'6439 Garners Ferry Road', NULL, N'Columbia', N'29209', N'1638', CAST(-80.9618661400 AS Numeric(18, 10)), CAST(33.9799776700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (546, 546, 3, 3, 8, 10, N'546', N'546', NULL, N'Miami', NULL, N'Miami VA Healthcare System', NULL, N'1201 Northwest 16th Street', NULL, N'Miami', N'33125', N'1624', CAST(-80.2161719100 AS Numeric(18, 10)), CAST(25.7904377900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (548, 548, 3, 3, 8, 10, N'548', N'548', NULL, N'W Palm Beach', NULL, N'West Palm Beach VAMC', NULL, N'7305 North Military Trail', NULL, N'West Palm Beach', N'33410', N'6400', CAST(-80.1072714300 AS Numeric(18, 10)), CAST(26.7858921700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (549, 549, 2, 4, 17, 45, N'549', N'549', NULL, N'Dallas VAMC', NULL, N'Dallas VA Medical Center', NULL, N'4500 South Lancaster Road', NULL, N'Dallas', N'75216', N'7167', CAST(-96.7928990200 AS Numeric(18, 10)), CAST(32.6941080400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (550, 550, 3, 2, 12, 15, N'550', N'550', NULL, N'Illiana HCS (Danville)', NULL, N'VA Illiana Health Care System', NULL, N'1900 East Main Street', NULL, N'Danville', N'61832', N'5100', CAST(-87.5922768400 AS Numeric(18, 10)), CAST(40.1317901500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (552, 552, 3, 2, 10, 36, N'552', N'552', NULL, N'Dayton', NULL, N'Dayton VA Medical Center', NULL, N'4100 West Third Street', NULL, N'Dayton', N'45428', N'9000', CAST(-84.2532443000 AS Numeric(18, 10)), CAST(39.7493952500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (553, 553, 3, 2, 10, 23, N'553', N'553', NULL, N'Detroit (John D. Dingell)', NULL, N'John D. Dingell VA Medical Center', NULL, N'4646 John R Street', NULL, N'Detroit', N'48201', N'1916', CAST(-83.0603412800 AS Numeric(18, 10)), CAST(42.3551410200 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (554, 554, 1, 4, 19, 6, N'554', N'554', NULL, N'Eastern Colorado HCS', NULL, N'VA Eastern Colorado Health Care System(ECHCS)', NULL, N'1700 North Wheeling Street', NULL, N'Aurora', N'80045', N'7211', CAST(-104.8309710000 AS Numeric(18, 10)), CAST(39.7445400000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (556, 556, 2, 2, 12, 15, N'556', N'556', NULL, N'North Chicago IL', NULL, N'Captain James A. Lovell Federal Health Care Center', NULL, N'3001 Greenbay Road', NULL, N'North Chicago', N'60064', N'3048', CAST(-87.8624733700 AS Numeric(18, 10)), CAST(42.3084163000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (557, 557, 3, 3, 7, 11, N'557', N'557', NULL, N'Dublin', NULL, N'Carl Vinson VA Medical Center', NULL, N'1826 Veterans Boulevard', NULL, N'Dublin', N'31021', N'3620', CAST(-82.9403598900 AS Numeric(18, 10)), CAST(32.5382439900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (558, 558, 3, 1, 6, 28, N'558', N'558', NULL, N'Durham', NULL, N'Durham VA Medical Center', N'', N'508 Fulton Street', NULL, N'Durham', N'27705', N'3875', CAST(-78.9373040200 AS Numeric(18, 10)), CAST(36.0097617000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (561, 561, 4, 1, 2, 34, N'561', N'561', NULL, N'New Jersey HCS', NULL, N'East Orange Campus of the VA New Jersey Health Care System', NULL, N'385 Tremont Avenue', NULL, N'East Orange', N'07018', N'1023', CAST(-74.2343554300 AS Numeric(18, 10)), CAST(40.7538690600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (562, 562, 4, 1, 4, 39, N'562', N'562', NULL, N'Erie', NULL, N'Erie VA Medical Center', NULL, N'135 East 38th Street', NULL, N'Erie', N'16504', N'1559', CAST(-80.0655802900 AS Numeric(18, 10)), CAST(42.1026731500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (564, 564, 2, 3, 16, 3, N'564', N'564', NULL, N'Fayetteville AR', NULL, N'Veterans Health Care System of the Ozarks', N'', N'1100 North College Avenue', NULL, N'Fayetteville', N'72703', N'1944', CAST(-94.1570461600 AS Numeric(18, 10)), CAST(36.0772286200 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (565, 565, 3, 1, 6, 28, N'565', N'565', NULL, N'Fayetteville NC', NULL, N'Fayetteville VA Medical Center', N'2300 Ramsey St', NULL, NULL, N'Fayetteville', N'28301', NULL, CAST(-78.8767700000 AS Numeric(18, 10)), CAST(35.0884100000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (568, 568, 2, 2, 23, 43, N'568', N'568', NULL, N'Fort Meade', NULL, N'VA Black Hills Health Care System - Fort Meade Campus', NULL, N'113 Comanche Road', NULL, N'Fort Meade', N'57741', N'1002', CAST(-103.4748623700 AS Numeric(18, 10)), CAST(44.4125220500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (570, 570, 1, 4, 21, 5, N'570', N'570', NULL, N'Fresno', NULL, N'VA Central California Health Care System', N'', N'2615 East Clinton Avenue', NULL, N'Fresno', N'93703', N'2223', CAST(-119.7792490200 AS Numeric(18, 10)), CAST(36.7722981500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (573, 573, 3, 3, 8, 10, N'573', N'573', NULL, N'N. Florida/S. Georgia HCS-Gainesville', NULL, N'Malcom Randall VAMC, NF/SGVHS', NULL, N'1601 Southwest Archer Road', NULL, N'Gainesville', N'32608', N'1135', CAST(-82.3450309100 AS Numeric(18, 10)), CAST(29.6384741800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (575, 575, 1, 4, 19, 6, N'575', N'575', NULL, N'Grand Junction', NULL, N'Grand Junction VA Medical Center', NULL, N'2121 North Avenue', NULL, N'Grand Junction', N'81501', N'6428', CAST(-108.5407206500 AS Numeric(18, 10)), CAST(39.0772727900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (578, 578, 2, 2, 12, 15, N'578', N'578', NULL, N'Hines', NULL, N'Edward Hines Jr. VA Hospital', NULL, N'5000 South 5th Avenue', NULL, N'Hines', N'60141', N'3030', CAST(-87.8406829700 AS Numeric(18, 10)), CAST(41.8606161800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (580, 580, 2, 3, 16, 45, N'580', N'580', NULL, N'Houston', NULL, N'Michael E. DeBakey VA Medical Center', NULL, N'2002 Holcombe Boulevard', NULL, N'Houston', N'77030', N'4211', CAST(-95.3887437300 AS Numeric(18, 10)), CAST(29.7065133800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (581, 581, 3, 1, 5, 51, N'581', N'581', NULL, N'Huntington', NULL, N'Huntington VA Medical Center', NULL, N'1540 Spring Valley Drive', NULL, N'Huntington', N'25704', N'9300', CAST(-82.5179168600 AS Numeric(18, 10)), CAST(38.3840436400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (583, 583, 3, 2, 10, 16, N'583', N'583', NULL, N'Indianapolis', NULL, N'Richard L. Roudebush VA Medical Center (Indianapolis VA Medical Center)', NULL, N'1481 West Tenth Street', NULL, N'Indianapolis', N'46202', N'2884', CAST(-86.1864575600 AS Numeric(18, 10)), CAST(39.7797830900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (585, 585, 2, 2, 12, 23, N'585', N'585', NULL, N'Iron Mountain MI', NULL, N'Oscar G. Johnson VA Medical Center', NULL, N'325 East H Street', NULL, N'Iron Mountain', N'49801', N'4760', CAST(-88.0601760000 AS Numeric(18, 10)), CAST(45.8100200000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (586, 586, 2, 3, 16, 26, N'586', N'586', NULL, N'G. V. (Sonny) Montgomery VAMC', NULL, N'G.V. (Sonny) Montgomery VA Medical Center', NULL, N'1500 East Woodrow Wilson Drive', NULL, N'Jackson', N'39216', N'5116', CAST(-90.1707308500 AS Numeric(18, 10)), CAST(32.3268278300 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (589, 589, 2, 2, 15, 25, N'589', N'589', NULL, N'Kansas City', NULL, N'Kansas City VA Medical Center', NULL, N'4801 Linwood Boulevard', NULL, N'Kansas City', N'64128', N'2226', CAST(-94.5287533000 AS Numeric(18, 10)), CAST(39.0672509000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (590, 590, 3, 1, 6, 47, N'590', N'590', NULL, N'Hampton', NULL, N'Hampton VA Medical Center', NULL, N'100 Emancipation Drive', NULL, N'Hampton', N'23667', N'0001', CAST(-76.3332621600 AS Numeric(18, 10)), CAST(37.0152981500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (593, 593, 1, 4, 21, 35, N'593', N'593', NULL, N'Southern Nevada HCS', NULL, N'VA Southern Nevada Healthcare System (VASNHS)', NULL, N'6900 North Pecos Road', NULL, N'North Las Vegas', N'89086', N'4400', CAST(-115.0986859700 AS Numeric(18, 10)), CAST(36.2829833400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (595, 595, 4, 1, 4, 39, N'595', N'595', NULL, N'Lebanon', NULL, N'Lebanon VA Medical Center', N'', N'1700 South Lincoln Avenue', NULL, N'Lebanon', N'17042', N'7529', CAST(-76.4083522600 AS Numeric(18, 10)), CAST(40.3148271700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (596, 596, 3, 2, 9, 18, N'596', N'596', NULL, N'Lexington-Leestown', NULL, N'Lexington VAMC: Leestown Division', NULL, N'2250 Leestown Road', NULL, N'Lexington', N'40511', N'1052', CAST(-84.5375257200 AS Numeric(18, 10)), CAST(38.0747762600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (598, 598, 2, 3, 16, 3, N'598', N'598', NULL, N'Central AR. Veterans HCS LR', NULL, N'Central Arkansas Veterans Healthcare System John L. McClellan Memorial Veterans Hospital', NULL, N'4300 West Seventh Street', NULL, N'Little Rock', N'72205', N'5446', CAST(-92.3219518600 AS Numeric(18, 10)), CAST(34.7450032200 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (600, 600, 1, 4, 22, 5, N'600', N'600', NULL, N'Long Beach HCS', NULL, N'VA Long Beach Healthcare System', NULL, N'5901 East Seventh Street', NULL, N'Long Beach', N'90822', N'5201', CAST(-118.1199295700 AS Numeric(18, 10)), CAST(33.7753284800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (603, 603, 3, 2, 9, 18, N'603', N'603', NULL, N'Louisville', NULL, N'Robley Rex VA Medical Center', N'', N'800 Zorn Avenue', NULL, N'Louisville', N'40206', N'1433', CAST(-85.6941781000 AS Numeric(18, 10)), CAST(38.2707923200 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (605, 605, 1, 4, 22, 5, N'605', N'605', NULL, N'Loma Linda VAMC', NULL, N'VA Loma Linda Healthcare System', NULL, N'11201 Benton Street', NULL, N'Loma Linda', N'92357', N'1000', CAST(-117.2523640200 AS Numeric(18, 10)), CAST(34.0501543500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (607, 607, 2, 2, 12, 50, N'607', N'607', NULL, N'Madison WI', NULL, N'William S. Middleton Memorial Veterans Hospital', NULL, N'2500 Overlook Terrace', NULL, N'Madison', N'53705', N'2254', CAST(-89.4310325500 AS Numeric(18, 10)), CAST(43.0751464600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (608, 608, 4, 1, 1, 31, N'608', N'608', NULL, N'Manchester', NULL, N'Manchester VA Medical Center', NULL, N'718 Smyth Road', NULL, N'Manchester', N'03104', N'7007', CAST(-71.4393358500 AS Numeric(18, 10)), CAST(43.0119549600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (610, 610, 3, 2, 10, 16, N'610', N'610', NULL, N'N. Indiana HCS-Marion', NULL, N'VA Northern Indiana Health Care System - Marion Campus', NULL, N'1700 East 38th Street', NULL, N'Marion', N'46953', N'4568', CAST(-85.6371544600 AS Numeric(18, 10)), CAST(40.5237325300 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (612, 612, 1, 4, 21, 5, N'612', N'612', NULL, N'N. California HCS-Martinez', NULL, N'VA Northern California Health Care System', N'10535 Hospital Way', NULL, NULL, N'Mather', N'95655', NULL, CAST(-121.2967810000 AS Numeric(18, 10)), CAST(38.5721110000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (613, 613, 4, 1, 5, 51, N'613', N'613', NULL, N'Martinsburg', NULL, N'Martinsburg VA Medical Center', NULL, N'510 Butler Avenue', NULL, N'Martinsburg', N'25405', N'9990', CAST(-77.9109965800 AS Numeric(18, 10)), CAST(39.4172122000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (614, 614, 3, 3, 9, 44, N'614', N'614', NULL, N'Memphis', NULL, N'Memphis VA Medical Center', NULL, N'1030 Jefferson Avenue', NULL, N'Memphis', N'38104', N'2127', CAST(-90.0253981200 AS Numeric(18, 10)), CAST(35.1424880600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (618, 618, 2, 2, 23, 24, N'618', N'618', NULL, N'Minneapolis', NULL, N'Minneapolis VA Health Care System', NULL, N'One Veterans Drive', NULL, N'Minneapolis', N'55417', N'2309', CAST(-93.2038677300 AS Numeric(18, 10)), CAST(44.9018605200 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (619, 619, 3, 3, 7, 2, N'619', N'619', NULL, N'Montgomery', NULL, N'Central Alabama Veterans Health Care System West Campus', N'215 Perry Hill Road', NULL, NULL, N'Montgomery', N'36109 ', NULL, CAST(-86.2431820000 AS Numeric(18, 10)), CAST(32.3769920000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (620, 620, 4, 1, 2, 34, N'620', N'620', NULL, N'Hudson Valley HCS', NULL, N'Franklin Delano Roosevelt Campus of the VA Hudson Valley Health Care System (Montrose)', NULL, N'2094 Albany Post Road', NULL, N'Montrose', N'10548', N'1454', CAST(-73.9264126100 AS Numeric(18, 10)), CAST(41.2451368800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (621, 621, 3, 3, 9, 44, N'621', N'621', NULL, N'Mountain Home', NULL, N'Mountain Home VAMC/Johnson City', NULL, N'Corner of Lamont Street and Veterans Way', NULL, N'Mountain Home', N'37684', N'0000', CAST(-82.3701230000 AS Numeric(18, 10)), CAST(36.3116600000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (623, 623, 2, 3, 19, 37, N'623', N'623', NULL, N'Muskogee', NULL, N'Jack C. Montgomery VAMC', NULL, N'1011 Honor Heights Drive', NULL, N'Muskogee', N'74401', N'1318', CAST(-95.4136103900 AS Numeric(18, 10)), CAST(35.7648970500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (626, 626, 3, 3, 9, 44, N'626', N'626', NULL, N'Middle Tennessee HCS', NULL, N'Tennessee Valley Healthcare System - Nashville Campus', NULL, N'1310 24th Avenue South', NULL, N'Nashville', N'37212', N'2637', CAST(-86.8047673700 AS Numeric(18, 10)), CAST(36.1423353300 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (629, 629, 2, 3, 16, 19, N'629', N'629', NULL, N'New Orleans', NULL, N'Southeast Louisiana Veterans Health Care System', NULL, N'2400 Canal Street', NULL, N'New Orleans', N'70119', N'6535', CAST(-90.0845361300 AS Numeric(18, 10)), CAST(29.9634972400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (630, 630, 4, 1, 2, 34, N'630', N'630', NULL, N'New York Harbor HCS', NULL, N'Manhattan Campus of the VA NY Harbor Healthcare System', NULL, N'423 East 23rd Street', NULL, N'New York', N'10010', N'5011', CAST(-73.9776142100 AS Numeric(18, 10)), CAST(40.7365270700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (631, 631, 4, 1, 1, 20, N'631', N'631', NULL, N'Northampton', NULL, N'VA Central Western Massachusetts Healthcare System', N'', N'421 North Main Street', NULL, N'Leeds', N'01053', N'9764', CAST(-72.6874794500 AS Numeric(18, 10)), CAST(42.3480526100 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (632, 632, 4, 1, 2, 34, N'632', N'632', NULL, N'Northport', NULL, N'Northport VA Medical Center', NULL, N'79 Middleville Road', N'Building 200', N'Northport', N'11768', N'2200', CAST(-73.3056998900 AS Numeric(18, 10)), CAST(40.8985820600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (635, 635, 2, 3, 19, 37, N'635', N'635', NULL, N'Oklahoma City', NULL, N'Oklahoma City VA Medical Center', N'', N'921 Northeast 13th Street', NULL, N'Oklahoma City', N'73104', N'5007', CAST(-97.4957198300 AS Numeric(18, 10)), CAST(35.4824486000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (636, 636, 2, 2, 23, 13, N'636', N'636', NULL, N'Central Iowa HCS 636A6', NULL, N'Omaha - VA Nebraska-Western Iowa Health Care System', NULL, N'4101 Woolworth Avenue', NULL, N'Omaha', N'68105', N'1850', CAST(-95.9743496900 AS Numeric(18, 10)), CAST(41.2451507000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (637, 637, 3, 1, 6, 28, N'637', N'637', NULL, N'Asheville-Oteen', NULL, N'Asheville VA Medical Center', NULL, N'1100 Tunnel Road', NULL, N'Asheville', N'28805', N'2087', CAST(-82.4858472000 AS Numeric(18, 10)), CAST(35.5872883600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (640, 640, 1, 4, 21, 5, N'640', N'640', NULL, N'Palo Alto', NULL, N'VA Palo Alto Health Care System', NULL, N'3801 Miranda Avenue', NULL, N'Palo Alto', N'94304', N'1290', CAST(-122.1390856300 AS Numeric(18, 10)), CAST(37.4012703900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (642, 642, 4, 1, 4, 39, N'642', N'642', NULL, N'Philadelphia', NULL, N'Philadelphia VA Medical Center', NULL, N'3900 Woodland Avenue', NULL, N'Philadelphia', N'19104', N'4551', CAST(-75.2012783200 AS Numeric(18, 10)), CAST(39.9497919600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (644, 644, 1, 4, 22, 4, N'644', N'644', NULL, N'Phoenix', NULL, N'Phoenix VA Health Care System', NULL, N'650 East Indian School Road', NULL, N'Phoenix', N'85012', N'1839', CAST(-112.0659100300 AS Numeric(18, 10)), CAST(33.4947578900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (646, 646, 4, 1, 4, 39, N'646', N'646', NULL, N'Pittsburgh HCS', NULL, N'VA Pittsburgh Healthcare System, University Drive Campus', NULL, N'University Drive C', NULL, N'Pittsburgh', N'15240', N'1003', CAST(-79.9596031400 AS Numeric(18, 10)), CAST(40.4447346700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (648, 648, 1, 4, 20, 38, N'648', N'648', NULL, N'Portland', NULL, N'Portland VA Medical Center', NULL, N'3710 Southwest US Veterans Hospital Road', NULL, N'Portland', N'97239', N'2964', CAST(-122.6828720800 AS Numeric(18, 10)), CAST(45.4974614500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (649, 649, 1, 4, 22, 4, N'649', N'649', NULL, N'Northern Arizona HCS', NULL, N'Northern Arizona VA Health Care System', NULL, N'500 Highway 89 North', NULL, N'Prescott', N'86313', N'5001', CAST(-112.4516742300 AS Numeric(18, 10)), CAST(34.5514520100 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (650, 650, 4, 1, 1, 41, N'650', N'650', NULL, N'Providence', NULL, N'Providence VA Medical Center', NULL, N'830 Chalkstone Avenue', NULL, N'Providence', N'02908', N'4738', CAST(-71.4348298100 AS Numeric(18, 10)), CAST(41.8339271300 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (652, 652, 3, 1, 6, 47, N'652', N'652', NULL, N'Richmond', NULL, N'Hunter Holmes McGuire VA Medical Center', NULL, N'1201 Broad Rock Boulevard', NULL, N'Richmond', N'23249', N'4915', CAST(-77.4702450600 AS Numeric(18, 10)), CAST(37.4987291000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (653, 653, 1, 4, 20, 38, N'653', N'653', NULL, N'Roseburg HCS', NULL, N'VA Roseburg Healthcare System', N'', N'913 Northwest Garden Valley Boulevard', NULL, N'Roseburg', N'97471', N'6523', CAST(-123.3670870000 AS Numeric(18, 10)), CAST(43.2285927100 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (654, 654, 1, 4, 21, 35, N'654', N'654', NULL, N'Sierra Nevada HCS', NULL, N'VA Sierra Nevada Health Care System', NULL, N'975 Kirman Avenue', NULL, N'Reno', N'89502', N'0993', CAST(-119.7984954800 AS Numeric(18, 10)), CAST(39.5163316800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (655, 655, 3, 2, 10, 23, N'655', N'655', NULL, N'Saginaw', NULL, N'Aleda E. Lutz VA Medical Center', NULL, N'1500 Weiss Street', NULL, N'Saginaw', N'48602', N'5251', CAST(-83.9619606900 AS Numeric(18, 10)), CAST(43.4436873000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (656, 656, 2, 2, 23, 24, N'656', N'656', NULL, N'St Cloud', NULL, N'St. Cloud VA Health Care System', NULL, N'4801 Veterans Drive', NULL, N'St. Cloud', N'56303', N'2015', CAST(-94.2177842800 AS Numeric(18, 10)), CAST(45.5676928600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (657, 657, 2, 2, 15, 25, N'657', N'657', NULL, N'St Louis-John Cochran', NULL, N'VA St. Louis Health Care System - John Cochran Division', NULL, N'915 North Grand Boulevard', NULL, N'St. Louis', N'63106', N'1621', CAST(-90.2298744900 AS Numeric(18, 10)), CAST(38.6414880800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (658, 658, 3, 1, 6, 47, N'658', N'658', NULL, N'Salem', NULL, N'Salem VA Medical Center', NULL, N'1970 Roanoke Boulevard', NULL, N'Salem', N'24153', N'6404', CAST(-80.0227539200 AS Numeric(18, 10)), CAST(37.2765138700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (659, 659, 3, 1, 6, 28, N'659', N'659', NULL, N'Salisbury VAMC', NULL, N'Salisbury - W.G. (Bill) Hefner VA Medical Center', NULL, N'1601 Brenner Avenue', NULL, N'Salisbury', N'28144', N'2515', CAST(-80.4862004300 AS Numeric(18, 10)), CAST(35.6835125000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (660, 660, 1, 4, 19, 46, N'660', N'660', NULL, N'Salt Lake City HCS', NULL, N'VA Salt Lake City Health Care System', N'', N'500 Foothill Boulevard', NULL, N'Salt Lake City', N'84148', N'0001', CAST(-111.8385563600 AS Numeric(18, 10)), CAST(40.7582929400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (662, 662, 1, 4, 21, 5, N'662', N'662', NULL, N'San Francisco', NULL, N'San Francisco VA Medical Center', NULL, N'4150 Clement Street', NULL, N'San Francisco', N'94121', N'1545', CAST(-122.5036279500 AS Numeric(18, 10)), CAST(37.7811668900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (663, 663, 1, 4, 20, 49, N'663', N'663', NULL, N'Seattle', NULL, N'VA Puget Sound Health Care System - Seattle Division', NULL, N'1660 South Columbian Way', NULL, N'Seattle', N'98108', N'1532', CAST(-122.3110013800 AS Numeric(18, 10)), CAST(47.5619997800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (664, 664, 1, 4, 22, 5, N'664', N'664', NULL, N'San Diego HCS', NULL, N'VA San Diego Healthcare System', NULL, N'3350 La Jolla Village Drive', NULL, N'San Diego', N'92161', N'0002', CAST(-117.2314230700 AS Numeric(18, 10)), CAST(32.8718224300 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (666, 666, 1, 4, 19, 52, N'666', N'666', NULL, N'Sheridan', NULL, N'Sheridan VA Medical Center', NULL, N'1898 Fort Road', NULL, N'Sheridan', N'82801', N'8320', CAST(-106.9848839100 AS Numeric(18, 10)), CAST(44.8269695300 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (667, 667, 2, 3, 16, 19, N'667', N'667', NULL, N'Overton Brooks VAMC', NULL, N'Overton Brooks VA Medical Center', NULL, N'510 East Stoner Avenue', NULL, N'Shreveport', N'71101', N'4243', CAST(-93.7228498800 AS Numeric(18, 10)), CAST(32.5000074900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (668, 668, 1, 4, 20, 49, N'668', N'668', NULL, N'Spokane', NULL, N'Mann-Grandstaff VA Medical Center', NULL, N'4815 North Assembly Street', NULL, N'Spokane', N'99205', N'6185', CAST(-117.4756205700 AS Numeric(18, 10)), CAST(47.7019286100 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (671, 671, 2, 4, 17, 45, N'671', N'671', NULL, N'San Antonio VAMC', NULL, N'South Texas Veterans Health Care System', NULL, N'7400 Merton Minter Boulevard', NULL, N'San Antonio', N'78229', N'4404', CAST(-98.5808281000 AS Numeric(18, 10)), CAST(29.5084178800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (672, 672, 3, 3, 8, 10, N'672', N'672', NULL, N'San Juan', NULL, N'VA Caribbean Healthcare System', N'', N'10 Calle Casia', NULL, N'San Juan', N'00921', N'3201', CAST(-66.0832900100 AS Numeric(18, 10)), CAST(18.3909699800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (673, 673, 3, 3, 8, 10, N'673', N'673', NULL, N'Tampa', NULL, N'James A. Haley Veterans'' Hospital', NULL, N'13000 Bruce B. Downs Boulevard', NULL, N'Tampa', N'33612', N'4745', CAST(-82.4261718700 AS Numeric(18, 10)), CAST(28.0641609800 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (674, 674, 2, 4, 17, 45, N'674', N'674', NULL, N'Temple VAMC', NULL, N'Central Texas Veterans Health Care System, Olin E. Teague Veterans Medical Center', NULL, N'1901 Veterans Memorial Drive', NULL, N'Temple', N'76504', N'7451', CAST(-97.3492485700 AS Numeric(18, 10)), CAST(31.0779067000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (675, 675, 3, 3, 8, 10, N'675', N'675', NULL, N'Orlando', NULL, N'Orlando VA Medical Center', NULL, N'13800 Veterans Way', NULL, N'Orlando', N'32827', N'5812', CAST(-81.2765033900 AS Numeric(18, 10)), CAST(28.3666915700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (676, 676, 2, 2, 12, 50, N'676', N'676', NULL, N'Tomah', NULL, N'Tomah VA Medical Center', NULL, N'500 East Veterans Street', NULL, N'Tomah', N'54660', N'3105', CAST(-90.4939100400 AS Numeric(18, 10)), CAST(44.0011072900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (678, 678, 1, 4, 22, 4, N'678', N'678', NULL, N'S. Arizona HCS', NULL, N'Southern Arizona VA Health Care System', N'', N'3601 South Sixth Avenue', NULL, N'Tucson', N'85723', N'0001', CAST(-110.9682574600 AS Numeric(18, 10)), CAST(32.1813529400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (679, 679, 3, 3, 7, 2, N'679', N'679', NULL, N'Tuscaloosa', NULL, N'Tuscaloosa VA Medical Center', NULL, N'3701 Loop Road East', NULL, N'Tuscaloosa', N'35404', N'5099', CAST(-87.4883658800 AS Numeric(18, 10)), CAST(33.1932128700 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (687, 687, 1, 4, 20, 49, N'687', N'687', NULL, N'Walla Walla', NULL, N'Jonathan M. Wainwright Memorial VA Medical Center', NULL, N'77 Wainwright Drive', NULL, N'Walla Walla', N'99362', N'3975', CAST(-118.3553149500 AS Numeric(18, 10)), CAST(46.0526509400 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (688, 688, 4, 1, 5, 8, N'688', N'688', NULL, N'Washington', NULL, N'Washington DC VA Medical Center', NULL, N'50 Irving Street, Northwest', NULL, N'Washington', N'20422', N'0001', CAST(-77.0109110500 AS Numeric(18, 10)), CAST(38.9311137000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (689, 689, 4, 1, 1, 7, N'689', N'689', NULL, N'West Haven', NULL, N'VA Connecticut Healthcare System, West Haven Campus', NULL, N'950 Campbell Avenue', NULL, N'West Haven', N'06516', N'2770', CAST(-72.9573129800 AS Numeric(18, 10)), CAST(41.2843589200 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (691, 691, 1, 4, 22, 5, N'691', N'691', NULL, N'Greater Los Angeles HCS', NULL, N'VA Greater Los Angeles Healthcare System (GLA)', N'', N'11301 Wilshire Boulevard', NULL, N'Los Angeles', N'90073', N'1003', CAST(-118.4584454400 AS Numeric(18, 10)), CAST(34.0523909600 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (692, 692, 1, 4, 20, 38, N'692', N'692', NULL, N'Southern Oregon Rehabilitation Ctr & Clinics', NULL, N'White City or VA Southern Oregon Rehabilitation Center', NULL, N'8495 Crater Lake Highway', NULL, N'White City', N'97503', N'3011', CAST(-122.8364078400 AS Numeric(18, 10)), CAST(42.4398235900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (693, 693, 4, 1, 4, 39, N'693', N'693', NULL, N'Wilkes Barre', NULL, N'Wilkes-Barre VA Medical Center', NULL, N'1111 East End Boulevard', NULL, N'Wilkes-Barre', N'18711', N'0030', CAST(-75.8371435100 AS Numeric(18, 10)), CAST(41.2480992500 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (695, 695, 2, 2, 12, 50, N'695', N'695', NULL, N'Milwaukee WI', NULL, N'Clement J. Zablocki Veterans Affairs Medical Center', NULL, N'5000 West National Avenue', NULL, N'Milwaukee', N'53295', N'1000', CAST(-87.9761580300 AS Numeric(18, 10)), CAST(43.0196062900 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (740, 740, 2, 4, 17, 45, N'740', N'740', NULL, N'VA Texas Valley Coastal Bend HCS', NULL, N'VA Health Care Center at Harlingen', N'2701 S 77 Sunshine Strip', NULL, NULL, N'Harlingen', N'78550', NULL, CAST(-97.6675500000 AS Numeric(18, 10)), CAST(26.1688200000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (756, 756, 1, 4, 17, 45, N'756', N'756', NULL, N'El Paso HCS', NULL, N'El Paso VA Health Care System', NULL, N'5001 North Piedras Street', NULL, N'El Paso', N'79930', N'4210', CAST(-106.4614500500 AS Numeric(18, 10)), CAST(31.8188716000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (757, 757, 3, 2, 10, 36, N'757', N'757', NULL, N'Columbus', NULL, N'Chalmers P. Wylie Ambulatory Care Center', NULL, N'420 North James Road', NULL, N'Columbus', N'43219', N'1834', CAST(-82.9118322900 AS Numeric(18, 10)), CAST(39.9813738000 AS Numeric(18, 10)), 1, 0, 0, NULL)
	, (1517, 509, 3, 3, 7, 11, N'509', N'509A01', NULL, N'Charlie Norwood VA Medical Center - Uptown Division', NULL, N'Charlie Norwood VA Medical Center - Uptown Division', N'1 Freedom Way', NULL, NULL, N'Augusta', N'30904', NULL, CAST(-82.0264890000 AS Numeric(18, 10)), CAST(33.4646640000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1519, 512, 4, 1, 5, 21, N'512', N'512A5', NULL, N'Perry Point VA Medical Center - VA Maryland Health Care System', NULL, N'Perry Point VA Medical Center - VA Maryland Health Care System', N'', N'515 Broad Street', N'Building 361', N'Perry Point', N'21902', N'9998', CAST(-76.0632970000 AS Numeric(18, 10)), CAST(39.5491630000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1528, 523, 4, 1, 1, 20, N'523', N'523A4', NULL, N'VA Boston Healthcare System, West Roxbury Campus', NULL, N'VA Boston Healthcare System, West Roxbury Campus', NULL, N'1400 VFW Parkway', NULL, N'West Roxbury', N'02132', N'4927', CAST(-71.1724305200 AS Numeric(18, 10)), CAST(42.2760832600 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1531, 528, 4, 1, 2, 34, N'528', N'528A4', NULL, N'VA Western New York Healthcare System at Batavia', NULL, N'VA Western New York Healthcare System at Batavia', N'', N'222 Richmond Avenue', NULL, N'Batavia', N'14020', N'1227', CAST(-78.2008254100 AS Numeric(18, 10)), CAST(43.0106542200 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1532, 528, 4, 1, 2, 34, N'528', N'528A5', NULL, N'Canandaigua VA Medical Center', NULL, N'Canandaigua VA Medical Center', NULL, N'400 Fort Hill Avenue', NULL, N'Canandaigua', N'14424', N'1159', CAST(-77.2708397200 AS Numeric(18, 10)), CAST(42.9007835300 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1533, 528, 4, 1, 2, 34, N'528', N'528A6', NULL, N'Bath VA Medical Center', NULL, N'Bath VA Medical Center', NULL, N'76 Veterans Avenue', NULL, N'Bath', N'14810', N'0810', CAST(-77.3472048300 AS Numeric(18, 10)), CAST(42.3434467700 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1534, 528, 4, 1, 2, 34, N'528', N'528A7', NULL, N'Syracuse VA Medical Center', NULL, N'Syracuse VA Medical Center', N'', N'800 Irving Avenue', NULL, N'Syracuse', N'13210', N'2716', CAST(-76.1382270000 AS Numeric(18, 10)), CAST(43.0386258600 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1535, 528, 4, 1, 2, 34, N'528', N'528A8', NULL, N'Albany VA Medical Center: Samuel S. Stratton', NULL, N'Albany VA Medical Center: Samuel S. Stratton', NULL, N'113 Holland Avenue', NULL, N'Albany', N'12208', N'3410', CAST(-73.7762328500 AS Numeric(18, 10)), CAST(42.6514088400 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1539, 523, 4, 1, 1, 20, N'523', N'523A5', NULL, N'VA Boston Healthcare System, Brockton Campus', NULL, N'VA Boston Healthcare System, Brockton Campus', NULL, N'940 Belmont Street', NULL, N'Brockton', N'02301', N'5596', CAST(-71.0572575800 AS Numeric(18, 10)), CAST(42.0639949100 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1550, 549, 2, 4, 17, 45, N'549', N'549A4', NULL, N'Sam Rayburn Memorial Veterans Center', NULL, N'Sam Rayburn Memorial Veterans Center', NULL, N'1201 East 9th Street', NULL, N'Bonham', N'75418', N'4059', CAST(-96.1672195000 AS Numeric(18, 10)), CAST(33.5815649300 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1559, 561, 4, 1, 2, 32, N'561', N'561A4', NULL, N'Lyons Campus of the VA New Jersey Health Care System', NULL, N'Lyons Campus of the VA New Jersey Health Care System', NULL, N'151 Knollcroft Road', NULL, N'Lyons', N'07939', N'5001', CAST(-74.5543245000 AS Numeric(18, 10)), CAST(40.6658185400 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1564, 568, 2, 2, 23, 43, N'568', N'568A4', NULL, N'VA Black Hills Health Care System - Hot Springs Campus', NULL, N'VA Black Hills Health Care System - Hot Springs Campus', N'500 N 5th St', NULL, NULL, N'Hot Springs', N'57747', NULL, CAST(-103.4749100000 AS Numeric(18, 10)), CAST(43.4374500000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1567, 573, 3, 3, 8, 10, N'573', N'573A4', NULL, N'Lake City VAMC, NF/SGVHS', NULL, N'Lake City VAMC, NF/SGVHS', NULL, N'619 South Marion Avenue', NULL, N'Lake City', N'32025', N'5808', CAST(-82.6369190200 AS Numeric(18, 10)), CAST(30.1817702400 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1576, 589, 2, 2, 15, 25, N'589', N'589A4', NULL, N'Harry S. Truman Memorial', NULL, N'Harry S. Truman Memorial', NULL, N'800 Hospital Drive', NULL, N'Columbia', N'65201', N'5297', CAST(-92.3284874200 AS Numeric(18, 10)), CAST(38.9375969600 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1577, 589, 2, 2, 15, 17, N'589', N'589A6', NULL, N'VA Eastern Kansas Health Care System - Dwight D. Eisenhower VA Medical Center', NULL, N'VA Eastern Kansas Health Care System - Dwight D. Eisenhower VA Medical Center', N'', N'4101 4th Street Trafficway', NULL, N'Leavenworth', N'66048', N'5014', CAST(-94.8997029900 AS Numeric(18, 10)), CAST(39.2774328300 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1578, 589, 2, 2, 15, 17, N'589', N'589A7', NULL, N'Robert J. Dole VA Medical Center', NULL, N'Robert J. Dole VA Medical Center', NULL, N'5500 East Kellogg Drive', NULL, N'Wichita', N'67218', N'1607', CAST(-97.2735003400 AS Numeric(18, 10)), CAST(37.6797978600 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1583, 596, 3, 2, 9, 18, N'596', N'596A4', NULL, N'Lexington VAMC: Cooper Division', NULL, N'Lexington VAMC: Cooper Division', N'1101 Veterans Dr', NULL, NULL, N'Lexington', N'40502', NULL, CAST(-84.5066810000 AS Numeric(18, 10)), CAST(38.0297520000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1585, 598, 2, 3, 16, 3, N'598', N'598A01', NULL, N'Central Arkansas Veterans Healthcare System Eugene J. Towbin Healthcare Center', NULL, N'Central Arkansas Veterans Healthcare System Eugene J. Towbin Healthcare Center', N'2200 Fort Roots Dr', NULL, NULL, N'N Little Rock', N'72114', NULL, CAST(-92.2960750000 AS Numeric(18, 10)), CAST(34.7762650000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1586, 589, 2, 2, 15, 17, N'589', N'589A5', NULL, N'VA Eastern Kansas Health Care System - Colmery-O''Neil VA Medical Center', NULL, N'VA Eastern Kansas Health Care System - Colmery-O''Neil VA Medical Center', NULL, N'2200 Southwest Gage Boulevard', NULL, N'Topeka', N'66622', N'0001', CAST(-95.7249216100 AS Numeric(18, 10)), CAST(39.0273110400 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1593, 610, 3, 2, 10, 16, N'610', N'610A4', NULL, N'VA Northern Indiana Health Care System-Fort Wayne Campus', NULL, N'VA Northern Indiana Health Care System-Fort Wayne Campus', NULL, N'2121 Lake Avenue', NULL, N'Fort Wayne', N'46805', N'5100', CAST(-85.1079216000 AS Numeric(18, 10)), CAST(41.0897975400 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1599, 619, 3, 3, 7, 2, N'619', N'619A4', NULL, N'Central Alabama Veterans Health Care System East Campus', NULL, N'Central Alabama Veterans Health Care System East Campus', NULL, N'2400 Hospital Road', NULL, N'Tuskegee', N'36083', N'5001', CAST(-85.7084211300 AS Numeric(18, 10)), CAST(32.4370424700 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1601, 620, 4, 1, 2, 34, N'620', N'620A4', NULL, N'Castle Point Campus of the VA Hudson Valley Health Care System', NULL, N'Castle Point Campus of the VA Hudson Valley Health Care System', NULL, N'41 Castle Point Road', NULL, N'Wappingers Falls', N'12590', N'7004', CAST(-73.9622212500 AS Numeric(18, 10)), CAST(41.5404565500 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1605, 626, 3, 3, 9, 44, N'626', N'626A4', NULL, N'Tennessee Valley Healthcare System - Alvin C. York (Murfreesboro) Campus', NULL, N'Tennessee Valley Healthcare System - Alvin C. York (Murfreesboro) Campus', NULL, N'3400 Lebanon Pike', NULL, N'Murfreesboro', N'37129', N'1237', CAST(-86.3837567700 AS Numeric(18, 10)), CAST(35.9106820100 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1608, 630, 4, 1, 2, 34, N'630', N'630A4', NULL, N'Brooklyn Campus of the VA NY Harbor Healthcare System', NULL, N'Brooklyn Campus of the VA NY Harbor Healthcare System', NULL, N'800 Poly Place', NULL, N'Brooklyn', N'11209', N'7104', CAST(-74.0214725200 AS Numeric(18, 10)), CAST(40.6077649000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1613, 636, 2, 2, 23, 13, N'636', N'636A6', NULL, N'VA Central Iowa Health Care System', NULL, N'VA Central Iowa Health Care System', NULL, N'3600 30th Street', NULL, N'Des Moines', N'50310', N'5753', CAST(-93.6587874900 AS Numeric(18, 10)), CAST(41.6277403000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1614, 636, 2, 2, 23, 13, N'636', N'636A8', NULL, N'Iowa City VA Health Care System', NULL, N'Iowa City VA Health Care System', NULL, N'601 Highway 6 West', NULL, N'Iowa City', N'52246', N'2209', CAST(-91.5483532500 AS Numeric(18, 10)), CAST(41.6646434300 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1617, 640, 1, 4, 21, 5, N'640', N'640A01', NULL, N'Livermore', NULL, N'Livermore', N'4951 Arroyo Road', NULL, NULL, N'Livermore', N'94550', NULL, CAST(-121.7652400000 AS Numeric(18, 10)), CAST(37.6255380000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1618, 640, 1, 4, 21, 5, N'640', N'640A02', NULL, N'Menlo Park', NULL, N'Menlo Park', N'795 Willow Road', NULL, NULL, N'Menlo Park', N'94025', NULL, CAST(-122.1602140000 AS Numeric(18, 10)), CAST(37.4662360000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1622, 646, 4, 1, 4, 39, N'646', N'646A4', NULL, N'VA Pittsburgh Healthcare System, H.J. Heinz Campus', NULL, N'VA Pittsburgh Healthcare System, H.J. Heinz Campus', NULL, N'1010 Delafield Road', NULL, N'Pittsburgh', N'15240', N'1005', CAST(-79.8907591300 AS Numeric(18, 10)), CAST(40.4971449100 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1623, 646, 4, 1, 4, 39, N'646', N'646A5', NULL, N'VA Pittsburgh Healthcare System, Highland Drive Campus', NULL, N'VA Pittsburgh Healthcare System, Highland Drive Campus', N'0 University Drive C', NULL, NULL, N'Pittsburgh', N'15240', NULL, CAST(-79.9600200000 AS Numeric(18, 10)), CAST(40.4452270000 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1625, 648, 1, 4, 20, 38, N'648', N'648A4', NULL, N'Portland VA Medical Center - Vancouver Campus', NULL, N'Portland VA Medical Center - Vancouver Campus', NULL, N'1601 East 4th Plain Boulevard', NULL, N'Vancouver', N'98661', N'3753', CAST(-122.6553356800 AS Numeric(18, 10)), CAST(45.6394255300 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1634, 657, 2, 2, 15, 25, N'657', N'657A0', NULL, N'VA St. Louis Health Care System - Jefferson Barracks Division', NULL, N'VA St. Louis Health Care System - Jefferson Barracks Division', NULL, N'1 Jefferson Barracks Drive', NULL, N'St. Louis', N'63125', N'4199', CAST(-90.2894564000 AS Numeric(18, 10)), CAST(38.5092500600 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1635, 657, 2, 2, 15, 25, N'657', N'657A4', NULL, N'John J. Pershing VA Medical Center', NULL, N'John J. Pershing VA Medical Center', N'', N'1500 North Westwood Boulevard', NULL, N'Poplar Bluff', N'63901', N'3318', CAST(-90.4180845900 AS Numeric(18, 10)), CAST(36.7716402100 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1636, 657, 2, 2, 15, 15, N'657', N'657A5', NULL, N'Marion VA Medical Center', NULL, N'Marion VA Medical Center', NULL, N'2401 West Main Street', NULL, N'Marion', N'62959', N'1165', CAST(-88.9560171400 AS Numeric(18, 10)), CAST(37.7297490100 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1642, 663, 1, 4, 20, 49, N'663', N'663A4', NULL, N'VA Puget Sound Health Care System - American Lake Division', NULL, N'VA Puget Sound Health Care System - American Lake Division', NULL, N'9600 Veterans Drive Southwest', NULL, N'Tacoma', N'98493', N'0003', CAST(-122.5770370800 AS Numeric(18, 10)), CAST(47.1351220600 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1648, 671, 2, 4, 17, 45, N'671', N'671A4', NULL, N'Kerrville VA Hospital', NULL, N'Kerrville VA Hospital', N'', N'3600 Memorial Boulevard', NULL, N'Kerrville', N'78028', N'5768', CAST(-99.1165518200 AS Numeric(18, 10)), CAST(30.0137026100 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1652, 674, 2, 4, 17, 45, N'674', N'674A4', NULL, N'Waco VA Medical Center', NULL, N'Waco VA Medical Center', N'', N'4800 Memorial Drive', NULL, N'Waco', N'76711', N'1329', CAST(-97.1624914200 AS Numeric(18, 10)), CAST(31.5140474200 AS Numeric(18, 10)), 0, 0, 0, NULL)
	, (1660, 689, 4, 1, 1, 7, N'689', N'689A4', NULL, N'VA Connecticut Healthcare System, Newington Campus', NULL, N'VA Connecticut Healthcare System, Newington Campus', NULL, N'555 Willard Avenue', NULL, N'Newington', N'06111', N'2631', CAST(-72.7348662100 AS Numeric(18, 10)), CAST(41.7025838800 AS Numeric(18, 10)), 0, 0, 0, NULL)
	

--Turn off ability to insert identity (primary key)
SET IDENTITY_INSERT Stations OFF;
GO