﻿CREATE TABLE dbo.AdmissionTypes
(
	--source: 
		--A06.CDWWork.FBCS.ub92
			--admissiontype
	--fields
	AdmissionTypeID		tinyint NOT NULL,			--admissiontype (0 - 9)
	AdmissionTypeName	varchar (100),				--SMEs will need to be able to backfill
	
	--primary key
	CONSTRAINT PK_AdmissionTypes PRIMARY KEY CLUSTERED 
	(
		AdmissionTypeID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS, source: FBCS.ub92', 
N'SCHEMA', N'dbo', 
N'TABLE', N'AdmissionTypes', 
N'COLUMN', N'AdmissionTypeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Admission type name', 
N'SCHEMA', N'dbo', 
N'TABLE', N'AdmissionTypes', 
N'COLUMN', N'AdmissionTypeName'
GO 