﻿CREATE TABLE dbo.CCRACities
(
	--authoritative source: 
		--A06.CDWWork.CCRA.ct_city


	--fields
	CityRowNumber           bigint NOT NULL,
    CityDescription         varchar (100),


    --primary key
	CONSTRAINT PK_CCRACities PRIMARY KEY NONCLUSTERED	--not clustered due to clust. columnstore index
	(
		CityRowNumber ASC 
	)
) 
ON DefinitionData  
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)	
GO

--foreign keys


--indexes


--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key; unique to EPRS, ctcit_rowid in source', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CCRACities', 
N'COLUMN', N'CityRowNumber'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'City Description', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CCRACities', 
N'COLUMN', N'CityDescription'
GO

