﻿CREATE TABLE dbo.CallCenterPrograms
(
	--source
		--A06.CDWWork.FBCS.claimsnotprocessed
			--program

	--fields
	CallCenterProgramID		tinyint IDENTITY(1,1) NOT NULL,			--EPRS assigned (PK)
	CallCenterProgramName	varchar (50) NOT NULL,
	
	--primary key
	CONSTRAINT PK_CallCenterPrograms PRIMARY KEY CLUSTERED 
	(
		CallCenterProgramID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CallCenterPrograms', 
N'COLUMN', N'CallCenterProgramID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the call center program', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CallCenterPrograms', 
N'COLUMN', N'CallCenterProgramName'
GO 