﻿CREATE TABLE dbo.ClaimAgeGroups
(
	--source
		--A06.CDWWork.FBCS.claimsnotprocessed
			--ageby30dayinc

	--fields
	ClaimAgeGroupID		tinyint IDENTITY(1,1) NOT NULL,		--EPRS assigned (PK)
	ClaimAgeGroupName	varchar (50) NOT NULL,
	
	--primary key
	CONSTRAINT PK_ClaimAgeGroups PRIMARY KEY CLUSTERED 
	(
		ClaimAgeGroupID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ClaimAgeGroups', 
N'COLUMN', N'ClaimAgeGroupID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the claim age by 30 day inc', 
N'SCHEMA', N'dbo', 
N'TABLE', N'ClaimAgeGroups', 
N'COLUMN', N'ClaimAgeGroupName'
GO 