﻿--ODS code
CREATE TABLE dbo.FBCSDSSBatchesmirror
(

	--authoritative sources: 
	--A06.CDWWork.Raw36
	--fields


BatchID				bigint	IDENTITY(1,1) NOT NULL,		--EPRS assigned
FBCSUserID			bigint,								--EPRS assigned (FK)
DateRelease			datetime2(7) NULL,					--ReleaseDate
DateFinalization	datetime2(7) NULL,					--FinalizationDate
DateSupervisorClose	datetime2(7) NULL,					--SupervisorCloseDate
DateAustinPaid		datetime2(7) NULL,					--AustinPaidDate
DateBatchOpen		datetime2(7) NULL,					--BatchOpenDate
DateBatchClose		datetime2(7) NULL,					--BatchCloseDate
DateMirrorTime		datetime2(7) NULL,					--MirrorDateTime
Dateassignedprice	datetime2(7) NULL,					--assignedpricedate
VISNNumber			varchar(30) NOT NULL,				--station__no
BatchNumber			bigint,								--BatchNumber
BatchInternalNumber	 bigint,							--BatchInternalNumber
FCP					varchar(50) NULL,					--FCP	
Obligation			varchar(50) NULL,					--Obligation
OpenedByClerk		varchar(50) NULL,					--OpenedByClerk
BatchStatus			varchar(50) NULL,					--BatchStatus
BatchTotal			numeric(28) NULL,					--BatchTotal
AustinCheckNumber	varchar(50) NULL,					--AustinCheckNumber
FeeProgram			varchar(50) NULL,	




	/*

	[station__no] [varchar](30) NOT NULL,
	[StationIFN] [varchar](50) NULL,
	[BatchNumber] [bigint] NULL,
	[BatchInternalNumber] [bigint] NULL,
	[FCP] [varchar](50) NULL,
	[Obligation] [varchar](50) NULL,
	[OpenedByClerk] [varchar](50) NULL,
	[BatchStatus] [varchar](50) NULL,
	[BatchTotal] [numeric](28, 6) NULL,
	[ReleaseDate] [datetime2](7) NULL,
	[FinalizationDate] [datetime2](7) NULL,
	[SupervisorCloseDate] [datetime2](7) NULL,
	[AustinPaidDate] [datetime2](7) NULL,
	[AustinCheckNumber] [varchar](50) NULL,
	[FeeProgram] [varchar](50) NULL,
	[BatchOpenDate] [datetime2](7) NULL,
	[BatchCloseDate] [datetime2](7) NULL,
	[MirrorDateTime] [datetime2](7) NULL,
	[OpenedByUserID] [bigint] NULL,
	[assignedpricedate] [datetime2](7) NULL



	*/
	
	--primary key
		CONSTRAINT PK_FBCSDSSBatchesmirror PRIMARY KEY CLUSTERED 
	(
		BatchID	 ASC
	)
) 
ON CoreData
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
/*Commenting these out for now, because we they're incomplete, and they are also duplicates of other tables' metadata
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CallCenterPrograms', 
N'COLUMN', N'CallCenterProgramID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the call center program', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CallCenterPrograms', 
N'COLUMN', N'CallCenterProgramName'
GO 
*/