﻿CREATE TABLE dbo.FBCSHCFAProvider
(
	--authoritative source: A06.CDWWork.FBCS.hcfaprovider
	--fields

FBCSProviderID		bigint	IDENTITY (1,1) NOT NULL,	--EPRS assigned
--can't have two identity fields 
--FBCSFacilityID		bigint	IDENTITY (1,1) NOT NULL,	--EPRS assigned (FK)
FacilityNumber		varchar(30),						--(FK)	station__no
ProviderNumber		bigint,								--(FK)	ID
ProviderName		varchar(1000),						--ProviderName
ProviderAddress		varchar(1000),						--Address
ProviderLine1		varchar(1000),						--Line1
ProviderLine2		varchar(1000),						--Line2
ProviderCity		varchar(1000),						--City
ProviderState		varchar(1000),						--State
ProviderZIP			varchar(100)						--ZIP

	
	
	--primary key
	CONSTRAINT PK_FBCSProvider PRIMARY KEY CLUSTERED 
	(
		FBCSProviderID ASC
	)
) 
ON CoreData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
/*Commenting these out for now, because we they're incomplete, and they are also duplicates of other tables' metadata
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'FBCSFacility', 
N'COLUMN', N'FBCSFacilityID'
GO
*/
