﻿CREATE TABLE dbo.MenuItemTypes
(
	--fields
	MenuItemTypeID		[tinyint] IDENTITY(1,1) NOT NULL,		--EPRS assigned (PK)
	MenuItemTypeName	[varchar](100) NOT NULL,
	
	--primary key
	CONSTRAINT PK_MenuItemTypes PRIMARY KEY CLUSTERED 
	(
		MenuItemTypeID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'MenuItemTypes', 
N'COLUMN', N'MenuItemTypeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the MenuItemType', 
N'SCHEMA', N'dbo', 
N'TABLE', N'MenuItemTypes', 
N'COLUMN', N'MenuItemTypeName'
GO 