﻿CREATE TABLE seclyr.AccessLevels
(
	--source
		--EPRS specific

	--fields
	AccessLevelID		[tinyint] IDENTITY(1,1) NOT NULL,
	AccessLevelName		[varchar](100) NOT NULL,
	
	--primary key
	CONSTRAINT PK_AccessLevels PRIMARY KEY CLUSTERED 
	(
		AccessLevelID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'AccessLevels', 
N'COLUMN', N'AccessLevelID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the access level', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'AccessLevels', 
N'COLUMN', N'AccessLevelName'
GO 