﻿CREATE TABLE seclyr.SensitivityLevels
(
	--fields
	SensitivityLevelID		[tinyint] IDENTITY(1,1) NOT NULL,
	SensitivityLevelName	[varchar](100) NOT NULL,
	
	--primary key
	CONSTRAINT PK_SensitivityLevels PRIMARY KEY CLUSTERED 
	(
		SensitivityLevelID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'SensitivityLevels', 
N'COLUMN', N'SensitivityLevelID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the sensitivity level', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'SensitivityLevels', 
N'COLUMN', N'SensitivityLevelName'
GO 