﻿CREATE TABLE zraw._DIMTIUDocumentDefinitions
(
	--A01/SQL52, SPV.Dim.TiuDocumentDefinitions

	--fields
	TIUDocumentDefinitionSID			int
    ,TIUDocumentDefinitionIEN			varchar(50)
    ,Sta3n								smallint
    ,TIUDocumentDefinition				varchar(50)
    ,TIUDocumentDefinitionAbbreviation	varchar(50)
    ,TIUDocumentDefinitionType			varchar(50)
    ,TIUDocumentDefinitionPrintName		varchar(100)
    ,EpisodeBeginDateTime				datetime2(0)
    ,EpisodeBeginVistaErrorDate			varchar(50)
    ,EpisodeBeginDateTimeTransformSID	bigint
    ,PersonalOwnerStaffIEN				varchar(50)
    ,PersonalOwnerStaffSID				int
    ,UserClassIEN						varchar(50)
    ,UserClassSID						int
    ,TIUStatusIEN						varchar(50)
    ,TIUStatusSID						int
    ,SharedFlag							char(1)
    ,NationalStandardFlag				char(1)
    ,PostingIndicator					varchar(50)
    ,LaygoAllowedFlag					char(1)
    ,TargetTextFieldSubscript			varchar(50)
    ,BoilerplateOnUploadEnabledFlag		char(1)
    ,DistributeFlag						char(1)
    ,SuppressVisitSelectionFlag			char(1)
    ,EditTemplate						varchar(100)
    ,PrintFormHeader					varchar(50)
    ,PrintFormNumber					varchar(50)
    ,PrintGroup							decimal(9, 4)
    ,AllowCustomFormHeadersFlag			char(1)
    ,TIUTimestamp						varchar(50)
    ,TIUStandardTitleIEN				varchar(50)
    ,TIUStandardTitleSID				int
    ,MapAttemptedDateTime				datetime2(0)
    ,MapAttemptedVistaErrorDate			varchar(50)
    ,MapAttemptedDateTimeTransformSID	bigint
    ,MapAttemptedByStaffIEN				varchar(50)
    ,MapAttemptedByStaffSID				int
    ,ETLBatchID							int
    ,OpCode								char(1)
    ,VistaCreateDate					datetime
    ,VistaEditDate						datetime
	,ExtractBatchID						int,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field





