﻿CREATE TABLE zraw._ccraTask
(
	--source: A06, CDWWork, CCRA.task

	--fields
    [station__no]      VARCHAR (30)   NOT NULL,
    [ID]               BIGINT         NULL,
    [Code]             VARCHAR (8000) NULL,
    [CodeTableTags]    VARCHAR (8000) NULL,
    [Color]            VARCHAR (8000) NULL,
    [DateFrom]         DATETIME2 (7)  NULL,
    [DateTo]           DATETIME2 (7)  NULL,
    [Description]      VARCHAR (8000) NULL,
    [EscalateAfter]    VARCHAR (8000) NULL,
    [EscalateTimeUnit] VARCHAR (8000) NULL,
    [GenerateTask]     VARCHAR (8000) NULL,
    [LinkComponent]    BIGINT         NULL,
    [LinkExpression]   VARCHAR (8000) NULL,
    [Owner]            VARCHAR (8000) NULL,
    [PriorityDR]       BIGINT         NULL,
    [Sensitive]        VARCHAR (8000) NULL,
    [TaskCategory]     BIGINT         NULL,
    [WorkflowDR]       BIGINT         NULL,
    [thread__id]       NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
