﻿CREATE TABLE zraw._ccraTaskList 
(
	--source: A06, CDWWork, CCRA.tasklist

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[patientbilldr] [bigint] NULL,
	[patientdetails] [varchar](8000) NULL,
	[payorbilldr] [bigint] NULL,
	[payordr] [bigint] NULL,
	[prevtaskdr] [bigint] NULL,
	[prioritydr] [bigint] NULL,
	[questionnairedr] [bigint] NULL,
	[rbappointmentdr] [varchar](8000) NULL,
	[reasonnotcomplete] [bigint] NULL,
	[reminder] [varchar](8000) NULL,
	[remindertimeunit] [varchar](8000) NULL,
	[requestorderitems] [varchar](8000) NULL,
	[requestordersets] [varchar](8000) NULL,
	[scheduleddate] [datetime2](7) NULL,
	[scheduledtime] [time](7) NULL,
	[suspensiondr] [varchar](8000) NULL,
	[taskdescription] [varchar](8000) NULL,
	[taskdispositiondr] [bigint] NULL,
	[taskitemdr] [bigint] NULL,
	[taskplandr] [bigint] NULL,
	[userdr] [bigint] NULL,
	[usergroupdr] [bigint] NULL,
	[waitinglisttype] [bigint] NULL,
	[warddetails] [varchar](8000) NULL,
	[workflow] [varchar](8000) NULL,
    [thread__id]   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
