﻿CREATE TABLE zraw._ccra_Qusxxes
(
	--source: A06, CDWWork, CCRA.Qusxxes

	--fields
    [station__no]                VARCHAR (30)   NOT NULL,
    [ID]                         BIGINT         NULL,
    [QUESPAAdmDR]                BIGINT         NULL,
    [QUESPAPatMasDR]             BIGINT         NULL,
    [QUESDate]                   DATETIME2 (7)  NULL,
    [QUESTime]                   TIME (7)       NULL,
    [QUESScore]                  VARCHAR (8000) NULL,
    [QUESSSUserDefWindowDR]      BIGINT         NULL,
    [QUESUserDR]                 BIGINT         NULL,
    [QUESOEOrdExecDR]            VARCHAR (8000) NULL,
    [QUESMRClinicalPathWaysDR]   VARCHAR (8000) NULL,
    [QUESCreateDate]             DATETIME2 (7)  NULL,
    [QUESCreateTime]             TIME (7)       NULL,
    [QUESCreateUserDR]           BIGINT         NULL,
    [QUESStatusDR]               BIGINT         NULL,
    [QUESTextResultDR]           BIGINT         NULL,
    [QUESConsultDR]              VARCHAR (8000) NULL,
    [QUESOperRoomDR]             BIGINT         NULL,
    [QUESFHResidentDR]           BIGINT         NULL,
    [QUESPathwayItemDR]          VARCHAR (8000) NULL,
    [QUESPAWaitingListDR]        BIGINT         NULL,
    [QQ1]                        VARCHAR (8000) NULL,
    [QQ2]                        VARCHAR (8000) NULL,
    [QQ3]                        VARCHAR (1)    NULL,
    [QQ4]                        DATETIME2 (7)  NULL,
    [QQ5]                        DATETIME2 (7)  NULL,
    [QQ6]                        VARCHAR (1)    NULL,
    [QQ7]                        VARCHAR (1)    NULL,
    [QQ8]                        VARCHAR (1)    NULL,
    [QQ9]                        VARCHAR (1)    NULL,
    [QQ13]                       VARCHAR (8000) NULL,
    [QQ14]                       VARCHAR (8000) NULL,
    [QQ15]                       DATETIME2 (7)  NULL,
    [QQ16]                       VARCHAR (8000) NULL,
    [QQ17]                       VARCHAR (1)    NULL,
    [QQ18]                       DATETIME2 (7)  NULL,
    [QQ19]                       VARCHAR (1)    NULL,
    [QQ20]                       VARCHAR (1)    NULL,
    [QQ21]                       VARCHAR (8000) NULL,
    [QQ22]                       DATETIME2 (7)  NULL,
    [QQ23]                       VARCHAR (8000) NULL,
    [QQ24]                       VARCHAR (8000) NULL,
    [QL1]                        VARCHAR (8000) NULL,
    [QQ25]                       VARCHAR (1)    NULL,
    [QQ26]                       VARCHAR (8000) NULL,
    [QQ27]                       VARCHAR (8000) NULL,
    [QQ28]                       VARCHAR (8000) NULL,
    [QQ29]                       VARCHAR (8000) NULL,
    [QQ30]                       VARCHAR (8000) NULL,
    [QQ31]                       VARCHAR (8000) NULL,
    [QUESCopiedEpDR]             BIGINT         NULL,
    [QUESCopiedUserDR]           BIGINT         NULL,
    [QUESCopiedDate]             DATETIME2 (7)  NULL,
    [QUESCopiedTime]             TIME (7)       NULL,
    [QUESCopiedComments]         VARCHAR (8000) NULL,
    [QUESReasonForCorrectionDR]  BIGINT         NULL,
    [QUESErrorReasonDR]          BIGINT         NULL,
    [QUESNRCarePlanIssuesDR]     VARCHAR (8000) NULL,
    [QUESRBAppointmentDR]        VARCHAR (8000) NULL,
    [QUESAnaDR]                  VARCHAR (8000) NULL,
    [QUESAnaOperationDR]         VARCHAR (8000) NULL,
    [QUESCopiedSourceDR]         BIGINT         NULL,
    [QUESTransactionDR]          VARCHAR (8000) NULL,
    [QUESObsEntryDR]             VARCHAR (8000) NULL,
    [QUESPAPregnancyDR]          BIGINT         NULL,
    [QUESPrePostExamOEOrdItemDR] VARCHAR (8000) NULL,
    [thread__id]                 NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
