﻿CREATE TABLE zraw._ccraarc_itmmast
(
	--source: A06, CDWWork, CCRA.arc_itmmast

	--fields
	[station__no] [varchar](30) NOT NULL,
	[arcim_rowid] [varchar](8000) NULL,
	[arcim_code] [varchar](8000) NULL,
	[arcim_desc] [varchar](8000) NULL,
	[arcim_abbrev] [varchar](8000) NULL,
	[arcim_uom_dr] [bigint] NULL,
	[arcim_minamt] [numeric](28, 6) NULL,
	[arcim_maxamt] [numeric](28, 6) NULL,
	[arcim_chgunitfact] [numeric](28, 6) NULL,
	[arcim_itemcat_dr] [bigint] NULL,
	[arcim_chgcost] [numeric](28, 6) NULL,
	[arcim_chgminamt] [numeric](28, 6) NULL,
	[arcim_chgmaxamt] [numeric](28, 6) NULL,
	[arcim_stdamt] [numeric](28, 6) NULL,
	[arcim_typeaamt] [numeric](28, 6) NULL,
	[arcim_typebamt] [numeric](28, 6) NULL,
	[arcim_chgdispflg] [varchar](8000) NULL,
	[arcim_chgpostflg] [varchar](8000) NULL,
	[arcim_timedepflg] [varchar](8000) NULL,
	[arcim_p1chgfact] [numeric](28, 6) NULL,
	[arcim_p1stdaddamt] [numeric](28, 6) NULL,
	[arcim_p1typaaddamt] [numeric](28, 6) NULL,
	[arcim_p1typbaddamt] [numeric](28, 6) NULL,
	[arcim_p2chgfact] [numeric](28, 6) NULL,
	[arcim_p2stdaddamt] [numeric](28, 6) NULL,
	[arcim_p2typaaddamt] [numeric](28, 6) NULL,
	[arcim_p2typbaddamt] [numeric](28, 6) NULL,
	[arcim_p3chgfact] [numeric](28, 6) NULL,
	[arcim_p3stdaddamt] [numeric](28, 6) NULL,
	[arcim_p3typaaddamt] [numeric](28, 6) NULL,
	[arcim_p3typbaddamt] [numeric](28, 6) NULL,
	[arcim_p4chgfact] [numeric](28, 6) NULL,
	[arcim_p4stdaddamt] [numeric](28, 6) NULL,
	[arcim_p4typaaddamt] [numeric](28, 6) NULL,
	[arcim_p4typbaddamt] [numeric](28, 6) NULL,
	[arcim_servcat_dr] [bigint] NULL,
	[arcim_profileflg] [varchar](8000) NULL,
	[arcim_submasflg] [varchar](8000) NULL,
	[arcim_billsub_dr] [varchar](8000) NULL,
	[arcim_servtax_dr] [bigint] NULL,
	[arcim_dosetype] [varchar](8000) NULL,
	[arcim_phcdf_dr] [varchar](8000) NULL,
	[arcim_version] [numeric](28, 6) NULL,
	[arcim_curvers_dr] [varchar](8000) NULL,
	[arcim_curverflg] [varchar](8000) NULL,
	[arcim_effdate] [datetime2](7) NULL,
	[arcim_efftime] [time](7) NULL,
	[arcim_effdatetime] [varchar](8000) NULL,
	[arcim_subscript] [numeric](28, 6) NULL,
	[arcim_glposttoorderdept] [varchar](8000) NULL,
	[arcim_rvpfud] [numeric](28, 6) NULL,
	[arcim_rvpanes] [numeric](28, 6) NULL,
	[arcim_rvpunitstat] [varchar](8000) NULL,
	[arcim_rvpupd] [varchar](8000) NULL,
	[arcim_rvpinterimyear] [numeric](28, 6) NULL,
	[arcim_inscodesc] [varchar](8000) NULL,
	[arcim_inssubcat_dr] [varchar](8000) NULL,
	[arcim_effdateto] [datetime2](7) NULL,
	[arcim_surcharge_dr] [bigint] NULL,
	[arcim_ointment] [numeric](28, 6) NULL,
	[arcim_servmaterial] [varchar](8000) NULL,
	[arcim_haemodal] [varchar](8000) NULL,
	[arcim_capd] [varchar](8000) NULL,
	[arcim_kidneytransp] [varchar](8000) NULL,
	[arcim_billbodyp_dr] [bigint] NULL,
	[arcim_oemessage] [varchar](8000) NULL,
	[arcim_incsource_dr] [bigint] NULL,
	[arcim_orderonitsown] [varchar](8000) NULL,
	[arcim_visibleinorderlist] [varchar](8000) NULL,
	[arcim_manufactured] [varchar](8000) NULL,
	[arcim_chargepartial] [varchar](8000) NULL,
	[arcim_snackflag] [varchar](8000) NULL,
	[arcim_ricetype_dr] [bigint] NULL,
	[arcim_updatedate] [datetime2](7) NULL,
	[arcim_updatetime] [time](7) NULL,
	[arcim_updateuser] [bigint] NULL,
	[arcim_consultdept] [bigint] NULL,
	[arcim_singlefee] [varchar](8000) NULL,
	[arcim_row_calc] [varchar](8000) NULL,
	[arcim_type_calc] [varchar](8000) NULL,
	[arcim_mealtype_dr] [bigint] NULL,
	[arcim_servicegroup_dr] [bigint] NULL,
	[arcim_minutes] [varchar](8000) NULL,
	[arcim_days] [numeric](28, 6) NULL,
	[arcim_alloworderwostockcheck] [varchar](8000) NULL,
	[arcim_billdescription] [varchar](8000) NULL,
	[arcim_pricecostonordering] [varchar](8000) NULL,
	[arcim_billinguom_dr] [bigint] NULL,
	[arcim_wordtemplate] [varchar](8000) NULL,
	[arcim_rmduration_dr] [bigint] NULL,
	[arcim_rmfrequency_dr] [bigint] NULL,
	[arcim_derivedfeeitem] [varchar](8000) NULL,
	[arcim_derfeerules_dr] [bigint] NULL,
	[arcim_generic_dr] [bigint] NULL,
	[arcim_genericdesc] [varchar](8000) NULL,
	[arcim_defpriority_dr] [bigint] NULL,
	[arcim_shortdesc] [varchar](8000) NULL,
	[arcim_rangefrom] [varchar](8000) NULL,
	[arcim_rangeto] [varchar](8000) NULL,
	[arcim_resultgroup] [varchar](8000) NULL,
	[arcim_payoricdgroup_dr] [bigint] NULL,
	[arcim_filenotes] [varchar](8000) NULL,
	[arcim_rbnotes] [varchar](8000) NULL,
	[arcim_useodbcforword] [varchar](8000) NULL,
	[arcim_questionnaire_dr] [bigint] NULL,
	[arcim_dayscheckduplicate] [numeric](28, 6) NULL,
	[arcim_dosecalcformula] [varchar](8000) NULL,
	[arcim_quesmandatory] [varchar](8000) NULL,
	[arcim_observationgroup_dr] [bigint] NULL,
	[arcim_adminquestionn_dr] [bigint] NULL,
	[arcim_testitemsequnce] [varchar](8000) NULL,
	[arcim_processingnotes] [varchar](8000) NULL,
	[arcim_maxprice] [numeric](28, 6) NULL,
	[arcim_minprice] [numeric](28, 6) NULL,
	[arcim_modifiersrequired] [varchar](8000) NULL,
	[arcim_sensitive] [varchar](8000) NULL,
	[arcim_patientorderfile1] [varchar](8000) NULL,
	[arcim_patientorderfile2] [varchar](8000) NULL,
	[arcim_patientorderfile3] [varchar](8000) NULL,
	[arcim_sensitiveorder] [varchar](8000) NULL,
	[arcim_displaycumulative] [varchar](8000) NULL,
	[arcim_resultdisplaygroupdr] [bigint] NULL,
	[arcim_chgorderperhour] [varchar](8000) NULL,
	[arcim_authorisingclinician] [varchar](8000) NULL,
	[arcim_hl7resulttype] [varchar](8000) NULL,
	[arcim_dentalstate_dr] [bigint] NULL,
	[arcim_deceasedpatientsonly] [varchar](8000) NULL,
	[arcim_maxcumdose] [numeric](28, 6) NULL,
	[arcim_noofcumdays] [numeric](28, 6) NULL,
	[arcim_text1] [varchar](8000) NULL,
	[arcim_text2] [varchar](8000) NULL,
	[arcim_text3] [varchar](8000) NULL,
	[arcim_text4] [varchar](8000) NULL,
	[arcim_text5] [varchar](8000) NULL,
	[arcim_maxqtyperday] [numeric](28, 6) NULL,
	[arcim_maxqty] [numeric](28, 6) NULL,
	[arcim_mintime] [varchar](8000) NULL,
	[arcim_servicecharge_dr] [bigint] NULL,
	[arcim_energykj] [varchar](8000) NULL,
	[arcim_energycal] [varchar](8000) NULL,
	[arcim_proteing] [varchar](8000) NULL,
	[arcim_totalfatg] [varchar](8000) NULL,
	[arcim_saturatedfatsg] [varchar](8000) NULL,
	[arcim_carbohydratesg] [varchar](8000) NULL,
	[arcim_sugarsg] [varchar](8000) NULL,
	[arcim_sodiummg] [varchar](8000) NULL,
	[arcim_dietryfibreg] [varchar](8000) NULL,
	[arcim_otherg] [varchar](8000) NULL,
	[arcim_userdefwindow_dr] [bigint] NULL,
	[arcim_restrictem] [varchar](8000) NULL,
	[arcim_restrictip] [varchar](8000) NULL,
	[arcim_restrictop] [varchar](8000) NULL,
	[arcim_restricthp] [varchar](8000) NULL,
	[arcim_servicepriority_dr] [bigint] NULL,
	[arcim_phoneorderreviewtime] [numeric](28, 6) NULL,
	[arcim_excludefromgrpwarn] [varchar](8000) NULL,
	[arcim_prerecoverytimemin] [numeric](28, 6) NULL,
	[arcim_prerecoverytimetype] [varchar](8000) NULL,
	[arcim_sequenceorder] [varchar](8000) NULL,
	[arcim_externalserviceid] [varchar](8000) NULL,
	[arcim_billonadmnstrinpat] [varchar](8000) NULL,
	[arcim_billonadmnstroutpat] [varchar](8000) NULL,
	[arcim_billonadmnstremerg] [varchar](8000) NULL,
	[arcim_diagnosticwaittime] [numeric](28, 6) NULL,
	[arcim_addtodiagnosticstage] [varchar](8000) NULL,
	[arcim_reviewrequired] [varchar](8000) NULL,
	[arcim_billinglogic] [varchar](8000) NULL,
	[arcim_outpbillinglogic] [varchar](8000) NULL,
	[arcim_emergbillinglogic] [varchar](8000) NULL,
	[arcim_bedreasonnotavail_dr] [bigint] NULL,
	[arcim_adjustedproceduretime] [numeric](28, 6) NULL,
	[arcim_loanitem] [varchar](8000) NULL,
	[arcim_internalloandays] [numeric](28, 6) NULL,
	[arcim_externalloandays] [numeric](28, 6) NULL,
	[arcim_reqapproval] [varchar](8000) NULL,
	[arcim_expirydays] [numeric](28, 6) NULL,
	[arcim_deductibleitem] [varchar](8000) NULL,
	[arcim_dresstime] [numeric](28, 6) NULL,
	[arcim_nonreviewable] [varchar](8000) NULL,
	[arcim_drgformpack_dr] [varchar](8000) NULL,
	[arcim_dmdlevel] [varchar](8000) NULL,
	[arcim_dmdgeneric_dr] [bigint] NULL,
	[arcim_adminroute_dr] [bigint] NULL,
	[arcim_phcpa_dr] [bigint] NULL,
	[arcim_drgmast_dr] [bigint] NULL,
	[arcim_anaestprocedure] [varchar](8000) NULL,
	[arcim_anaestprocbilling] [varchar](8000) NULL,
	[arcim_dmdstrength_dr] [bigint] NULL,
	[arcim_dmdform_dr] [bigint] NULL,
	[arcim_episodetype] [varchar](8000) NULL,
	[arcim_explos] [numeric](28, 6) NULL,
	[arcim_anaestmethod_dr] [bigint] NULL,
	[arcim_expanaesttime] [numeric](28, 6) NULL,
	[arcim_episodicbilling] [varchar](8000) NULL,
	[arcim_sameday] [varchar](8000) NULL,
	[arcim_commissioning] [varchar](8000) NULL,
	[arcim_roomtype_dr] [bigint] NULL,
	[arcim_snomedterms_dr] [bigint] NULL,
	[arcim_snomedconcept_dr] [bigint] NULL,
	[arcim_owner] [varchar](8000) NULL,
	[arcim_codetabletags] [varchar](8000) NULL,
	[arcim_rebatecode] [varchar](8000) NULL,
	[arcim_formulary] [varchar](8000) NULL,
	[arcim_dmdvolumeml] [numeric](28, 6) NULL,
	[arcim_admixturerecipe_dr] [bigint] NULL,
	[arcim_billbytariffprices] [varchar](8000) NULL,
	[arcim_disableyesno1] [varchar](8000) NULL,
	[arcim_disableyesno2] [varchar](8000) NULL,
	[arcim_disableyesno3] [varchar](8000) NULL,
	[arcim_disableyesno4] [varchar](8000) NULL,
	[arcim_type1] [varchar](8000) NULL,
	[arcim_type2] [varchar](8000) NULL,
	[arcim_resultcategories] [varchar](8000) NULL,
	[arcim_dayband1] [varchar](8000) NULL,
	[arcim_compservice_dr] [varchar](8000) NULL,
	[arcim_dischprioritybup_dr] [bigint] NULL,
	[arcim_notheatrereq] [varchar](8000) NULL,
	[arcim_isdrugdbapi] [varchar](8000) NULL,
	[arcim_nonmbs] [varchar](8000) NULL,
	[arcim_directlyexecute] [varchar](8000) NULL,
	[arcim_autoorder] [varchar](8000) NULL,
	[arcim_createddate] [datetime2](7) NULL,
	[arcim_createdtime] [time](7) NULL,
	[arcim_createduser_dr] [bigint] NULL,
	[arcim_updateddate] [datetime2](7) NULL,
	[arcim_updatedtime] [time](7) NULL,
	[arcim_updateduser_dr] [bigint] NULL,
	[arcim_nocharge] [varchar](8000) NULL,
	[arcim_createinpatientepisode] [varchar](1) NULL,
	thread__id				numeric(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
