﻿CREATE TABLE zraw._ccraarc_ordsetdate
(
	--source: A06, CDWWork, CCRA.arc_ordsetdate
	--fields
	station__no				  varchar(30) NOT NULL,
	[date_parref] [varchar](8000) NULL,
	[date_rowid] [varchar](8000) NULL,
	[date_childsub] [numeric](28, 6) NULL,
	[date_datefrom] [datetime2](7) NULL,
	[date_dateto] [datetime2](7) NULL,
	[date_codetabletags] [varchar](8000) NULL,
	[date_number] [numeric](28, 6) NULL,
	[date_isinuse] [varchar](1) NULL,
	[date_isinusedate] [datetime2](7) NULL,
	[date_allowinpathways] [varchar](8000) NULL,
	[date_timefrom] [time](7) NULL,
	[date_timeto] [time](7) NULL,
	[date_source_dr] [bigint] NULL,
	[date_version] [varchar](8000) NULL,
	[date_duration] [varchar](8000) NULL,
	[date_createddate] [datetime2](7) NULL,
	[date_createdtime] [time](7) NULL,
	[date_createduser_dr] [bigint] NULL,
	[date_updateddate] [datetime2](7) NULL,
	[date_updatedtime] [time](7) NULL,
	[date_updateduser_dr] [bigint] NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
