﻿CREATE TABLE zraw._ccract_careprov
(
	--source: A06, CDWWork, CCRA.ct_careprov

	--fields
	station__no				  varchar(30) NOT NULL,
	[ctpcp_rowid1] [varchar](8000) NULL,
	[ctpcp_code] [varchar](8000) NULL,
	[ctpcp_desc] [varchar](8000) NULL,
	[ctpcp_id] [varchar](8000) NULL,
	[ctpcp_category] [varchar](8000) NULL,
	[ctpcp_smcno] [varchar](8000) NULL,
	[ctpcp_carprvtp_dr] [bigint] NULL,
	[ctpcp_addrtype_dr] [bigint] NULL,
	[ctpcp_blk] [varchar](8000) NULL,
	[ctpcp_stname] [varchar](8000) NULL,
	[ctpcp_level] [varchar](8000) NULL,
	[ctpcp_unit] [varchar](8000) NULL,
	[ctpcp_city_dr] [bigint] NULL,
	[ctpcp_state_dr] [bigint] NULL,
	[ctpcp_zip_dr] [bigint] NULL,
	[ctpcp_spec_dr] [bigint] NULL,
	[ctpcp_subspec_dr] [bigint] NULL,
	[ctpcp_telo] [varchar](8000) NULL,
	[ctpcp_teloext] [varchar](8000) NULL,
	[ctpcp_telh] [varchar](8000) NULL,
	[ctpcp_pagerno] [varchar](8000) NULL,
	[ctpcp_hosp_dr] [bigint] NULL,
	[ctpcp_con1code_dr] [varchar](8000) NULL,
	[ctpcp_con2code_dr] [varchar](8000) NULL,
	[ctpcp_activeflag] [varchar](8000) NULL,
	[ctpcp_versionorigin_dr] [varchar](8000) NULL,
	[ctpcp_versionnumber] [numeric](28, 6) NULL,
	[ctpcp_versiondate] [datetime2](7) NULL,
	[ctpcp_versiontime] [time](7) NULL,
	[ctpcp_versiondatetime] [varchar](8000) NULL,
	[ctpcp_authorid] [varchar](8000) NULL,
	[ctpcp_specialistyn] [varchar](8000) NULL,
	[ctpcp_firstdigitinqueue] [varchar](8000) NULL,
	[ctpcp_dateactivefrom] [datetime2](7) NULL,
	[ctpcp_dateactiveto] [datetime2](7) NULL,
	[ctpcp_linkdoctor_dr] [varchar](8000) NULL,
	[ctpcp_allocateddoctor] [varchar](8000) NULL,
	[ctpcp_surgeon] [varchar](8000) NULL,
	[ctpcp_anaesthetist] [varchar](8000) NULL,
	[ctpcp_prescribernumber] [varchar](8000) NULL,
	[ctpcp_cpgroup_dr] [bigint] NULL,
	[ctpcp_respunit_dr] [bigint] NULL,
	[ctpcp_ctloc_dr] [bigint] NULL,
	[ctpcp_title] [varchar](8000) NULL,
	[ctpcp_dob] [varchar](8000) NULL,
	[ctpcp_mobilephone] [varchar](8000) NULL,
	[ctpcp_fax] [varchar](8000) NULL,
	[ctpcp_maillist] [varchar](8000) NULL,
	[ctpcp_email] [varchar](8000) NULL,
	[ctpcp_prefconmethod] [varchar](8000) NULL,
	[ctpcp_textone] [varchar](8000) NULL,
	[ctpcp_texttwo] [varchar](8000) NULL,
	[ctpcp_contactfirston] [varchar](8000) NULL,
	[ctpcp_radiologist] [varchar](8000) NULL,
	[ctpcp_admittingrights] [varchar](8000) NULL,
	[ctpcp_acceptance] [varchar](8000) NULL,
	[ctpcp_previous] [varchar](8000) NULL,
	[ctpcp_mantouxtest] [varchar](8000) NULL,
	[ctpcp_continuing] [varchar](8000) NULL,
	[ctpcp_new] [varchar](8000) NULL,
	[ctpcp_prefmailaddflad] [varchar](8000) NULL,
	[ctpcp_updatedate] [datetime2](7) NULL,
	[ctpcp_updatetime] [time](7) NULL,
	[ctpcp_updateuser_dr] [bigint] NULL,
	[ctpcp_bestcontacttime] [varchar](8000) NULL,
	[ctpcp_referraldoctor_dr] [bigint] NULL,
	[ctpcp_firstname] [varchar](8000) NULL,
	[ctpcp_othername] [varchar](8000) NULL,
	[ctpcp_title_dr] [bigint] NULL,
	[ctpcp_surname] [varchar](8000) NULL,
	[ctpcp_hicapproved] [varchar](8000) NULL,
	[ctpcp_practitionerflag1] [varchar](8000) NULL,
	[ctpcp_createduser_dr] [bigint] NULL,
	[ctpcp_createddate] [datetime2](7) NULL,
	[ctpcp_createdtime] [time](7) NULL,
	[ctpcp_createdhosp_dr] [bigint] NULL,
	[ctpcp_updatehosp_dr] [bigint] NULL,
	[ctpcp_textthree] [varchar](8000) NULL,
	[ctpcp_texttitle] [varchar](8000) NULL,
	[ctpcp_signature] [varchar](max) NULL,
	[ctpcp_doctorsreportstype] [varchar](8000) NULL,
	[ctpcp_quickprint] [varchar](8000) NULL,
	[ctpcp_courier_dr] [bigint] NULL,
	[ctpcp_couriercopies] [numeric](28, 6) NULL,
	[ctpcp_doctorsreportsto] [varchar](8000) NULL,
	[ctpcp_doctorsreportsdeliverysort] [varchar](8000) NULL,
	[ctpcp_specstpalliativecp] [varchar](8000) NULL,
	[ctpcp_cumulativepreference] [varchar](8000) NULL,
	[ctpcp_cumulativeorder] [varchar](8000) NULL,
	[ctpcp_cumulativeepisodes] [bigint] NULL,
	[ctpcp_language_dr] [bigint] NULL,
	[ctpcp_wloutpatientrights] [varchar](8000) NULL,
	[ctpcp_wltriagerights] [varchar](8000) NULL,
	[ctpcp_regissuer] [bigint] NULL,
	[ctpcp_manualprint] [varchar](8000) NULL,
	[ctpcp_otconsultant] [varchar](8000) NULL,
	[ctpcp_externalinterfacequeue_dr] [bigint] NULL,
	[ctpcp_reportmode] [varchar](8000) NULL,
	[ctpcp_updateddate] [datetime2](7) NULL,
	[ctpcp_updatedtime] [time](7) NULL,
	[ctpcp_updateduser_dr] [bigint] NULL,
	[ctpcp_rowid] [varchar](8000) NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	--commenting in compression 93,422 records in source
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
