﻿CREATE TABLE zraw._ccract_country
(
	--source: A06, CDWWork, CCRA.ct_country

	--fields
	station__no				  varchar(30) NOT NULL,
	[ctcou_rowid] [bigint] NULL,
	[ctcou_code] [varchar](8000) NULL,
	[ctcou_desc] [varchar](8000) NULL,
	[ctcou_active] [varchar](8000) NULL,
	[ctcou_dateactivefrom] [datetime2](7) NULL,
	[ctcou_dateactiveto] [datetime2](7) NULL,
	[ctcou_owner] [varchar](8000) NULL,
	[ctcou_codetabletags] [varchar](8000) NULL,
	[ctcou_createddate] [datetime2](7) NULL,
	[ctcou_createdtime] [time](7) NULL,
	[ctcou_createduser_dr] [bigint] NULL,
	[ctcou_updateddate] [datetime2](7) NULL,
	[ctcou_updatedtime] [time](7) NULL,
	[ctcou_updateduser_dr] [bigint] NULL,
	[ctcou_codetranslated] [varchar](8000) NULL,
	[ctcou_desctranslated] [varchar](8000) NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
