﻿CREATE TABLE zraw._ccract_hospital
(
	--source: A06, CDWWork, CCRA.ct_hospital

	--fields
	station__no				varchar(30) NOT NULL,
	[hosp_rowid] [bigint] NULL,
	[hosp_code] [varchar](8000) NULL,
	[hosp_desc] [varchar](8000) NULL,
	[hosp_billaddress] [varchar](8000) NULL,
	[hosp_billno_dr] [bigint] NULL,
	[hosp_creditnoteno_dr] [bigint] NULL,
	[hosp_usesamecounter] [varchar](8000) NULL,
	[hosp_trust_dr] [bigint] NULL,
	[hosp_nationalcode] [varchar](8000) NULL,
	[hosp_warnsameservicewnxdays] [numeric](28, 6) NULL,
	[hosp_datefrom] [datetime2](7) NULL,
	[hosp_dateto] [datetime2](7) NULL,
	[hosp_phone] [varchar](8000) NULL,
	[hosp_fax] [varchar](8000) NULL,
	[hosp_email] [varchar](8000) NULL,
	[hosp_medicaldirector] [varchar](8000) NULL,
	[hosp_zipdr] [bigint] NULL,
	[hosp_state] [bigint] NULL,
	[hosp_address] [varchar](8000) NULL,
	[hosp_city] [bigint] NULL,
	[hosp_mandatoryrefhospital] [varchar](8000) NULL,
	[hosp_logo] [varchar](8000) NULL,
	[hosp_hospdrgcateg_dr] [bigint] NULL,
	[hosp_showappwtimeviolation] [varchar](8000) NULL,
	[hosp_province_dr] [bigint] NULL,
	[hosp_email1] [varchar](8000) NULL,
	[hosp_island] [varchar](8000) NULL,
	[hosp_applyvcfees] [varchar](8000) NULL,
	[hosp_bankaccount] [varchar](8000) NULL,
	[hosp_tariff_dr] [bigint] NULL,
	[hosp_mhact_dr] [bigint] NULL,
	[hosp_faxserveremail] [varchar](8000) NULL,
	[hosp_weekssuspensionreview] [numeric](28, 6) NULL,
	[hosp_daysforopdoffer] [numeric](28, 6) NULL,
	[hosp_daysforopletterresponse] [numeric](28, 6) NULL,
	[hosp_offersbeforeip_opwaitreset] [numeric](28, 6) NULL,
	[hosp_newways] [varchar](8000) NULL,
	[hosp_daysofferoutcomechange] [numeric](28, 6) NULL,
	[hosp_facilitytype_dr] [bigint] NULL,
	[hosp_insurancetype_dr] [bigint] NULL,
	[hosp_facilityid] [varchar](8000) NULL,
	[hosp_claimtypecode] [varchar](8000) NULL,
	[hosp_owner] [varchar](8000) NULL,
	[hosp_codetabletags] [varchar](8000) NULL,
	[hosp_subregion_dr] [bigint] NULL,
	[hosp_country_dr] [bigint] NULL,
	[hosp_countyparish_dr] [bigint] NULL,
	[hosp_debtorcontrol] [varchar](8000) NULL,
	[hosp_bankaccount1] [varchar](8000) NULL,
	[hosp_unallocpayment] [varchar](8000) NULL,
	[hosp_accrualscontrol] [varchar](8000) NULL,
	[hosp_posessioncounter_dr] [bigint] NULL,
	[hosp_createddate] [datetime2](7) NULL,
	[hosp_createdtime] [time](7) NULL,
	[hosp_createduser_dr] [bigint] NULL,
	[hosp_updateddate] [datetime2](7) NULL,
	[hosp_updatedtime] [time](7) NULL,
	[hosp_updateduser_dr] [bigint] NULL,
	[hosp_payorapprovalreq] [varchar](8000) NULL,
	[hosp_timezone] [varchar](8000) NULL,
	thread__id				numeric(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
