﻿CREATE TABLE zraw._ccract_loc
(
	--source: A06, CDWWork, CCRA.ct_loc

	--fields
	station__no				  varchar(30) NOT NULL,
	[ctloc_rowid] [bigint] NULL,
	[ctloc_code] [varchar](8000) NULL,
	[ctloc_desc] [varchar](8000) NULL,
	[ctloc_glccc_dr] [bigint] NULL,
	[ctloc_password] [varchar](8000) NULL,
	[ctloc_wardflag] [varchar](8000) NULL,
	[ctloc_address] [varchar](8000) NULL,
	[ctloc_activeflag] [varchar](8000) NULL,
	[ctloc_cashier_dr] [bigint] NULL,
	[ctloc_otc_dr] [bigint] NULL,
	[ctloc_starttime] [time](7) NULL,
	[ctloc_endtime] [time](7) NULL,
	[ctloc_ownqueflag] [varchar](8000) NULL,
	[ctloc_recqueflag] [varchar](8000) NULL,
	[ctloc_type] [varchar](8000) NULL,
	[ctloc_disploc_dr] [bigint] NULL,
	[ctloc_floor] [varchar](8000) NULL,
	[ctloc_nfmi_dr] [varchar](8000) NULL,
	[ctloc_laundry] [varchar](8000) NULL,
	[ctloc_dep_dr] [bigint] NULL,
	[ctloc_differentsexpatients] [varchar](8000) NULL,
	[ctloc_index] [varchar](8000) NULL,
	[ctloc_hospital_dr] [bigint] NULL,
	[ctloc_executeconfirmation] [varchar](8000) NULL,
	[ctloc_dateactivefrom] [datetime2](7) NULL,
	[ctloc_dateactiveto] [datetime2](7) NULL,
	[ctloc_rehabilitativeflag] [varchar](8000) NULL,
	[ctloc_medicalrecordactive] [varchar](8000) NULL,
	[ctloc_defaultmrtype_dr] [bigint] NULL,
	[ctloc_resultdelivery] [varchar](8000) NULL,
	[ctloc_respunit_dr] [bigint] NULL,
	[ctloc_patientagesexmix_dr] [bigint] NULL,
	[ctloc_intendclincareintensity_dr] [bigint] NULL,
	[ctloc_broadpatientgroup_dr] [bigint] NULL,
	[ctloc_weeklyavailindicator] [varchar](8000) NULL,
	[ctloc_openovernightindicator] [varchar](8000) NULL,
	[ctloc_signiffacility_dr] [bigint] NULL,
	[ctloc_notused] [varchar](8000) NULL,
	[ctloc_extgroup_dr] [bigint] NULL,
	[ctloc_externalinfosystem] [varchar](8000) NULL,
	[ctloc_telephone] [varchar](8000) NULL,
	[ctloc_telephoneext] [varchar](8000) NULL,
	[ctloc_hl7orderslink] [varchar](8000) NULL,
	[ctloc_contactname] [varchar](8000) NULL,
	[ctloc_floorplanquery] [varchar](8000) NULL,
	[ctloc_visithrfrom] [time](7) NULL,
	[ctloc_visithrto] [time](7) NULL,
	[ctloc_restperiodfrom] [time](7) NULL,
	[ctloc_restperiodto] [time](7) NULL,
	[ctloc_agefrom] [numeric](28, 6) NULL,
	[ctloc_ageto] [numeric](28, 6) NULL,
	[ctloc_nationcode] [varchar](8000) NULL,
	[ctloc_orderstorecloc] [varchar](8000) NULL,
	[ctloc_sendhl7messageon] [varchar](8000) NULL,
	[ctloc_departmentheaduserdr] [bigint] NULL,
	[ctloc_pagerno] [varchar](8000) NULL,
	[ctloc_email] [varchar](8000) NULL,
	[ctloc_fax] [varchar](8000) NULL,
	[ctloc_daysautogenerate] [numeric](28, 6) NULL,
	[ctloc_mrrequestmovevalid] [varchar](8000) NULL,
	[ctloc_snapflag] [varchar](8000) NULL,
	[ctloc_multdaterangesvisithrs] [varchar](8000) NULL,
	[ctloc_mentalhealthunit] [varchar](8000) NULL,
	[ctloc_preferedoutlierward] [bigint] NULL,
	[ctloc_wardsinglesex] [bigint] NULL,
	[ctloc_printlabelsurgmrrequest] [varchar](8000) NULL,
	[ctloc_enabledischargeallhyperlink] [varchar](8000) NULL,
	[ctloc_inpatientunit] [varchar](8000) NULL,
	[ctloc_outpatientunit] [varchar](8000) NULL,
	[ctloc_timesincelastappt] [numeric](28, 6) NULL,
	[ctloc_period] [varchar](8000) NULL,
	[ctloc_dischsumnotrequired] [varchar](8000) NULL,
	[ctloc_natcodedatefrom] [datetime2](7) NULL,
	[ctloc_natcodedateto] [datetime2](7) NULL,
	[ctloc_signfacildatefrom] [datetime2](7) NULL,
	[ctloc_signiffacildateto] [datetime2](7) NULL,
	[ctloc_dischargelounge] [varchar](8000) NULL,
	[ctloc_externalviewerlink] [varchar](8000) NULL,
	[ctloc_daystokeeprecord] [numeric](28, 6) NULL,
	[ctloc_nataheadings] [varchar](8000) NULL,
	[ctloc_weekssuspensionreview] [numeric](28, 6) NULL,
	[ctloc_daysforopdoffer] [numeric](28, 6) NULL,
	[ctloc_daysforopletterresponse] [numeric](28, 6) NULL,
	[ctloc_offersbeforeip_opwaitreset] [numeric](28, 6) NULL,
	[ctloc_daysofferoutcomechange] [numeric](28, 6) NULL,
	[ctloc_radordaccessnoprefix] [varchar](8000) NULL,
	[ctloc_donotdisplayroomdescforbed] [varchar](8000) NULL,
	[ctloc_ebookerid] [varchar](8000) NULL,
	[ctloc_ebookingid] [varchar](8000) NULL,
	[ctloc_ebookerenabled] [varchar](8000) NULL,
	[ctloc_ebookingenabled] [varchar](8000) NULL,
	[ctloc_ebookeriurpenabled] [varchar](8000) NULL,
	[ctloc_ebookersuspdate] [datetime2](7) NULL,
	[ctloc_ebookersuspreas] [varchar](8000) NULL,
	[ctloc_dischsumoprequired] [varchar](8000) NULL,
	[ctloc_dischsumiprequired] [varchar](8000) NULL,
	[ctloc_dischsumedrequired] [varchar](8000) NULL,
	[ctloc_ipdischsummarytype] [varchar](8000) NULL,
	[ctloc_opdischsummarytype] [varchar](8000) NULL,
	[ctloc_eddischsummarytype] [varchar](8000) NULL,
	[ctloc_chargeaccompatientonleave] [varchar](8000) NULL,
	[ctloc_communityunit] [varchar](8000) NULL,
	[ctloc_daysclinsummaryop] [numeric](28, 6) NULL,
	[ctloc_daysclinsummaryip] [numeric](28, 6) NULL,
	[ctloc_daysclinsummaryed] [numeric](28, 6) NULL,
	[ctloc_admquest_dr] [bigint] NULL,
	[ctloc_intquest_dr] [bigint] NULL,
	[ctloc_disquest_dr] [bigint] NULL,
	[ctloc_defadmtimloc] [time](7) NULL,
	[ctloc_zip_dr] [bigint] NULL,
	[ctloc_doctorsreportstype] [varchar](8000) NULL,
	[ctloc_quickprint] [varchar](8000) NULL,
	[ctloc_doccourier_dr] [bigint] NULL,
	[ctloc_doccouriercopies] [numeric](28, 6) NULL,
	[ctloc_loccourier_dr] [bigint] NULL,
	[ctloc_loccouriercopies] [numeric](28, 6) NULL,
	[ctloc_referringdoctorcourier_dr] [bigint] NULL,
	[ctloc_referringdoctorcouriercopies] [numeric](28, 6) NULL,
	[ctloc_thirdpartycourier_dr] [bigint] NULL,
	[ctloc_thirdpartycouriercopies] [numeric](28, 6) NULL,
	[ctloc_doctorsreportsdeliverysort] [varchar](8000) NULL,
	[ctloc_cumulativepreference] [varchar](8000) NULL,
	[ctloc_cumulativeorder] [varchar](8000) NULL,
	[ctloc_cumulativeepisodes] [bigint] NULL,
	[ctloc_language_dr] [bigint] NULL,
	[ctloc_owner] [varchar](8000) NULL,
	[ctloc_codetabletags] [varchar](8000) NULL,
	[ctloc_countertype_dr] [bigint] NULL,
	[ctloc_starttimefb24] [time](7) NULL,
	[ctloc_labdefaultreceivedatetime] [varchar](8000) NULL,
	[ctloc_timezone] [varchar](8000) NULL,
	[ctloc_mandatorybeforepack] [varchar](8000) NULL,
	[ctloc_updpharmstatus] [varchar](8000) NULL,
	[ctloc_mandatorybeforeadmin] [varchar](8000) NULL,
	[ctloc_incldisorders] [varchar](8000) NULL,
	[ctloc_enabledpharmrev] [varchar](8000) NULL,
	[ctloc_shortlabsitecode] [varchar](8000) NULL,
	[ctloc_childhealthorganisation_dr] [bigint] NULL,
	[ctloc_flowsheetname] [varchar](8000) NULL,
	[ctloc_manualprint] [varchar](8000) NULL,
	[ctloc_defaultrapidrequestform_dr] [bigint] NULL,
	[ctloc_poenabled] [varchar](8000) NULL,
	[ctloc_stockenabled] [varchar](8000) NULL,
	[ctloc_externalinterfacequeue_dr] [bigint] NULL,
	[ctloc_reportmode] [varchar](8000) NULL,
	[ctloc_exclhospaverpriceqty] [varchar](8000) NULL,
	[ctloc_storagebinstatus] [varchar](8000) NULL,
	[ctloc_createddate] [datetime2](7) NULL,
	[ctloc_createdtime] [time](7) NULL,
	[ctloc_createduser_dr] [bigint] NULL,
	[ctloc_updateddate] [datetime2](7) NULL,
	[ctloc_updatedtime] [time](7) NULL,
	[ctloc_updateduser_dr] [bigint] NULL,
	[ctloc_bedreasonnotavail_dr] [bigint] NULL,
	[ctloc_donotsetbedunavail] [varchar](8000) NULL,
	[ctloc_highdependencyunit] [varchar](8000) NULL,
	[ctloc_defdischtimeloc] [time](7) NULL,
	[ctloc_labautoreceive] [varchar](8000) NULL,
	[ctloc_codetranslated] [varchar](8000) NULL,
	[ctloc_desctranslated] [varchar](8000) NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
