﻿CREATE TABLE zraw._ccract_province
(
	--source: A06, CDWWork, CCRA.ct_province

	--fields
    [station__no]         VARCHAR (30)   NOT NULL,
    [PROV_RowId]          BIGINT         NULL,
    [PROV_Code]           VARCHAR (8000) NULL,
    [PROV_Desc]           VARCHAR (8000) NULL,
    [PROV_Region_DR]      BIGINT         NULL,
    [PROV_DateFrom]       DATETIME2 (7)  NULL,
    [PROV_DateTo]         DATETIME2 (7)  NULL,
    [PROV_NationalCode]   VARCHAR (8000) NULL,
    [PROV_Owner]          VARCHAR (8000) NULL,
    [PROV_CodeTableTags]  VARCHAR (8000) NULL,
    [PROV_TimeZone]       VARCHAR (8000) NULL,
    [PROV_CreatedDate]    DATETIME2 (7)  NULL,
    [PROV_CreatedTime]    TIME (7)       NULL,
    [PROV_CreatedUser_DR] BIGINT         NULL,
    [PROV_UpdatedDate]    DATETIME2 (7)  NULL,
    [PROV_UpdatedTime]    TIME (7)       NULL,
    [PROV_UpdatedUser_DR] BIGINT         NULL,
    [thread__id]          NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
