﻿CREATE TABLE zraw._ccract_state
(
	--source: A06, CDWWork, CCRA.ct_state

	--fields
    [station__no]          VARCHAR (30)   NOT NULL,
    [CTSTT_RowId]          BIGINT         NULL,
    [CTSTT_Code]           VARCHAR (8000) NULL,
    [CTSTT_Desc]           VARCHAR (8000) NULL,
    [CTSTT_Owner]          VARCHAR (8000) NULL,
    [CTSTT_CodeTableTags]  VARCHAR (8000) NULL,
    [CTSTT_CreatedDate]    DATETIME2 (7)  NULL,
    [CTSTT_CreatedTime]    TIME (7)       NULL,
    [CTSTT_CreatedUser_DR] BIGINT         NULL,
    [CTSTT_UpdatedDate]    DATETIME2 (7)  NULL,
    [CTSTT_UpdatedTime]    TIME (7)       NULL,
    [CTSTT_UpdatedUser_DR] BIGINT         NULL,
    [thread__id]           NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
