﻿CREATE TABLE zraw._ccramr_nursingnotes 
(
	--source: A06, CDWWork, CCRA.mr_nursingnotes

	--fields
    [station__no]                  VARCHAR (30)    NOT NULL,
	[not_parref] [bigint] NULL,
	[not_rowid] [varchar](8000) NULL,
	[not_childsub] [numeric](28, 6) NULL,
	[not_date] [datetime2](7) NULL,
	[not_time] [time](7) NULL,
	[not_nurseid_dr] [varchar](8000) NULL,
	[not_notes] [varchar](8000) NULL,
	[not_addworklist] [varchar](8000) NULL,
	[not_clinnotestype_dr] [bigint] NULL,
	[not_status_dr] [bigint] NULL,
	[not_appoint_dr] [varchar](8000) NULL,
	[not_dateauth] [datetime2](7) NULL,
	[not_timeauth] [time](7) NULL,
	[not_userauth_dr] [bigint] NULL,
	[not_admapptdate] [datetime2](7) NULL,
	[not_admappttime] [time](7) NULL,
	[not_user_dr] [bigint] NULL,
	[not_rtfnotes] [varchar](8000) NULL,
	[not_hospital_dr] [bigint] NULL,
	[not_createdate] [datetime2](7) NULL,
	[not_createtime] [time](7) NULL,
	[not_copytogp] [varchar](8000) NULL,
	[not_otherrecipnameaddress] [varchar](8000) NULL,
	[not_dsreportflag] [varchar](8000) NULL,
	[not_enteredcareprov_dr] [varchar](8000) NULL,
	[not_includedfordischsum] [varchar](8000) NULL,
	[not_enteredloc_dr] [bigint] NULL,
	[not_consent] [varchar](8000) NULL,
	[not_clinnotesens_dr] [bigint] NULL,
	[not_notes1] [varchar](8000) NULL,
	[not_rtfnotes1] [varchar](8000) NULL,
	[not_editcp_dr] [varchar](8000) NULL,
	[not_readyforcoding] [varchar](8000) NULL,
	[not_externalref] [varchar](8000) NULL,
	[not_documentname] [varchar](8000) NULL,
	[not_documenturl] [varchar](8000) NULL,
	[not_document_dr] [bigint] NULL,
	[not_methodofconduct_dr] [bigint] NULL,
	[not_comments1] [varchar](8000) NULL,
	[not_comments2] [varchar](8000) NULL,
	[not_comments3] [varchar](8000) NULL,
	[not_comments4] [varchar](8000) NULL,
	[not_reasonforcorrection_dr] [bigint] NULL,
	[not_externalid] [varchar](8000) NULL,
	[not_errorreason_dr] [bigint] NULL,
	[not_noteshtmlrichtext] [bigint] NULL,
	[not_noteshtmlplaintext] [bigint] NULL,
	[not_clinicalnotestogateway] [varchar](8000) NULL,
	[not_activitydate] [datetime2](7) NULL,
	[not_activitytime] [time](7) NULL,
	[not_oeorditem_dr] [varchar](8000) NULL,
	[not_incidenttype_dr] [bigint] NULL,
	[not_eventstatus_dr] [bigint] NULL,
	[not_incidentdate] [datetime2](7) NULL,
	[not_actiontakendate] [datetime2](7) NULL,
	[not_actioncomments] [varchar](8000) NULL,
	[not_familybooking] [varchar](8000) NULL,
	[not_incidenttime] [time](7) NULL,
	[not_actiontakentime] [time](7) NULL,
	[not_clinnotescat_dr] [bigint] NULL,
	[not_clinnotessubtype_dr] [varchar](8000) NULL,
	[not_cptype_dr] [bigint] NULL,
	[not_seconduser_dr] [bigint] NULL,
    [thread__id]                   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	--commenting compression in.  table has over 123K records
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
