﻿CREATE TABLE zraw._ccrapa_personcareprovider
(
	--source: A06, CDWWork, CCRA.pa_personcareprovider

	--fields
    [station__no]     VARCHAR (30)    NOT NULL,
    [CP_ParRef]       BIGINT          NULL,
    [CP_RowId]        VARCHAR (8000)  NULL,
    [CP_Childsub]     NUMERIC (28, 6) NULL,
    [CP_RespUnit_DR]  BIGINT          NULL,
    [CP_CareProv_DR]  VARCHAR (8000)  NULL,
    [CP_DateFrom]     DATETIME2 (7)   NULL,
    [CP_DateTo]       DATETIME2 (7)   NULL,
    [CP_CancelReason] VARCHAR (8000)  NULL,
    [thread__id]      NUMERIC (18)    NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--if less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
