﻿CREATE TABLE zraw._ccrapa_personpackage 
(
	--source: A06, CDWWork, CCRA.pa_personpackage

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[pack_parref] [bigint] NULL,
	[pack_rowid] [varchar](8000) NULL,
	[pack_childsub] [numeric](28, 6) NULL,
	[pack_number] [varchar](8000) NULL,
	[pack_datefrom] [datetime2](7) NULL,
	[pack_dateto] [datetime2](7) NULL,
	[pack_fixedprice] [numeric](28, 6) NULL,
	[pack_numberofdays] [numeric](28, 6) NULL,
	[pack_repeat] [varchar](8000) NULL,
	[pack_multipleepisode] [varchar](8000) NULL,
	[pack_numberofvisits] [numeric](28, 6) NULL,
	[pack_selectionmethod] [varchar](8000) NULL,
	[pack_includeoptional] [varchar](8000) NULL,
	[pack_desc] [varchar](8000) NULL,
	[pack_prefmethpayment_dr] [varchar](8000) NULL,
	[pack_template_dr] [bigint] NULL,
	[pack_effectivedatefrom] [datetime2](7) NULL,
	[pack_effectivedateto] [datetime2](7) NULL,
	[pack_method] [varchar](8000) NULL,
	[pack_reason_dr] [bigint] NULL,
	[pack_hospital_dr] [bigint] NULL,
	[pack_instype_dr] [bigint] NULL,
	[pack_auxinstype_dr] [bigint] NULL,
	[pack_originalitemprice] [numeric](28, 6) NULL,
	[pack_comments] [varchar](8000) NULL,
	[pack_status_dr] [bigint] NULL,
    [thread__id]                   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
