﻿CREATE TABLE zraw._ccrapa_personpackagedet 
(
	--source: A06, CDWWork, CCRA.pa_personpackagedet

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[det_parref] [varchar](8000) NULL,
	[det_rowid] [varchar](8000) NULL,
	[det_childsub] [numeric](28, 6) NULL,
	[det_text1] [varchar](8000) NULL,
	[det_text2] [varchar](8000) NULL,
	[det_arcim_dr] [varchar](8000) NULL,
	[det_arcos_dr] [varchar](8000) NULL,
	[det_limitqty] [numeric](28, 6) NULL,
	[det_priceunderlimit] [numeric](28, 6) NULL,
	[det_priceoverlimit] [numeric](28, 6) NULL,
	[det_optional] [varchar](8000) NULL,
	[det_mainorder] [varchar](8000) NULL,
	[det_pernewborn] [varchar](8000) NULL,
	[det_exclproportioncalc] [varchar](8000) NULL,
	[det_orditemordsetprice] [numeric](28, 6) NULL,
	[det_orditemordsetpackprice] [numeric](28, 6) NULL,
	[det_orditemordsetqtycons] [numeric](28, 6) NULL,
    [thread__id]                   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	-- over 31K records
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
