﻿CREATE TABLE zraw._ccrapa_waitinglist
(
	--source: A06, CDWWOrk, CCRA.pa_waitinglist
	--fields
	station__no				  varchar(30) NOT NULL,
	[wl_rowid] [bigint] NULL,
	[wl_papmi_dr] [bigint] NULL,
	[wl_waitlisttype_dr] [bigint] NULL,
	[wl_waitlistprior_dr] [bigint] NULL,
	[wl_waitliststatus_dr] [bigint] NULL,
	[wl_reasonforchange_dr] [bigint] NULL,
	[wl_ctloc_dr] [bigint] NULL,
	[wl_doctor_dr] [varchar](8000) NULL,
	[wl_icd_dr] [bigint] NULL,
	[wl_operation_dr] [bigint] NULL,
	[wl_maxwaitingperiod] [varchar](8000) NULL,
	[wl_surgeon_dr] [varchar](8000) NULL,
	[wl_anaestmethod_dr] [bigint] NULL,
	[wl_date] [datetime2](7) NULL,
	[wl_time] [time](7) NULL,
	[wl_user_dr] [bigint] NULL,
	[wl_effectivedate] [datetime2](7) NULL,
	[wl_daysexclude] [numeric](28, 6) NULL,
	[wl_reasonforlist_dr] [bigint] NULL,
	[wl_refdoc_dr] [bigint] NULL,
	[wl_refhosp_dr] [bigint] NULL,
	[wl_remarks] [varchar](8000) NULL,
	[wl_preopdate] [datetime2](7) NULL,
	[wl_donationdate] [datetime2](7) NULL,
	[wl_specialcatflag] [varchar](8000) NULL,
	[wl_rbop_dr] [bigint] NULL,
	[wl_preadmission_dr] [bigint] NULL,
	[wl_dateoflist] [datetime2](7) NULL,
	[wl_deleteflag] [varchar](8000) NULL,
	[wl_refdocto_dr] [bigint] NULL,
	[wl_refhospto_dr] [bigint] NULL,
	[wl_daysurgery] [varchar](8000) NULL,
	[wl_refdep_dr] [bigint] NULL,
	[wl_refdocint_dr] [varchar](8000) NULL,
	[wl_creatingadmission_dr] [bigint] NULL,
	[wl_effectiveremovaldate] [datetime2](7) NULL,
	[wl_admissioncategory_dr] [bigint] NULL,
	[wl_servicegroup_dr] [bigint] NULL,
	[wl_dateminusexcludedays] [datetime2](7) NULL,
	[wl_contractremarks] [varchar](8000) NULL,
	[wl_daysonlist] [numeric](28, 6) NULL,
	[wl_daysofweek] [varchar](8000) NULL,
	[wl_starttime] [time](7) NULL,
	[wl_resource_dr] [bigint] NULL,
	[wl_appointmethod_dr] [bigint] NULL,
	[wl_sessiontype] [varchar](8000) NULL,
	[wl_advised] [varchar](8000) NULL,
	[wl_apptdate] [datetime2](7) NULL,
	[wl_guaranteeexccode_dr] [bigint] NULL,
	[wl_ownministerindicator] [varchar](8000) NULL,
	[wl_hospchaplainvisitreq] [varchar](8000) NULL,
	[wl_refdocclinc_dr] [varchar](8000) NULL,
	[wl_instype_dr] [bigint] NULL,
	[wl_datedecidedtoadmit] [datetime2](7) NULL,
	[wl_verified] [varchar](8000) NULL,
	[wl_procedure2_dr] [bigint] NULL,
	[wl_procedure3_dr] [bigint] NULL,
	[wl_epissubtype_dr] [bigint] NULL,
	[wl_lastrevieweddate] [datetime2](7) NULL,
	[wl_sourceofaddit_dr] [bigint] NULL,
	[wl_admbookingsystem_dr] [bigint] NULL,
	[wl_intendedward_dr] [bigint] NULL,
	[wl_provisionaldiagnosis] [varchar](8000) NULL,
	[wl_shortnotice] [varchar](8000) NULL,
	[wl_rbctransport_dr] [bigint] NULL,
	[wl_blooddonation] [varchar](8000) NULL,
	[wl_dateguaranteed] [datetime2](7) NULL,
	[wl_preoptime] [time](7) NULL,
	[wl_updatedate] [datetime2](7) NULL,
	[wl_updatetime] [time](7) NULL,
	[wl_updateuser_dr] [bigint] NULL,
	[wl_desiredtheatretime] [time](7) NULL,
	[wl_doctor] [varchar](8000) NULL,
	[wl_hospital_dr] [bigint] NULL,
	[wl_operativeepisode] [varchar](8000) NULL,
	[wl_transdest_dr] [bigint] NULL,
	[wl_procedurefreetext] [varchar](8000) NULL,
	[wl_nurse_dr] [varchar](8000) NULL,
	[wl_estoperdate] [datetime2](7) NULL,
	[wl_estopertime] [time](7) NULL,
	[wl_stateproc_dr] [bigint] NULL,
	[wl_private] [varchar](8000) NULL,
	[wl_no] [varchar](8000) NULL,
	[wl_hips] [varchar](8000) NULL,
	[wl_booksystem_dr] [bigint] NULL,
	[wl_transsource_dr] [bigint] NULL,
	[wl_deferreddate] [datetime2](7) NULL,
	[wl_expectedadmdate] [datetime2](7) NULL,
	[wl_waitlist_dr] [bigint] NULL,
	[wl_radiologyflag] [varchar](8000) NULL,
	[wl_deferreddayswaiting] [numeric](28, 6) NULL,
	[wl_updateuserhospital_dr] [bigint] NULL,
	[wl_removecomments] [varchar](8000) NULL,
	[wl_lastauditreviewdate] [datetime2](7) NULL,
	[wl_specialproject_dr] [bigint] NULL,
	[wl_standbystatus_dr] [bigint] NULL,
	[wl_accomodationtype_dr] [bigint] NULL,
	[wl_estlengthofstay] [numeric](28, 6) NULL,
	[wl_blooddonationtext] [varchar](8000) NULL,
	[wl_specialrequirements] [varchar](8000) NULL,
	[wl_dayswaiting] [numeric](28, 6) NULL,
	[wl_totdaysonlist] [numeric](28, 6) NULL,
	[wl_plannedsameday] [varchar](8000) NULL,
	[wl_doctornotes] [varchar](8000) NULL,
	[wl_service_dr] [bigint] NULL,
	[wl_servicekey] [varchar](8000) NULL,
	[wl_positionnumber] [varchar](8000) NULL,
	[wl_admdateotherhosp] [datetime2](7) NULL,
	[wl_referraluniqueid] [varchar](8000) NULL,
	[wl_casemanager_dr] [varchar](8000) NULL,
	[wl_esisresubmissiondate] [datetime2](7) NULL,
	[wl_clinicalregistrationdate] [datetime2](7) NULL,
	[wl_osvisitorstatus_dr] [bigint] NULL,
	[wl_inuk12months] [varchar](8000) NULL,
	[wl_stayingpermanently] [varchar](8000) NULL,
	[wl_sourceattend_dr] [bigint] NULL,
	[wl_dateconsultrequestsent] [datetime2](7) NULL,
	[wl_datereceivedback] [datetime2](7) NULL,
	[wl_daterefletter] [datetime2](7) NULL,
	[wl_referralpriority_dr] [bigint] NULL,
	[wl_responded] [varchar](8000) NULL,
	[wl_familydoc_dr] [bigint] NULL,
	[wl_datecontactlettersent] [datetime2](7) NULL,
	[wl_dateacknowlettersent] [datetime2](7) NULL,
	[wl_datereminderlettersent] [datetime2](7) NULL,
	[wl_leaflettype_dr] [bigint] NULL,
	[wl_consultcateg_dr] [bigint] NULL,
	[wl_consult_dr] [varchar](8000) NULL,
	[wl_recalldate] [datetime2](7) NULL,
	[wl_waitingtimestandard_dr] [bigint] NULL,
	[wl_suitabilityofpatient] [varchar](8000) NULL,
	[wl_patwillchangeclinician] [varchar](8000) NULL,
	[wl_patwillchangenhsboard] [varchar](8000) NULL,
	[wl_removedremainonlist] [varchar](8000) NULL,
	[wl_patientcategory_dr] [bigint] NULL,
	[wl_patienttype_dr] [bigint] NULL,
	[wl_personscheduleitem_dr] [varchar](8000) NULL,
	[wl_defttreatinit_dr] [bigint] NULL,
	[wl_apptoutcome_dr] [bigint] NULL,
	[wl_edcagreeddate] [datetime2](7) NULL,
	[wl_reasonlinkunlink_dr] [bigint] NULL,
	[wl_primary] [varchar](8000) NULL,
	[wl_treatmentid] [varchar](8000) NULL,
	[wl_refclinto_dr] [bigint] NULL,
	[wl_rttfromotherboard] [varchar](8000) NULL,
	[wl_rttstartdate] [datetime2](7) NULL,
	[wl_currwaittime] [numeric](28, 6) NULL,
	[wl_referralfrom_dr] [bigint] NULL,
	[wl_patienton18wrtt] [varchar](8000) NULL,
	[wl_transferofpatientcare] [varchar](8000) NULL,
	[wl_startnewpathway] [varchar](8000) NULL,
	[wl_continuationactivepathway] [varchar](8000) NULL,
	[wl_diagnostictestonly] [varchar](8000) NULL,
	[wl_opiniononly] [varchar](8000) NULL,
	[wl_activemonitoring] [varchar](8000) NULL,
	[wl_conttreatstoppedpathway] [varchar](8000) NULL,
	[wl_datedecisionrefer] [datetime2](7) NULL,
	[wl_sourcerefqualif_dr] [bigint] NULL,
	[wl_triagedate] [datetime2](7) NULL,
	[wl_timeintriage] [numeric](28, 6) NULL,
	[wl_triagenotes] [varchar](8000) NULL,
	[wl_triageconsultant_dr] [varchar](8000) NULL,
	[wl_linkedpareferral_dr] [bigint] NULL,
	[wl_linkedrbreferral_dr] [bigint] NULL,
	[wl_triageoutcome_dr] [bigint] NULL,
	[wl_laterality_dr] [bigint] NULL,
	[wl_referralreason_dr] [bigint] NULL,
	[wl_ereflinkedwaitlist_dr] [bigint] NULL,
	[wl_refreceiptmethod_dr] [bigint] NULL,
	[wl_reforg_dr] [bigint] NULL,
	[wl_familydoctor] [varchar](8000) NULL,
	[wl_reftongocontactname] [varchar](8000) NULL,
	[wl_genderpref_dr] [bigint] NULL,
	[wl_locpref_dr] [bigint] NULL,
	[wl_agencypref_dr] [bigint] NULL,
	[wl_referralperiod_dr] [bigint] NULL,
	[wl_refexpirydate] [datetime2](7) NULL,
	[wl_referraltype_dr] [bigint] NULL,
	[wl_presentcomplaint] [varchar](8000) NULL,
	[wl_legalstatus_dr] [bigint] NULL,
	[wl_programfunding_dr] [bigint] NULL,
	[wl_auxilinsurtype_dr] [bigint] NULL,
	[wl_refstatusreason_dr] [bigint] NULL,
	[wl_responsibleunit_dr] [bigint] NULL,
	[wl_trust_dr] [bigint] NULL,
	[wl_gpconsent] [varchar](8000) NULL,
	[wl_prefadmfacility_dr] [bigint] NULL,
	[wl_estlengop] [numeric](28, 6) NULL,
	[wl_gdaytoover] [numeric](28, 6) NULL,
	[wl_serviceset_dr] [bigint] NULL,
	[wl_dnacountpms] [numeric](28, 6) NULL,
	[wl_numberofdnas] [numeric](28, 6) NULL,
	[wl_nwpatienttype_dr] [bigint] NULL,
	[wl_nfmicategdepart_dr] [varchar](8000) NULL,
	[wl_ttgguaranteeddate] [datetime2](7) NULL,
	[wl_earliestofferdate] [datetime2](7) NULL,
	[wl_defcanctreatbyhosp] [varchar](8000) NULL,
	[wl_defcanctreatbyhospdate] [datetime2](7) NULL,
	[wl_admincategory_dr] [bigint] NULL,
	[wl_opotbookingrequired] [varchar](8000) NULL,
	[wl_autoassignedflg] [varchar](8000) NULL,
	[wl_cancersite_dr] [bigint] NULL,
	[wl_bodysiteprimaryproc_dr] [bigint] NULL,
	[wl_qualifprimaryproc_dr] [varchar](8000) NULL,
	[wl_minutes] [bigint] NULL,
	[wl_endtime] [time](7) NULL,
	[wl_userdefwindow_dr] [varchar](8000) NULL,
	[wl_reasonfortransfer_dr] [bigint] NULL,
	[wl_dayinadvtoadmit] [numeric](28, 6) NULL,
	[wl_asa_dr] [bigint] NULL,
	[wl_previousdayswaiting] [numeric](28, 6) NULL,
	[wl_icubedrequired] [varchar](8000) NULL,
	[wl_nationalppp_dr] [bigint] NULL,
	[wl_admdaysbeforeoper] [numeric](28, 6) NULL,
	[wl_drgcode_dr] [bigint] NULL,
	[wl_packagedet_dr] [varchar](8000) NULL,
	[wl_eligibility] [varchar](8000) NULL,
	[wl_treatmentstartdate] [datetime2](7) NULL,
	[wl_complexneeds] [varchar](8000) NULL,
	[wl_secondinstype_dr] [bigint] NULL,
	[wl_secondauxilinsurtype_dr] [bigint] NULL,
	[wl_refdephosp_dr] [bigint] NULL,
	[wl_serviceguaranteeddate] [datetime2](7) NULL,
	[wl_caretype_dr] [bigint] NULL,
	[wl_estimatedcostofcare] [numeric](28, 6) NULL,
	[wl_actualamountpaid] [numeric](28, 6) NULL,
	[wl_externalreferralid] [varchar](8000) NULL,
	[wl_appttime] [time](7) NULL,
	[wl_package_dr] [varchar](8000) NULL,
	[wl_orderingofficer_dr] [bigint] NULL,
	[wl_assigneduser_dr] [bigint] NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	--commenting compression in.  table has over 20K records
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
