﻿CREATE TABLE zraw._ccrapa_waitinglistinshistory
(
	--source: A06, CDWWork, CCRA.pa_waitinglistinhistory

	--fields
    [station__no]         VARCHAR (30)    NOT NULL,
    [INSH_ParRef]         BIGINT          NULL,
    [ID]                  VARCHAR (8000)  NULL,
    [INSH_Childsub]       NUMERIC (28, 6) NULL,
    [INSH_Payor_DR]       BIGINT          NULL,
    [INSH_Plan_DR]        BIGINT          NULL,
    [INSH_Date]           DATETIME2 (7)   NULL,
    [INSH_Time]           TIME (7)        NULL,
    [INSH_User_DR]        BIGINT          NULL,
    [INSH_SecondPayor_DR] BIGINT          NULL,
    [INSH_SecondPlan_DR]  BIGINT          NULL,
    [thread__id]          NUMERIC (18)    NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--if less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
