﻿CREATE TABLE zraw._ccrapac_caretype 
(
	--source: A06, CDWWork, CCRA.pac_caretype

    [station__no]  VARCHAR (30)    NOT NULL,
	[caretyp_rowid] [bigint] NULL,
	[caretyp_code] [varchar](8000) NULL,
	[caretyp_desc] [varchar](8000) NULL,
	[caretyp_datefrom] [datetime2](7) NULL,
	[caretyp_dateto] [datetime2](7) NULL,
	[caretyp_default] [varchar](8000) NULL,
	[caretyp_nationcode] [varchar](8000) NULL,
	[caretyp_careravail] [varchar](8000) NULL,
	[caretyp_fundingsource] [varchar](8000) NULL,
	[caretyp_admsource] [varchar](8000) NULL,
	[caretyp_instype] [varchar](8000) NULL,
	[caretyp_medicaresuffix] [varchar](8000) NULL,
	[caretyp_agefrom] [numeric](28, 6) NULL,
	[caretyp_ageto] [numeric](28, 6) NULL,
	[caretyp_agetype] [varchar](8000) NULL,
	[caretyp_dischargetype] [varchar](8000) NULL,
	[caretyp_icdedit] [varchar](8000) NULL,
	[caretyp_owner] [varchar](8000) NULL,
	[caretyp_codetabletags] [varchar](8000) NULL,
	[caretyp_createddate] [datetime2](7) NULL,
	[caretyp_createdtime] [time](7) NULL,
	[caretyp_createduser_dr] [bigint] NULL,
	[caretyp_updateddate] [datetime2](7) NULL,
	[caretyp_updatedtime] [time](7) NULL,
	[caretyp_updateduser_dr] [bigint] NULL,
    [thread__id]                   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
