﻿CREATE TABLE zraw._ccrapac_episodesubtype 
(
	--source: A06, CDWWork, CCRA.pac_episodesubtype

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[subt_rowid] [bigint] NULL,
	[subt_code] [varchar](8000) NULL,
	[subt_desc] [varchar](8000) NULL,
	[subt_admtype] [varchar](8000) NULL,
	[subt_daysurgery] [varchar](8000) NULL,
	[subt_firstregdaynight] [varchar](8000) NULL,
	[subt_waittime] [numeric](28, 6) NULL,
	[subt_nationcode] [varchar](8000) NULL,
	[subt_datefrom] [datetime2](7) NULL,
	[subt_dateto] [datetime2](7) NULL,
	[subt_refpathwaystagetype_dr] [bigint] NULL,
	[subt_owner] [varchar](8000) NULL,
	[subt_codetabletags] [varchar](8000) NULL,
	[subt_subregion_dr] [bigint] NULL,
	[subt_createddate] [datetime2](7) NULL,
	[subt_createdtime] [time](7) NULL,
	[subt_createduser_dr] [bigint] NULL,
	[subt_updateddate] [datetime2](7) NULL,
	[subt_updatedtime] [time](7) NULL,
	[subt_updateduser_dr] [bigint] NULL,
    [thread__id]                   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
