﻿CREATE TABLE zraw._ccrapac_waitinglistpriority
(
	--source: A06, CDWWork, CCRA.pac_waitinglistpriority

	--fields
    [station__no]                   VARCHAR (30)    NOT NULL,
    [WLP_RowId]                     BIGINT          NULL,
    [WLP_Code]                      VARCHAR (8000)  NULL,
    [WLP_Desc]                      VARCHAR (8000)  NULL,
    [WLP_Days]                      NUMERIC (28, 6) NULL,
    [WLP_DateFrom]                  DATETIME2 (7)   NULL,
    [WLP_DateTo]                    DATETIME2 (7)   NULL,
    [WLP_NationalCode]              VARCHAR (8000)  NULL,
    [WLP_DaysNotExceed]             NUMERIC (28, 6) NULL,
    [WLP_Level]                     NUMERIC (28, 6) NULL,
    [WLP_DateToCalcFromInpat]       VARCHAR (8000)  NULL,
    [WLP_DateToCalcFromOutpat]      VARCHAR (8000)  NULL,
    [WLP_IgnoreDaysForOPDOrder]     VARCHAR (8000)  NULL,
    [WLP_AllowToChange]             VARCHAR (8000)  NULL,
    [WLP_TriageOutcome]             VARCHAR (8000)  NULL,
    [WLP_Cancer]                    VARCHAR (8000)  NULL,
    [WLP_NotTriaged]                VARCHAR (8000)  NULL,
    [WLP_Owner]                     VARCHAR (8000)  NULL,
    [WLP_CodeTableTags]             VARCHAR (8000)  NULL,
    [WLP_ResetTTGDeclinedOffer]     VARCHAR (8000)  NULL,
    [WLP_ExcludeFromContactLetters] VARCHAR (8000)  NULL,
    [WLP_CreatedDate]               DATETIME2 (7)   NULL,
    [WLP_CreatedTime]               TIME (7)        NULL,
    [WLP_CreatedUser_DR]            BIGINT          NULL,
    [WLP_UpdatedDate]               DATETIME2 (7)   NULL,
    [WLP_UpdatedTime]               TIME (7)        NULL,
    [WLP_UpdatedUser_DR]            BIGINT          NULL,
    [WLP_SequenceNumber]            BIGINT          NULL,
    [thread__id]                    NUMERIC (18)    NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--if less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
