﻿CREATE TABLE zraw._ccrapac_waitingliststatus 
(
	--source: A06, CDWWork, CCRA.pac_waitingliststatus

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[wls_rowid] [bigint] NULL,
	[wls_code] [varchar](8000) NULL,
	[wls_desc] [varchar](8000) NULL,
	[wls_groups_dr] [bigint] NULL,
	[wls_createddate] [datetime2](7) NULL,
	[wls_createdtime] [time](7) NULL,
	[wls_createduser_dr] [bigint] NULL,
	[wls_updateddate] [datetime2](7) NULL,
	[wls_updatedtime] [time](7) NULL,
	[wls_updateduser_dr] [bigint] NULL,
	[wls_system] [varchar](8000) NULL,
	[wls_owner] [varchar](8000) NULL,
    [thread__id]   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
