﻿CREATE TABLE zraw._ccrarb_appointment
(
	--source: A06, CDWWork, CCRA.rb_appointment

	--fields
	station__no				varchar(30) NOT NULL,
	[appt_as_parref] [varchar](8000) NULL,
	[appt_rowid] [varchar](8000) NULL,
	[appt_childsub] [numeric](28, 6) NULL,
	[appt_at_dr] [bigint] NULL,
	[appt_papmi_dr] [bigint] NULL,
	[appt_status] [varchar](8000) NULL,
	[appt_remarks] [varchar](8000) NULL,
	[appt_queueno] [varchar](8000) NULL,
	[appt_adm_dr] [bigint] NULL,
	[appt_eta] [time](7) NULL,
	[appt_appt_dr] [varchar](8000) NULL,
	[appt_transdate] [datetime2](7) NULL,
	[appt_transtime] [time](7) NULL,
	[appt_rbtr] [varchar](8000) NULL,
	[appt_transuser_dr] [bigint] NULL,
	[appt_method_dr] [bigint] NULL,
	[appt_payedflag] [varchar](8000) NULL,
	[appt_admtype] [varchar](8000) NULL,
	[appt_rbcserv_dr] [bigint] NULL,
	[appt_waitlist_dr] [bigint] NULL,
	[appt_datesearch] [datetime2](7) NULL,
	[appt_reasonoverbook_dr] [bigint] NULL,
	[appt_reasonfortransfer_dr] [bigint] NULL,
	[appt_arcim_dr] [varchar](8000) NULL,
	[appt_oeori_dr] [varchar](8000) NULL,
	[appt_executedstatus] [varchar](8000) NULL,
	[appt_duration] [numeric](28, 6) NULL,
	[appt_mainappointment_dr] [varchar](8000) NULL,
	[appt_arrivaltime] [time](7) NULL,
	[appt_seendate] [datetime2](7) NULL,
	[appt_seentime] [time](7) NULL,
	[appt_reasonforcancel_dr] [bigint] NULL,
	[appt_reasonnotshow] [bigint] NULL,
	[appt_outcome_dr] [bigint] NULL,
	[appt_notused] [varchar](8000) NULL,
	[appt_rbop_dr] [bigint] NULL,
	[appt_appointletter] [varchar](8000) NULL,
	[appt_interpreterrequired] [varchar](8000) NULL,
	[appt_reviewperiod_dr] [bigint] NULL,
	[appt_transport_dr] [bigint] NULL,
	[appt_confirmation] [varchar](8000) NULL,
	[appt_sourceofattend_dr] [bigint] NULL,
	[appt_hrg_dr] [bigint] NULL,
	[appt_bookingsystem_dr] [bigint] NULL,
	[appt_verified] [varchar](8000) NULL,
	[appt_lastupdatedate] [datetime2](7) NULL,
	[appt_nursingnotesflag] [varchar](8000) NULL,
	[appt_urgent] [varchar](8000) NULL,
	[appt_firstappointflag] [varchar](8000) NULL,
	[appt_enddate] [datetime2](7) NULL,
	[appt_endtime] [time](7) NULL,
	[appt_careprovider] [varchar](8000) NULL,
	[appt_datecomp] [datetime2](7) NULL,
	[appt_timecomp] [time](7) NULL,
	[appt_careprovtype_dr] [bigint] NULL,
	[appt_rsvp] [varchar](8000) NULL,
	[appt_patientnotattending] [varchar](8000) NULL,
	[appt_viewablebyepcareprov] [varchar](8000) NULL,
	[appt_rbevent_dr] [bigint] NULL,
	[appt_interpreterconfirmed] [varchar](8000) NULL,
	[appt_reasonforcancellation] [varchar](8000) NULL,
	[appt_seendoctor_dr] [varchar](8000) NULL,
	[appt_doctorletternotes] [varchar](8000) NULL,
	[appt_patientletternotes] [varchar](8000) NULL,
	[appt_interpreter_dr] [bigint] NULL,
	[appt_departuretime] [time](7) NULL,
	[appt_transportrequired] [varchar](8000) NULL,
	[appt_serviceset_dr] [bigint] NULL,
	[appt_lastupdatehospital_dr] [bigint] NULL,
	[appt_confirmeddate] [datetime2](7) NULL,
	[appt_laststatuschangeuser_dr] [bigint] NULL,
	[appt_laststatuschangehospital_dr] [bigint] NULL,
	[appt_laststatuschangedate] [datetime2](7) NULL,
	[appt_laststatuschangetime] [time](7) NULL,
	[appt_cancelledondischarge] [varchar](8000) NULL,
	[appt_language_dr] [bigint] NULL,
	[appt_systemsession] [varchar](8000) NULL,
	[appt_activity] [varchar](8000) NULL,
	[appt_view] [varchar](8000) NULL,
	[appt_maingroupappt_dr] [varchar](8000) NULL,
	[appt_movemedrec] [varchar](8000) NULL,
	[appt_consultcateg_dr] [bigint] NULL,
	[appt_usrn] [varchar](8000) NULL,
	[appt_ubrn] [varchar](8000) NULL,
	[appt_assi_dr] [bigint] NULL,
	[appt_arrivaltimecp1] [time](7) NULL,
	[appt_arrivaltimecp2] [time](7) NULL,
	[appt_departuretimecp1] [time](7) NULL,
	[appt_departuretimecp2] [time](7) NULL,
	[appt_requestedcp_dr] [varchar](8000) NULL,
	[appt_patientstatus] [varchar](8000) NULL,
	[appt_opdroom_dr] [bigint] NULL,
	[appt_careprovider2_dr] [varchar](8000) NULL,
	[appt_requestcareprovider2_dr] [varchar](8000) NULL,
	[appt_bookedby_dr] [bigint] NULL,
	[appt_bookeddate] [datetime2](7) NULL,
	[appt_bookedtime] [time](7) NULL,
	[appt_personscheduleitem_dr] [varchar](8000) NULL,
	[appt_rbattendance_dr] [bigint] NULL,
	[appt_authoriseuser_dr] [bigint] NULL,
	[appt_arrivaldate] [datetime2](7) NULL,
	[appt_departuredate] [datetime2](7) NULL,
	[appt_waitliststatus_dr] [bigint] NULL,
	[appt_canceldate] [datetime2](7) NULL,
	[appt_canceltime] [time](7) NULL,
	[appt_transferdate] [datetime2](7) NULL,
	[appt_transfertime] [time](7) NULL,
	[appt_parefpathwaystage_dr] [varchar](8000) NULL,
	[appt_rtthosp_dr] [bigint] NULL,
	[appt_rttspec_dr] [bigint] NULL,
	[appt_rttcons_dr] [varchar](8000) NULL,
	[appt_rttreferprior_dr] [bigint] NULL,
	[appt_nextapptdate] [datetime2](7) NULL,
	[appt_billdoctor_dr] [varchar](8000) NULL,
	[appt_familybooking] [varchar](8000) NULL,
	[appt_transcount] [numeric](28, 6) NULL,
	[appt_escort] [numeric](28, 6) NULL,
	[appt_transportcomments] [varchar](8000) NULL,
	[appt_infectious] [varchar](8000) NULL,
	[appt_mrpulled] [varchar](8000) NULL,
	[appt_ebei] [varchar](8000) NULL,
	[appt_customtext1] [varchar](8000) NULL,
	[appt_customtext2] [varchar](8000) NULL,
	[appt_customtext3] [varchar](8000) NULL,
	[appt_customflag1] [varchar](8000) NULL,
	[appt_customflag2] [varchar](8000) NULL,
	[appt_customflag3] [varchar](8000) NULL,
	[appt_systemsessionhold] [varchar](8000) NULL,
	[appt_treatmentplan_dr] [bigint] NULL,
	[appt_firstavailablesched_dr] [varchar](8000) NULL,
	[appt_externalprescriptionid] [varchar](8000) NULL,
	[appt_externalpaperprescno] [varchar](8000) NULL,
	[appt_externaldocfiscalcode] [varchar](8000) NULL,
	[appt_contdelivmode_dr] [bigint] NULL,
	[appt_contdelivsetting_dr] [bigint] NULL,
	[appt_contclientpresstat_dr] [bigint] NULL,
	[appt_contsessiontype_dr] [bigint] NULL,
	[appt_inpatientflag] [varchar](8000) NULL,
	[appt_autoassignedflg] [varchar](8000) NULL,
	[appt_admincategory_dr] [bigint] NULL,
	[appt_paybyresult] [varchar](8000) NULL,
	[appt_commreporteddate] [datetime2](7) NULL,
	[appt_preassapprbop_dr] [bigint] NULL,
	[appt_reasonbookpastttg_dr] [bigint] NULL,
	[appt_freetextreasonttg] [varchar](8000) NULL,
	[appt_docupdatedotorderbill] [varchar](8000) NULL,
	[appt_technician] [varchar](8000) NULL,
	[appt_equipment_dr] [bigint] NULL,
	[appt_rbeventtimes_dr] [varchar](8000) NULL,
	[appt_groupdesc] [varchar](8000) NULL,
	[appt_eventsubmitcp_dr] [varchar](8000) NULL,
	[appt_problem_dr] [varchar](8000) NULL,
	thread__id				numeric(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
