﻿CREATE TABLE zraw._ccrarb_apptschedule 
(
	--source: A06, CDWWork, CCRA.rb_apptschedule

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[as_res_parref] [bigint] NULL,
	[as_rowid] [varchar](8000) NULL,
	[as_childsub] [numeric](28, 6) NULL,
	[as_date] [datetime2](7) NULL,
	[as_session] [varchar](8000) NULL,
	[as_sessstarttime] [time](7) NULL,
	[as_sessendtime] [time](7) NULL,
	[as_noapptsession] [numeric](28, 6) NULL,
	[as_load] [numeric](28, 6) NULL,
	[as_availability] [numeric](28, 6) NULL,
	[as_numpatin] [numeric](28, 6) NULL,
	[as_numpatout] [numeric](28, 6) NULL,
	[as_remarks] [varchar](8000) NULL,
	[as_slot] [varchar](8000) NULL,
	[as_queuenocount] [varchar](8000) NULL,
	[as_bookedslots] [numeric](28, 6) NULL,
	[as_rbeffdatesession_dr] [varchar](8000) NULL,
	[as_irregularflag] [varchar](8000) NULL,
	[as_sessiontype_dr] [bigint] NULL,
	[as_actualdate] [datetime2](7) NULL,
	[as_actualstarttime] [time](7) NULL,
	[as_actualendtime] [time](7) NULL,
	[as_reasonfordelay_dr] [bigint] NULL,
	[as_reasonforovertime_dr] [bigint] NULL,
	[as_generationdate] [datetime2](7) NULL,
	[as_generationtime] [time](7) NULL,
	[as_lastupdateuser_dr] [bigint] NULL,
	[as_lastupdatedate] [datetime2](7) NULL,
	[as_lastupdatetime] [time](7) NULL,
	[as_notavailableslot] [varchar](8000) NULL,
	[as_opdroom_dr] [bigint] NULL,
	[as_dayclinicoptions] [varchar](8000) NULL,
	[as_webgenerated] [varchar](8000) NULL,
	[as_apptloc_dr] [bigint] NULL,
	[as_emergencytheatre] [varchar](8000) NULL,
	[as_operbookingmethod] [varchar](8000) NULL,
	[as_nomorebookings] [varchar](8000) NULL,
	[as_origsessstarttime] [time](7) NULL,
	[as_origsessendtime] [time](7) NULL,
	[as_apptlocall] [varchar](8000) NULL,
	[as_autoreq] [varchar](8000) NULL,
	[as_otsessoriginflag] [varchar](8000) NULL,
	[as_briefnotrequired] [varchar](8000) NULL,
	[as_dontreinstateflag] [varchar](8000) NULL,
	[as_otroomstatus] [varchar](8000) NULL,
	[as_reasonbriefnotrequired] [varchar](8000) NULL,
    [thread__id]   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
