﻿CREATE TABLE [zraw].[_conConsultUMMetric] (
    [ConsultSID]                    BIGINT        NOT NULL,
    [ConsultIEN]                    VARCHAR (50)  NOT NULL,
    [Sta3n]                         SMALLINT      NOT NULL,
    [PatientSID]                    INT           NULL,
    [PatientLocationSID]            INT           NULL,
    [ProtocolSID]                   INT           NULL,
    [GMRCProcedureSID]              INT           NULL,
    [GMRCProcedure]                 VARCHAR (100) NULL,
    [ClinicalProcedureSID]          INT           NULL,
    [ToRequestServiceSID]           INT           NULL,
    [ToRequestServiceName]          VARCHAR (100) NULL,
    [RequestDateTime]               DATETIME2 (0) NULL,
    [RequestVistaErrorDate]         VARCHAR (50)  NULL,
    [RequestDateTimeTransformSID]   BIGINT        NULL,
    [RequestDateSID]                INT           NULL,
    [FileEntryDateTime]             DATETIME2 (0) NULL,
    [FileEntryVistaErrorDate]       VARCHAR (50)  NULL,
    [FileEntryDateTimeTransformSID] BIGINT        NULL,
    [FromLocationSID]               INT           NULL,
    [RequestType]                   VARCHAR (50)  NULL,
    [ToStaffSID]                    INT           NULL,
    [OrderStatusSID]                INT           NULL,
    [CPRSOrderSID]                  BIGINT        NULL,
    [CPRSStatus]                    VARCHAR (50)  NULL,
    [RecentActivityTypeSID]         INT           NULL,
    [RecentActivityType]            VARCHAR (100) NULL,
    [SendingStaffSID]               INT           NULL,
    [SignificantFindings]           CHAR (1)      NULL,
    [UrgencyProtocolSID]            INT           NULL,
    [Urgency]                       VARCHAR (50)  NULL,
    [ConsultPlaceProtocolSID]       INT           NULL,
    [PlaceOfConsultation]           VARCHAR (50)  NULL,
    [DisplayTextOfItemOrdered]      VARCHAR (100) NULL,
    [OrderingInstitutionSID]        INT           NULL,
    [OrderingSta3n]                 SMALLINT      NULL,
    [InpatOutpat]                   VARCHAR (50)  NULL,
    [ProvisionalDiagnosis]          VARCHAR (255) NULL,
    [ProvisionalDiagnosisCode]      VARCHAR (50)  NULL,
    [RemoteRole]                    VARCHAR (50)  NULL,
    [RemoteService]                 VARCHAR (100) NULL,
    [RemoteConsultInstitutionSID]   INT           NULL,
    [RemoteConsultSta3n]            VARCHAR (50)  NULL,
    [RemoteConsultSID]              BIGINT        NULL,
    [TIUDocumentSID]                BIGINT        NULL,
    [EarliestDate]                  DATE          NULL,
    [EarliestVistaErrorDate]        VARCHAR (50)  NULL,
    [EarliestDateTransformSID]      BIGINT        NULL,
    [ClinicalProcedureIEN]          VARCHAR (50)  NULL,
    [ConsultPlaceProtocolIEN]       VARCHAR (50)  NULL,
    [CPRSOrderIEN]                  VARCHAR (50)  NULL,
    [FromLocationIEN]               VARCHAR (50)  NULL,
    [GMRCProcedureIEN]              VARCHAR (50)  NULL,
    [OrderingInstitutionIEN]        VARCHAR (50)  NULL,
    [OrderStatusIEN]                VARCHAR (50)  NULL,
    [PatientIEN]                    VARCHAR (50)  NULL,
    [PatientLocationIEN]            VARCHAR (50)  NULL,
    [ProtocolIEN]                   VARCHAR (50)  NULL,
    [RecentActivityTypeIEN]         VARCHAR (50)  NULL,
    [RemoteConsultIEN]              VARCHAR (50)  NULL,
    [RemoteConsultInstitutionIEN]   VARCHAR (50)  NULL,
    [SendingStaffIEN]               VARCHAR (50)  NULL,
    [TIUDocumentIEN]                VARCHAR (50)  NULL,
    [ToRequestServiceIEN]           VARCHAR (50)  NULL,
    [ToStaffIEN]                    VARCHAR (50)  NULL,
    [UrgencyProtocolIEN]            VARCHAR (50)  NULL,
    [ResultIEN]                     VARCHAR (50)  NULL,
    [ResultSID]                     BIGINT        NULL,
    [ResultPointedToFileNumber]     VARCHAR (50)  NULL,
    [ETLBatchID]                    INT           NULL,
    [OpCode]                        CHAR (1)      NOT NULL,
    [VistaCreateDate]               DATETIME      NULL,
    [VistaEditDate]                 DATETIME      NULL,
    [extractBatchID]                BIGINT        NOT NULL,
    [BatchLogID]                    BIGINT        NULL
);
GO
