﻿CREATE TABLE zraw._dimGMRCProcedure
(
	--source: A01/SQL52, SPV.Dim.GRCProcedure

	--fields
	GMRCProcedureSID	int   NOT NULL,
	GMRCProcedureIEN	varchar (50) NOT NULL,
	Sta3n				smallint   NOT NULL,
	GMRCProcedure		varchar (100) NULL,
	ProcedureInactiveFlag	char (1) NULL,
	ClinicalProcedureIEN	varchar (50) NULL,
	ClinicalProcedureSID	int   NULL,
	ProcedureSubspecialtyTypeIEN	varchar (50) NULL,
	ProcedureSubspecialtyTypeSID	int   NULL,
	RemoteGMRCProcedure		varchar (100) NULL,
	RemoteInstitutionIEN	varchar (50) NULL,
	RemoteInstitutionSID	int   NULL,
	RemoteCoordinatorStaffIEN	varchar (50) NULL,
	RemoteCoordinatorStaffSID	int   NULL,
	ExtractBatchID				int   NULL,
	OpCode					char (1) NOT NULL,
	VistaCreateDate			datetime   NULL,
	VistaEditDate			datetime   NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
