﻿CREATE TABLE zraw._fbcsfacility
(
	--source: A06, CDWWork, FBCS.facility

	--fields
	station__no				varchar(30) NOT NULL,
	id						bigint,
	facilityname			varchar(8000),
	stationnumber			varchar(8000),
	visn					bigint,
	fy17visn				bigint,
	dssunitname				varchar(8000),
	ats1					varchar(8000),
	internalnumber			varchar(8000),
	associatedclinic		varchar(8000),
	servername				varchar(8000),
	port					varchar(8000),
	defaultfacility			int,
	submitterid				varchar(8000),
	scrubberuname			varchar(8000),
	scrubberpword			varchar(8000),
	pfrarname				varchar(8000),
	pfraraddress			varchar(8000),
	salutation				varchar(8000),
	repricerprefix			varchar(50),
	usepayment				int,
	docmanagersystemid		varchar(99),
	useinpatientpayment		int,
	sendallclaimstopayment	int,
	userepricer				int,
	preventvendoradditions	int,
	feecalcsubmitterid		varchar(15),
	feecalcusername			varchar(30),
	feecalcsubmitterpwd		varchar(25),
	thread__id				numeric(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
