﻿CREATE TABLE zraw._fbcshcfaprovider
(
	--source: A06, CDWWork, FBCS.hcfaprovider

	--fields
	station__no		VARCHAR(30) NOT NULL,
	id				BIGINT,
	providername	VARCHAR(8000),
	a				INT,
	b				INT,
	c				INT,
	d				INT,
	e				INT,
	f				INT,
	g				INT,
	h				INT,
	i				INT,
	j				INT,
	k				INT,
	l				INT,
	m				INT,
	n				INT,
	o				INT,
	p				INT,
	q				INT,
	r				INT,
	s				INT,
	t				INT,
	u				INT,
	v				INT,
	w				INT,
	x				INT,
	y				INT,
	z				INT,
	total			INT,
	fspace			INT,
	fdash			INT,
	fapostrophe		INT,
	[address]		VARCHAR(8000),
	line1			VARCHAR(8000),
	line2			VARCHAR(8000),
	city			VARCHAR(8000),
	[state]			VARCHAR(8000),
	zip				VARCHAR(8000),
	thread__id		NUMERIC(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key

	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
