﻿CREATE TABLE [zraw].[_spatientSConsultActivityComment] 
(
	--source: A01/SQL52, SPV.SPatient.SConsultActivityComment

	--fields
    [SConsultActivityCommentSID]  BIGINT         NOT NULL,
    [ConsultSID]                  BIGINT         NULL,
    [ConsultIEN]                  VARCHAR (50)   NOT NULL,
    [ConsultActivitySID]          BIGINT         NULL,
    [ConsultActivityIEN]          VARCHAR (50)   NOT NULL,
    [Sta3n]                       SMALLINT       NOT NULL,
    [RequestDateTime]             DATETIME2 (0)  NULL,
    [RequestVistaErrorDate]       VARCHAR (50)   NULL,
    [RequestDateTimeTransformSID] BIGINT         NULL,
    [ConsultActivityComment]      VARCHAR (8000) NULL,
    [ETLBatchID]                  INT			NULL,
	[OpCode]					  CHAR(1)		NOT NULL,
    [VistaCreateDate]			  DATETIME		NULL,
    [VistaEditDate]				  DATETIME		NULL,
	ExtractBatchID              BIGINT         NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
)
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
