﻿-- =============================================
-- Description:	Returns Active Directory domain list
--
-- Maintenance Log:
--
-- Update By     Update Date     Description
-- -----------     ---------     ----------------------------
-- =============================================

CREATE PROCEDURE [dbo].[uspRptGetADDomainsWithNullHandler]
 AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	BEGIN TRY
		SELECT NULL AS ADDomainValue, '[All]' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		UNION SELECT 'DOMAIN' AS ADDomainValue, 'DOMAIN' AS ADDomainLabel
		;
	END TRY

	BEGIN CATCH
		PRINT 'There was an error getting the active directory details with null handler' + CHAR(13);
		SELECT * FROM dbo.ufnGetErrorInfo();
		EXEC uspRaiseErrorInfo;
	END CATCH
END
