﻿-- =============================================
-- Description:	Fires off the child procs that clean the various raw files, updating empty string to NULL values for the autoloaders
--
-- Maintenance Log:
--
-- Update By     Update Date     Description
-- -----------     ---------     ----------------------------
-- =============================================
CREATE PROCEDURE zraw.[uspMasterDoCleanRaw]

AS
BEGIN

	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	
	BEGIN TRY
		--TODO: Determine if it makes sense to have a centralized executor for cleaning
		--		Given the size/complexity of EPRS, it makes more sense to migrate each cleaner script
		--		to the specific definition table being cleaned/transformed/loaded

		--clean Definitions
		--EXEC uspDoCleanStopCodes
			--DBCC SHRINKFILE (N'LogData' , 0, TRUNCATEONLY) WITH NO_INFOMSGS

		--clean Cores
		--EXEC uspDoCleanPatients
			--DBCC SHRINKFILE (N'LogData' , 0, TRUNCATEONLY) WITH NO_INFOMSGS

		SELECT 1;
	END TRY

	BEGIN CATCH
		PRINT 'There was an error cleaning the zraw tables' + CHAR(13)
		SELECT * FROM dbo.ufnGetErrorInfo()
		EXEC uspRaiseErrorInfo
	END CATCH
END

