﻿CREATE TABLE dbo.CCRARegions
(
	--authoritative source: 
		--A06.CDWWork.CCRA.ct_region


	--fields
	RegionRowNumber           bigint NOT NULL,
    RegionDescription         varchar (100),


    --primary key
	CONSTRAINT PK_CCRARegions PRIMARY KEY NONCLUSTERED	--not clustered due to clust. columnstore index
	(
		RegionRowNumber ASC 
	)
) 
ON DefinitionData  
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)	
GO

--foreign keys


--indexes


--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key; unique to EPRS, ctrg_rowid in source', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CCRARegions', 
N'COLUMN', N'RegionRowNumber'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'State Names', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CCRARegions', 
N'COLUMN', N'RegionDescription'
GO

