﻿--ODS code
CREATE TABLE dbo.EDIClaimTypes
(
	--source

	--fields
	EDIClaimTypeID		tinyint IDENTITY(1,1) NOT NULL,		--EPRS assigned (PK)
	EDIClaimTypeName	varchar (50) NOT NULL,
	
	--primary key
	CONSTRAINT PK_EDIClaimTypes PRIMARY KEY CLUSTERED 
	(
		EDIClaimTypeID ASC
	)
) 
ON DefinitionData
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key', 
N'SCHEMA', N'dbo', 
N'TABLE', N'EDIClaimTypes', 
N'COLUMN', N'EDIClaimTypeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the electronic data interchange (EDI) claim type', 
N'SCHEMA', N'dbo', 
N'TABLE', N'EDIClaimTypes', 
N'COLUMN', N'EDIClaimTypeName'
GO 