﻿--ODS code
CREATE TABLE dbo.FBCSDSSAuthorizations
(
	--authoritative sources: 
	--A06.CDWWork.Raw36
	--fields

AuthorizationsID	bigint	IDENTITY (1,1) NOT NULL,	--EPRS assigned
AuthIEN				int	,								--AuthIEN
DateStart			datetime2(7) NULL,					--DateStart
DateEnd				datetime2(7) NULL,					--DateEnd
DateCreated			datetime2	(7) NULL,				--DateCreated
DateLastEditedDT	datetime2(7) NULL,					--LastEditedDT
VISN				varchar(30) NOT NULL,				--station__no
StationNumber		varchar(10) NULL,					--AuthStationIFN
FacilityNumber		varchar(10) NULL,					--FacilityIEN
PatientVistaKey		varchar(20) NULL,					--PatientIEN
VendorIEN			varchar(20) NULL,					--VendorIEN
DIAGNOSIS1			varchar(1000) NULL,					--DXCode1
DIAGNOSIS2			varchar(1000) NULL,					--DXCode2
DIAGNOSIS3			varchar(1000) NULL,					--DXCode3
TreatmentTypeIEN	varchar(20) NULL,					--TreatmentTypeIEN
TypeofCareIEN		varchar(20) NULL,					--TypeofCareIEN
PatientTypeIEN		varchar(20) NULL,					--PatientTypeIEN
PurposeOfVisitIEN	varchar(20) NULL,					--PurposeOfVisitIEN
Remarks				varchar(8000) NULL,					--Remarks
ClerkIEN			varchar	(20) NULL,					--ClerkIEN
CostRecovery		int,								--CostRecovery
AccidentRelated		int,								--AccidentRelated
PatientInOrOut		varchar(3) NULL,					--PatientInOrOut
ImportedFromVista	int,								--ImportedFromVista
CreatedBy			varchar(200) NULL,					--CreatedBy
LastEditedBy		varchar(200) NULL,					--LastEditedBy
AuthClosed			int,								--AuthClosed
ContractID			varchar(20) NULL,					--ContractID
ReportableStationNum	 varchar(100) NULL,				--ReportableStationNum
ReportableStationNumBackFilled	 int,					--ReportableStationNumBackFilled
ReasonForReferral	int,								--ReasonForReferral
ReasonForReferralText	 varchar(8000) NULL,			--ReasonForReferralText

/*

	[station__no] [varchar](30) NOT NULL,
	[AuthIEN] [varchar](20) NULL,
	[AuthStationIFN] [varchar](10) NULL,
	[PatientIEN] [varchar](20) NULL,
	[DateStart] [datetime2](7) NULL,
	[DateEnd] [datetime2](7) NULL,
	[VendorIEN] [varchar](20) NULL,
	[FacilityIEN] [varchar](10) NULL,
	[DXCode1] [varchar](8000) NULL,
	[DXCode2] [varchar](8000) NULL,
	[DXCode3] [varchar](8000) NULL,
	[TreatmentTypeIEN] [varchar](20) NULL,
	[TypeofCareIEN] [varchar](20) NULL,
	[PatientTypeIEN] [varchar](20) NULL,
	[PurposeOfVisitIEN] [varchar](20) NULL,
	[Remarks] [varchar](8000) NULL,
	[ClerkIEN] [varchar](20) NULL,
	[CostRecovery] [int] NULL,
	[AccidentRelated] [int] NULL,
	[PatientInOrOut] [varchar](3) NULL,
	[DateCreated] [datetime2](7) NULL,
	[ImportedFromVista] [int] NULL,
	[CreatedBy] [varchar](200) NULL,
	[LastEditedBy] [varchar](200) NULL,
	[LastEditedDT] [datetime2](7) NULL,
	[AuthClosed] [int] NULL,
	[ContractID] [varchar](20) NULL,
	[ReportableStationNum] [varchar](100) NULL,
	[ReportableStationNumBackFilled] [int] NULL,
	[ReasonForReferral] [int] NULL,
	[ReasonForReferralText] [varchar](8000) NULL


*/
	
	--primary key

	CONSTRAINT PK_FBCSDSSAuthorizations PRIMARY KEY CLUSTERED 
	(
		AuthorizationsID ASC
	)
) 
ON CoreData
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
/*Commenting these out for now, because we they're incomplete, and they are also duplicates of other tables' metadata
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CallCenterPrograms', 
N'COLUMN', N'CallCenterProgramID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the call center program', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CallCenterPrograms', 
N'COLUMN', N'CallCenterProgramName'
GO 
*/