﻿--ODS code
CREATE TABLE dbo.FBCSDSSConsultsmirror
(
	--authoritative source: A06.Raw40.FBCS.dss_consultsmirror
	--fields

	FBSCDSSConsultsmirrorID		bigint	IDENTITY (1,1) NOT NULL,	--EPRS assigned
	PatientDFN					varchar(50) NULL,					--EPRS assigned (FK) PatientDFN (FK to hcfa table vistapatkey field)
	DateTimerequest				datetime2(7) NULL,					--requestDtTime
	DateLastAction				datetime2(7) NULL,					--LastActionDT
	VISN						varchar(30) NOT NULL,				--station__no
	FacilityNumber				varchar(20) NULL,					--StationIEN
	ConsultIEN					bigint,								--ConsultIEN
	StatusOfRequest				varchar(50) NULL,					--StatusOfRequest
	ServiceName					varchar(100) NULL,					--ServiceName
	PatientName					varchar(100) NULL,					--PatientName
	PatInitLast4				varchar(5) NULL,					--PatInitLast4
	ConsultUrgency				varchar(50) NULL,					--ConsultUrgency	
	ReadFlag					int,								--ReadFlag
	LastAction					varchar(100) NULL					--LastAction

	--primary key
	CONSTRAINT PK_FBSCDSSConsultsmirror PRIMARY KEY CLUSTERED 
	(
		FBSCDSSConsultsmirrorID ASC
	)
) 
ON CoreData
	WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
/*Commenting these out for now, because we they're incomplete, and they are also duplicates of other tables' metadata
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key', 
N'SCHEMA', N'dbo', 
N'TABLE', N'FBCSFacility', 
N'COLUMN', N'FBCSFacilityID'
GO
*/