﻿CREATE TABLE dbo.FBCSSuspensionReasons
(
	--fields

FBCSSuspensionreasonsID		bigint	IDENTITY (1,1) NOT NULL,	--EPRS assigned
suspensionreasonsNumber		int,								--EPRS assigned (FK) ID (FK to hcfa and ub92 table suspensionreasonid field)
FacilityNumber				varchar(30),						--station__no
Reason						varchar(1000),						--Reason
Verbage						varchar(1000),						--Verbage



	
	--primary key
	CONSTRAINT PK_FBCSSuspensionreasons	 PRIMARY KEY CLUSTERED 
	(
		FBCSSuspensionreasonsID		 ASC
	)
) 
ON CoreData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
/*Commenting these out for now, because we they're incomplete, and they are also duplicates of other tables' metadata
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CallCenterPrograms', 
N'COLUMN', N'CallCenterProgramID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the call center program', 
N'SCHEMA', N'dbo', 
N'TABLE', N'CallCenterPrograms', 
N'COLUMN', N'CallCenterProgramName'
GO 
*/