﻿CREATE TABLE dbo.FaqCategories
(
	--fields
	FaqCategoryID		tinyint IDENTITY(1,1) NOT NULL,		--EPRS assigned (PK)
	FaqCategoryName		varchar (50) NOT NULL,
	
	--primary key
	CONSTRAINT PK_FaqCategoriess PRIMARY KEY CLUSTERED 
	(
		FaqCategoryID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'FaqCategories', 
N'COLUMN', N'FaqCategoryID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the FAQ category', 
N'SCHEMA', N'dbo', 
N'TABLE', N'FaqCategories', 
N'COLUMN', N'FaqCategoryName'
GO 