﻿CREATE TABLE dbo.MeansTestStatuses
(
	--source

	--fields
	MeansTestStatusID			tinyint IDENTITY(1,1) NOT NULL,		--EPRS assigned (PK)
	MeansTestStatusName			varchar (200) NOT NULL,
	
	--primary key
	CONSTRAINT PK_MeansTestStatuses PRIMARY KEY CLUSTERED 
	(
		MeansTestStatusID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'MeansTestStatuses', 
N'COLUMN', N'MeansTestStatusID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the Means Test status', 
N'SCHEMA', N'dbo', 
N'TABLE', N'MeansTestStatuses', 
N'COLUMN', N'MeansTestStatusName'
GO 
