﻿CREATE TABLE dbo.StatusTypes
(
	--fields
	StatusTypeID		   [tinyint] IDENTITY(1,1) NOT NULL,
	StatusTypeName	       [varchar](30) NOT NULL,
	StatusTypeDescription  [varchar](100) NULL
	
	--primary key
	CONSTRAINT PK_StatusTypes PRIMARY KEY CLUSTERED 
	(
		StatusTypeID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'dbo', 
N'TABLE', N'StatusTypes', 
N'COLUMN', N'StatusTypeID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the StatusType From CPRS Status in Consults', 
N'SCHEMA', N'dbo', 
N'TABLE', N'StatusTypes', 
N'COLUMN', N'StatusTypeName'
GO 

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Description for the StatusType', 
N'SCHEMA', N'dbo', 
N'TABLE', N'StatusTypes', 
N'COLUMN', N'StatusTypeDescription'
GO 