﻿CREATE TABLE seclyr.ApplicationKeys
(
	--source:
		--EPRS specific

	--fields
	ApplicationKeyID		UNIQUEIDENTIFIER DEFAULT NEWID() NOT NULL,
	ApplicationKeyName		[varchar](100) NOT NULL,
	
	--primary key
	CONSTRAINT PK_ApplicationKeys PRIMARY KEY CLUSTERED 
	(
		ApplicationKeyID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'ApplicationKeys', 
N'COLUMN', N'ApplicationKeyID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the application key', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'ApplicationKeys', 
N'COLUMN', N'ApplicationKeyName'
GO 