﻿CREATE TABLE seclyr.Roles
(
	--fields
	RoleID				[tinyint] IDENTITY(1,1) NOT NULL,
	RoleName			[varchar](50) NOT NULL,
	Description			[varchar](200),

	--primary key
	CONSTRAINT PK_Roles PRIMARY KEY CLUSTERED 
	(
		RoleID ASC
	)
) 
ON DefinitionData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
EXECUTE sp_addextendedproperty 
N'MS_Description', N'Primary Key, unique to EPRS', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Roles', 
N'COLUMN', N'RoleID'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Name for the role', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Roles', 
N'COLUMN', N'RoleName'
GO

EXECUTE sp_addextendedproperty 
N'MS_Description', N'Description of the role', 
N'SCHEMA', N'seclyr', 
N'TABLE', N'Roles', 
N'COLUMN', N'Description'
GO