﻿CREATE TABLE zraw._dimStatuses
(
	--fields

	 OrderStatusSID int
           ,OrderStatusIEN varchar(50)
           ,Sta3n smallint
           ,OrderStatus varchar(50)
           ,OrderStatusShortName varchar(50)
           ,OrderStatusAbbreviation varchar(50)
           ,MasterEntryForVUIDFlag char(1)
           ,VUID varchar(50)
           ,ETLBatchID int
           ,OpCode char(1)
           ,VistaCreateDate datetime
           ,VistaEditDate datetime
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	,BatchLogID							BIGINT			NULL
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes



--constraints

--Metadata descriptions for each field
