﻿CREATE TABLE zraw._SStaffSStaff
(
	--fields (see zraw._SStaff.SStaff
			StaffSID							int,
           StaffIEN								varchar(50),
           Sta3n								smallint,
           StaffName							varchar(100),
           LastName								varchar(50),
           FirstName							varchar(50),
           MiddleName							varchar(50),
           StaffNamePrefix						varchar(50),
           StaffNameSuffix						varchar(50),      
           VANumber								varchar(50),
           MailCode								varchar(50),
           EmailAddress							varchar(100),
           NPIAuthorizedReleaseFlag				char(1),
           NPI									varchar(50),
           TaxID								varchar(50),
           TerminationDate						date,
           PositionTitle						varchar(50),
           Degree								varchar(50),
           EnteredDate							date,
           OpCode								char(1),

	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID							BIGINT			NULL,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	
	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes



--constraints

--Metadata descriptions for each field
