﻿CREATE TABLE zraw._ccraTaskCategory
(
	--source: A06, CDWWork, CCRA.taskcategory

	--fields
    [station__no]   VARCHAR (30)   NOT NULL,
    [id]            BIGINT         NULL,
    [code]          VARCHAR (8000) NULL,
    [codetabletags] VARCHAR (8000) NULL,
    [datefrom]      DATETIME2 (7)  NULL,
    [dateto]        DATETIME2 (7)  NULL,
    [description]   VARCHAR (8000) NULL,
    [owner]         VARCHAR (8000) NULL,
    [thread__id]    NUMERIC (18, 0)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
