﻿CREATE TABLE zraw._ccraarc_insurancetype
(
	--source: A06, CDWWork, CCRA.arc_insurancetype

	--fields
	[station__no] [varchar](30) NOT NULL,
	[inst_rowid] [bigint] NULL,
	[inst_code] [varchar](8000) NULL,
	[inst_desc] [varchar](8000) NULL,
	[inst_splitbillsbyloc] [varchar](8000) NULL,
	[inst_category] [varchar](8000) NULL,
	[inst_multipart] [varchar](8000) NULL,
	[inst_insbatchonly] [varchar](8000) NULL,
	[inst_linkinstype_dr] [bigint] NULL,
	[inst_priority_dr] [bigint] NULL,
	[inst_defaultauxinstype_dr] [bigint] NULL,
	[inst_code1] [varchar](8000) NULL,
	[inst_code2] [varchar](8000) NULL,
	[inst_code3] [varchar](8000) NULL,
	[inst_datefrom] [datetime2](7) NULL,
	[inst_dateto] [datetime2](7) NULL,
	[inst_accountclass] [bigint] NULL,
	[inst_unqualifiedadm] [varchar](8000) NULL,
	[inst_accommodationtype] [varchar](8000) NULL,
	[inst_programfundingsource] [varchar](8000) NULL,
	[inst_caretype] [varchar](8000) NULL,
	[inst_code4] [varchar](8000) NULL,
	[inst_paymode_dr] [bigint] NULL,
	[inst_donotdefaultcopy] [varchar](8000) NULL,
	[inst_billinglogic] [varchar](8000) NULL,
	[inst_payorgroup_dr] [bigint] NULL,
	[inst_drggrouperversion_dr] [bigint] NULL,
	[inst_owner] [varchar](8000) NULL,
	[inst_codetabletags] [varchar](8000) NULL,
	[inst_reportonsetcode] [varchar](8000) NULL,
	[inst_reportprivateroomaddon] [varchar](8000) NULL,
	[inst_createddate] [datetime2](7) NULL,
	[inst_createdtime] [time](7) NULL,
	[inst_createduser_dr] [bigint] NULL,
	[inst_updateddate] [datetime2](7) NULL,
	[inst_updatedtime] [time](7) NULL,
	[inst_updateduser_dr] [bigint] NULL,
	[inst_codetranslated] [varchar](8000) NULL,
	[inst_desctranslated] [varchar](8000) NULL,
	thread__id				numeric(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	--commenting in data compression.  current view contains 76,572 rows
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
