﻿CREATE TABLE zraw._ccraarc_ordsetdateitem
(
	--source: A06, CDWWork, CCRA.arc_ordsetdatetime

	--fields
	station__no				  varchar(30) NOT NULL,
	[itm_parref] [varchar](8000) NULL,
	[itm_rowid] [varchar](8000) NULL,
	[itm_childsub] [numeric](28, 6) NULL,
	[itm_arcim_dr] [varchar](8000) NULL,
	[itm_qty] [numeric](28, 6) NULL,
	[itm_line] [varchar](8000) NULL,
	[itm_conditional] [varchar](8000) NULL,
	[itm_visible] [varchar](8000) NULL,
	[itm_linktovisibleitem] [numeric](28, 6) NULL,
	[itm_freq_dr] [bigint] NULL,
	[itm_durat_dr] [bigint] NULL,
	[itm_instruc_dr] [bigint] NULL,
	[itm_uom_dr] [bigint] NULL,
	[itm_needlegauge_dr] [bigint] NULL,
	[itm_needletype_dr] [bigint] NULL,
	[itm_doseqty] [numeric](28, 6) NULL,
	[itm_linkdoctor] [numeric](28, 6) NULL,
	[itm_instype_dr] [bigint] NULL,
	[itm_auxinstype_dr] [bigint] NULL,
	[itm_adduptoqty] [numeric](28, 6) NULL,
	[itm_dayincrement] [numeric](28, 6) NULL,
	[itm_notes] [varchar](8000) NULL,
	[itm_price] [numeric](28, 6) NULL,
	[itm_adminroute_dr] [bigint] NULL,
	[itm_codetabletags] [varchar](8000) NULL,
	[itm_prefparams_dr] [bigint] NULL,
	[itm_sectiondesc] [varchar](8000) NULL,
	[itm_ivtype] [varchar](8000) NULL,
	[itm_sequenceflag] [varchar](8000) NULL,
	[itm_number] [numeric](28, 6) NULL,
	[itm_compservice_dr] [varchar](8000) NULL,
	[itm_parentsection_dr] [varchar](8000) NULL,
	[itm_selectiondefault] [varchar](8000) NULL,
	[itm_createddate] [datetime2](7) NULL,
	[itm_createdtime] [time](7) NULL,
	[itm_createduser_dr] [bigint] NULL,
	[itm_updateddate] [datetime2](7) NULL,
	[itm_updatedtime] [time](7) NULL,
	[itm_updateduser_dr] [bigint] NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
