﻿CREATE TABLE zraw._ccraarc_ordsets
(
	--source: A06, CDWWork, CCRA.arc_ordsets

	--fields
	station__no				  varchar(30) NOT NULL,
	[arcos_rowid1] [varchar](8000) NULL,
	[arcos_code] [varchar](8000) NULL,
	[arcos_activeflag] [varchar](8000) NULL,
	[arcos_itemtype_dr] [bigint] NULL,
	[arcos_desc] [varchar](8000) NULL,
	[arcos_subscript] [numeric](28, 6) NULL,
	[arcos_version] [numeric](28, 6) NULL,
	[arcos_curvers_dr] [varchar](8000) NULL,
	[arcos_curverflg] [varchar](8000) NULL,
	[arcos_effdate] [datetime2](7) NULL,
	[arcos_efftime] [time](7) NULL,
	[arcos_effdatetime] [varchar](8000) NULL,
	[arcos_ordcat_dr] [bigint] NULL,
	[arcos_ordsubcat_dr] [bigint] NULL,
	[arcos_packageprice] [numeric](28, 6) NULL,
	[arcos_labtraktestset] [varchar](8000) NULL,
	[arcos_type_calc] [varchar](8000) NULL,
	[arcos_servicegroup_dr] [bigint] NULL,
	[arcos_minutes] [numeric](28, 6) NULL,
	[arcos_days] [numeric](28, 6) NULL,
	[arcos_effdatefrom] [datetime2](7) NULL,
	[arcos_effdateto] [datetime2](7) NULL,
	[arcos_defpriority_dr] [bigint] NULL,
	[arcos_billgroup_dr] [bigint] NULL,
	[arcos_billsub_dr] [varchar](8000) NULL,
	[arcos_durationdr] [bigint] NULL,
	[arcos_frequencydr] [bigint] NULL,
	[arcos_externalserviceid] [varchar](8000) NULL,
	[arcos_owner] [varchar](8000) NULL,
	[arcos_codetabletags] [varchar](8000) NULL,
	[arcos_disposlistduringoe] [varchar](8000) NULL,
	[arcos_createddate] [datetime2](7) NULL,
	[arcos_createdtime] [time](7) NULL,
	[arcos_createduser_dr] [bigint] NULL,
	[arcos_updateddate] [datetime2](7) NULL,
	[arcos_updatedtime] [time](7) NULL,
	[arcos_updateduser_dr] [bigint] NULL,
	[arcos_rowid] [varchar](8000) NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
