﻿CREATE TABLE zraw._ccraarc_package
(
	--source: A06, CDWWork, CCRA.arc_package

	--fields
	station__no				  varchar(30) NOT NULL,
	[pack_rowid] [bigint] NULL,
	[pack_code] [varchar](8000) NULL,
	[pack_desc] [varchar](8000) NULL,
	[pack_datefrom] [datetime2](7) NULL,
	[pack_dateto] [datetime2](7) NULL,
	[pack_fixedprice] [numeric](28, 6) NULL,
	[pack_numberofdays] [numeric](28, 6) NULL,
	[pack_repeat] [varchar](8000) NULL,
	[pack_multipleepisode] [varchar](8000) NULL,
	[pack_numberofvisits] [numeric](28, 6) NULL,
	[pack_selectionmethod] [varchar](8000) NULL,
	[pack_prefmethpayment_dr] [bigint] NULL,
	[pack_owner] [varchar](8000) NULL,
	[pack_codetabletags] [varchar](8000) NULL,
	[pack_createddate] [datetime2](7) NULL,
	[pack_createdtime] [time](7) NULL,
	[pack_createduser_dr] [bigint] NULL,
	[pack_updateddate] [datetime2](7) NULL,
	[pack_updatedtime] [time](7) NULL,
	[pack_updateduser_dr] [bigint] NULL,
	[pack_method] [varchar](8000) NULL,
	[pack_reason_dr] [bigint] NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
