﻿CREATE TABLE zraw._ccraarc_packagedet
(
	--source: A06, CDWWork, CCRA.arc_packagedet

	--fields
	station__no				  varchar(30) NOT NULL,
	[det_parref] [bigint] NULL,
	[det_rowid] [varchar](8000) NULL,
	[det_childsub] [numeric](28, 6) NULL,
	[det_text1] [varchar](8000) NULL,
	[det_text2] [varchar](8000) NULL,
	[det_arcim_dr] [varchar](8000) NULL,
	[det_arcos_dr] [varchar](8000) NULL,
	[det_limitqty] [numeric](28, 6) NULL,
	[det_priceunderlimit] [numeric](28, 6) NULL,
	[det_priceoverlimit] [numeric](28, 6) NULL,
	[det_optional] [varchar](8000) NULL,
	[det_mainorder] [varchar](8000) NULL,
	[det_datefrom] [datetime2](7) NULL,
	[det_dateto] [datetime2](7) NULL,
	[det_pernewborn] [varchar](8000) NULL,
	[det_codetabletags] [varchar](8000) NULL,
	[det_createddate] [datetime2](7) NULL,
	[det_createdtime] [time](7) NULL,
	[det_createduser_dr] [bigint] NULL,
	[det_updateddate] [datetime2](7) NULL,
	[det_updatedtime] [time](7) NULL,
	[det_updateduser_dr] [bigint] NULL,
	[det_exclproportioncalc] [varchar](8000) NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
