﻿CREATE TABLE zraw._ccract_careprovgroup
(
	--source: A06, CDWWork, CCRA.ct_careprovgroup

	--fields
    station__no        VARCHAR (30)   NOT NULL,
    CPG_RowId          BIGINT         NULL,
    CPG_Code           VARCHAR (8000) NULL,
    CPG_Desc           VARCHAR (8000) NULL,
    CPG_DateFrom       DATETIME2 (7)  NULL,
    CPG_DateTo         DATETIME2 (7)  NULL,
    CPG_Owner          VARCHAR (8000) NULL,
    CPG_CodeTableTags  VARCHAR (8000) NULL,
    CPG_CreatedDate    DATETIME2 (7)  NULL,
    CPG_CreatedTime    TIME (7)       NULL,
    CPG_CreatedUser_DR BIGINT         NULL,
    CPG_UpdatedDate    DATETIME2 (7)  NULL,
    CPG_UpdatedTime    TIME (7)       NULL,
    CPG_UpdatedUser_DR BIGINT         NULL,
    thread__id         NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
