﻿CREATE TABLE zraw._ccract_city
(
	--source: A06, CDWWork, CCRA.ct_city

	--fields
	station__no				varchar(30) NOT NULL,
	ctcit_rowid             BIGINT NULL,
	ctcit_code              varchar(8000) NULL,
	ctcit_desc              varchar(8000) NULL,
	ctcit_fiscalprefix      varchar(8000) NULL,
	ctcit_province_dr       BIGINT NULL,
	ctcit_datefrom          datetime2(7) NULL,
	ctcit_dateto            datetime2(7) NULL,
	ctcit_localitytype      varchar(8000) NULL,
	ctcit_nationalcode      varchar(8000) NULL,
	ctcit_localitytype_dr   BIGINT NULL,
	ctcit_owner             varchar(8000) NULL,
	ctcit_codetabletags     varchar(8000) NULL,
	ctcit_createddate       datetime2(7) NULL,
	ctcit_createdtime       time(7) NULL,
	ctcit_createduser_dr    BIGINT NULL,
	ctcit_updateddate       datetime2(7) NULL,
	ctcit_updatedtime       time(7) NULL,
	ctcit_updateduser_dr    BIGINT NULL,
	thread__id				numeric(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	--commenting in data compression.  current view contains 30,244 rows
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
