﻿CREATE TABLE zraw._ccract_hospitaltrusts
(
	--source: A06, CDWWork, CCRA.ct_hospitaltrusts

	--fields
    [station__no]          VARCHAR (30)    NOT NULL,
    [TRUST_ParRef]         BIGINT          NULL,
    [TRUST_Rowid]          VARCHAR (8000)  NULL,
    [TRUST_Childsub]       NUMERIC (28, 6) NULL,
    [TRUST_DateFrom]       DATETIME2 (7)   NULL,
    [TRUST_DateTo]         DATETIME2 (7)   NULL,
    [TRUST_Trust_DR]       BIGINT          NULL,
    [TRUST_CodeTableTags]  VARCHAR (8000)  NULL,
    [TRUST_CreatedDate]    DATETIME2 (7)   NULL,
    [TRUST_CreatedTime]    TIME (7)        NULL,
    [TRUST_CreatedUser_DR] BIGINT          NULL,
    [TRUST_UpdatedDate]    DATETIME2 (7)   NULL,
    [TRUST_UpdatedTime]    TIME (7)        NULL,
    [TRUST_UpdatedUser_DR] BIGINT          NULL,
    [thread__id]           NUMERIC (18)    NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
