﻿CREATE TABLE zraw._ccract_sex
(
	--source: A06, CDWWork, CCRA.ct_sex

	--fields
	station__no				  varchar(30) NOT NULL,
	[ctsex_rowid] [bigint] NULL,
	[ctsex_code] [varchar](8000) NULL,
	[ctsex_desc] [varchar](8000) NULL,
	[ctsex_groupercode] [varchar](8000) NULL,
	[ctsex_datefrom] [datetime2](7) NULL,
	[ctsex_dateto] [datetime2](7) NULL,
	[ctsex_gender] [varchar](8000) NULL,
	[ctsex_hl7code] [varchar](8000) NULL,
	[ctsex_iconname] [varchar](8000) NULL,
	[ctsex_owner] [varchar](8000) NULL,
	[ctsex_codetabletags] [varchar](8000) NULL,
	[ctsex_createddate] [datetime2](7) NULL,
	[ctsex_createdtime] [time](7) NULL,
	[ctsex_createduser_dr] [bigint] NULL,
	[ctsex_updateddate] [datetime2](7) NULL,
	[ctsex_updatedtime] [time](7) NULL,
	[ctsex_updateduser_dr] [bigint] NULL,
	[ctsex_codetranslated] [varchar](8000) NULL,
	[ctsex_desctranslated] [varchar](8000) NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
