﻿CREATE TABLE zraw._ccract_taskassigngroup
(
	--source: A06, CDWWork, CCRA.ct_taskassigngroup

	--fields
	station__no				  varchar(30) NOT NULL,
	[taskgrp_rowid] [bigint] NULL,
	[taskgrp_code] [varchar](8000) NULL,
	[taskgrp_desc] [varchar](8000) NULL,
	[taskgrp_datefrom] [datetime2](7) NULL,
	[taskgrp_dateto] [datetime2](7) NULL,
	[taskgrp_owner] [varchar](8000) NULL,
	[taskgrp_codetabletags] [varchar](8000) NULL,
	[taskgrp_createddate] [datetime2](7) NULL,
	[taskgrp_createdtime] [time](7) NULL,
	[taskgrp_createduser_dr] [bigint] NULL,
	[taskgrp_updateddate] [datetime2](7) NULL,
	[taskgrp_updatedtime] [time](7) NULL,
	[taskgrp_updateduser_dr] [bigint] NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
