﻿CREATE TABLE zraw._ccract_taskdisposition
(
	--source: A06, CDWWork, CCRA.ct_taskdisposition

	--fields
    [station__no]                      VARCHAR (30)    NOT NULL,
    [CTTASKDISP_RowId]         BIGINT         NULL,
    [CTTASKDISP_Code]          VARCHAR (8000) NULL,
    [CTTASKDISP_Desc]          VARCHAR (8000) NULL,
    [CTTASKDISP_DateFrom]      DATETIME2 (7)  NULL,
    [CTTASKDISP_DateTo]        DATETIME2 (7)  NULL,
    [CTTASKDISP_Owner]         VARCHAR (8000) NULL,
    [CTTASKDISP_CodeTableTags] VARCHAR (8000) NULL,
    [thread__id]               NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
