﻿CREATE TABLE zraw._ccract_zip
(
	--source: A06, CDWWork, CCRA.ct_zip

	--fields
	station__no				  varchar(30) NOT NULL,
	[ctzip_rowid] [bigint] NULL,
	[ctzip_code] [varchar](8000) NULL,
	[ctzip_desc] [varchar](8000) NULL,
	[ctzip_remark] [varchar](8000) NULL,
	[ctzip_region_dr] [bigint] NULL,
	[ctzip_province_dr] [bigint] NULL,
	[ctzip_hca_dr] [bigint] NULL,
	[ctzip_city_dr] [bigint] NULL,
	[ctzip_cityarea_dr] [bigint] NULL,
	[ctzip_complement] [varchar](8000) NULL,
	[ctzip_type] [varchar](8000) NULL,
	[ctzip_citydesc] [varchar](8000) NULL,
	[ctzip_active] [varchar](8000) NULL,
	[ctzip_cityareadesc] [varchar](8000) NULL,
	[ctzip_hcregion_dr] [bigint] NULL,
	[ctzip_localauth_dr] [bigint] NULL,
	[ctzip_datefrom] [datetime2](7) NULL,
	[ctzip_dateto] [datetime2](7) NULL,
	[ctzip_owner] [varchar](8000) NULL,
	[ctzip_codetabletags] [varchar](8000) NULL,
	[ctzip_nofixedaddress] [varchar](8000) NULL,
	[ctzip_foreignpostcode] [varchar](8000) NULL,
	[ctzip_createddate] [datetime2](7) NULL,
	[ctzip_createdtime] [time](7) NULL,
	[ctzip_createduser_dr] [bigint] NULL,
	[ctzip_updateddate] [datetime2](7) NULL,
	[ctzip_updatedtime] [time](7) NULL,
	[ctzip_updateduser_dr] [bigint] NULL,
	thread__id				  numeric(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	--over 42K recs
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
