﻿CREATE TABLE zraw._ccrapa_adm
(
	--source: A06, CDWWork, CCRA.pa_admin

	--fields
    [station__no]              VARCHAR (30)   NOT NULL,
    [PAADM_RowID]                      BIGINT          NULL,
    [PAADM_ADMNo]                      VARCHAR (8000)  NULL,
    [PAADM_PAPMI_DR]                   BIGINT          NULL,
    [PAADM_PatType_DR]                 VARCHAR (8000)  NULL,
    [PAADM_DepCode_DR]                 BIGINT          NULL,
    [PAADM_AdmCateg_DR]                BIGINT          NULL,
    [PAADM_AdmDate]                    DATETIME2 (7)   NULL,
    [PAADM_AdmTime]                    TIME (7)        NULL,
    [PAADM_Type]                       VARCHAR (8000)  NULL,
    [PAADM_AdmSrc_DR]                  BIGINT          NULL,
    [PAADM_Specialty_DR]               VARCHAR (8000)  NULL,
    [PAADM_AdmDocCodeDR]               VARCHAR (8000)  NULL,
    [PAADM_SourceRef_DR]               BIGINT          NULL,
    [PAADM_ExpAdmDate]                 DATETIME2 (7)   NULL,
    [PAADM_PreAdmitted]                VARCHAR (8000)  NULL,
    [PAADM_RefDocCodeDR]               VARCHAR (8000)  NULL,
    [PAADM_DischgDate]                 DATETIME2 (7)   NULL,
    [PAADM_DischgTime]                 TIME (7)        NULL,
    [PAADM_DischgDoc_DR]               VARCHAR (8000)  NULL,
    [PAADM_VisitStatus]                VARCHAR (8000)  NULL,
    [PAADM_Dispos_DR]                  BIGINT          NULL,
    [PAADM_HCR_DR]                     BIGINT          NULL,
    [PAADM_TrafficAccident_DR]         BIGINT          NULL,
    [PAADM_ShowInFutureEpisode]        VARCHAR (8000)  NULL,
    [PAADM_Confidential]               VARCHAR (8000)  NULL,
    [PAADM_ExpLOS]                     NUMERIC (28, 6) NULL,
    [PAADM_DischargeAppoint_DR]        VARCHAR (8000)  NULL,
    [PAADM_RefClinic_DR]               BIGINT          NULL,
    [PAADM_InPatNo]                    VARCHAR (8000)  NULL,
    [PAADM_EmergencyNo]                VARCHAR (8000)  NULL,
    [PAADM_PreAdmNo]                   VARCHAR (8000)  NULL,
    [PAADM_ConvertedFromOut]           VARCHAR (8000)  NULL,
    [PAADM_Priority_DR]                BIGINT          NULL,
    [PAADM_PreAdmitDate]               DATETIME2 (7)   NULL,
    [PAADM_PreAdmitTime]               TIME (7)        NULL,
    [PAADM_Isolate]                    VARCHAR (8000)  NULL,
    [PAADM_EmergencyDate]              DATETIME2 (7)   NULL,
    [PAADM_EmergencyTime]              TIME (7)        NULL,
    [PAADM_PaidEmergencySurcharge]     VARCHAR (8000)  NULL,
    [PAADM_OriginalAdmissionDR]        BIGINT          NULL,
    [PAADM_MealPreference]             VARCHAR (8000)  NULL,
    [PAADM_CreateDate]                 DATETIME2 (7)   NULL,
    [PAADM_CreateTime]                 TIME (7)        NULL,
    [PAADM_CreateUser]                 BIGINT          NULL,
    [PAADM_Remark]                     VARCHAR (8000)  NULL,
    [PAADM_Current]                    VARCHAR (8000)  NULL,
    [PAADM_BillFlag]                   VARCHAR (8000)  NULL,
    [PAADM_RefDate]                    DATETIME2 (7)   NULL,
    [PAADM_RefExpiryDate]              DATETIME2 (7)   NULL,
    [PAADM_RefApprovNo]                VARCHAR (8000)  NULL,
    [PAADM_Type_of_Patient_Calc]       VARCHAR (8000)  NULL,
    [PAADM_EstimDischargeDate]         DATETIME2 (7)   NULL,
    [PAADM_EstimDischargeTime]         TIME (7)        NULL,
    [PAADM_DischCond_DR]               BIGINT          NULL,
    [PAADM_OtherDischType]             VARCHAR (8000)  NULL,
    [PAADM_Infect_DR]                  BIGINT          NULL,
    [PAADM_OtherInfectType]            VARCHAR (8000)  NULL,
    [PAADM_EstimOperDate]              DATETIME2 (7)   NULL,
    [PAADM_Oper_DR]                    BIGINT          NULL,
    [PAADM_Urgent]                     VARCHAR (8000)  NULL,
    [PAADM_AdmReadm]                   VARCHAR (8000)  NULL,
    [PAADM_RoomType_DR]                BIGINT          NULL,
    [PAADM_DietType_DR]                BIGINT          NULL,
    [PAADM_MainMRADM_DR]               BIGINT          NULL,
    [PAADM_StudentMRADM_DR]            BIGINT          NULL,
    [PAADM_ConfidentMessage]           VARCHAR (8000)  NULL,
    [PAADM_ApptMethod_DR]              BIGINT          NULL,
    [PAADM_OrderTime]                  TIME (7)        NULL,
    [PAADM_ReferralType]               BIGINT          NULL,
    [PAADM_Appoint_DR]                 VARCHAR (8000)  NULL,
    [PAADM_CurrentRoom_DR]             BIGINT          NULL,
    [PAADM_CurrentWard_DR]             BIGINT          NULL,
    [PAADM_RefAdm_DR]                  BIGINT          NULL,
    [PAADM_FirstOrReadmis]             VARCHAR (8000)  NULL,
    [PAADM_CurrentBed_DR]              VARCHAR (8000)  NULL,
    [PAADM_TempLoc_DR]                 BIGINT          NULL,
    [PAADM_MotherAdm_DR]               BIGINT          NULL,
    [PAADM_MedicalDischarge]           VARCHAR (8000)  NULL,
    [PAADM_ConvertDate]                DATETIME2 (7)   NULL,
    [PAADM_ConvertTime]                TIME (7)        NULL,
    [PAADM_MedDischDoc_DR]             VARCHAR (8000)  NULL,
    [PAADM_RefDocList_DR]              BIGINT          NULL,
    [PAADM_MaritalStatus_DR]           BIGINT          NULL,
    [PAADM_HCA_DR]                     BIGINT          NULL,
    [PAADM_Region_DR]                  BIGINT          NULL,
    [PAADM_CurrentProcess_DR]          BIGINT          NULL,
    [PAADM_PreviousProcess_DR]         BIGINT          NULL,
    [PAADM_Epissubtype_DR]             BIGINT          NULL,
    [PAADM_AdmReason_DR]               BIGINT          NULL,
    [PAADM_CauseInj_DR]                BIGINT          NULL,
    [PAADM_EmergencyStatus]            VARCHAR (8000)  NULL,
    [PAADM_SeenDate]                   DATETIME2 (7)   NULL,
    [PAADM_SeenTime]                   TIME (7)        NULL,
    [PAADM_RegistrationFee]            VARCHAR (8000)  NULL,
    [PAADM_ReasonNotRegFee]            BIGINT          NULL,
    [PAADM_SpecialCategory]            VARCHAR (8000)  NULL,
    [PAADM_SpecialDocument]            VARCHAR (8000)  NULL,
    [PAADM_LabourAccident_DR]          BIGINT          NULL,
    [PAADM_FlaggedPatient]             VARCHAR (8000)  NULL,
    [PAADM_WaitList_DR]                BIGINT          NULL,
    [PAADM_FamilyDoctor]               VARCHAR (8000)  NULL,
    [PAADM_ReadOnly]                   VARCHAR (8000)  NULL,
    [PAADM_PersonResponsiblePayment]   BIGINT          NULL,
    [PAADM_Verified]                   VARCHAR (8000)  NULL,
    [PAADM_Completed]                  VARCHAR (8000)  NULL,
    [PAADM_HCP_DR]                     BIGINT          NULL,
    [PAADM_RefClinTo_DR]               BIGINT          NULL,
    [PAADM_AdmRef]                     VARCHAR (8000)  NULL,
    [PAADM_SeriousDisease]             BIGINT          NULL,
    [PAADM_MedDischDate]               DATETIME2 (7)   NULL,
    [PAADM_MedDischTime]               TIME (7)        NULL,
    [PAADM_TriageDate]                 DATETIME2 (7)   NULL,
    [PAADM_TriageTime]                 TIME (7)        NULL,
    [PAADM_LikelihoodAdmit]            VARCHAR (8000)  NULL,
    [PAADM_HumanIntent_DR]             BIGINT          NULL,
    [PAADM_PlaceOfInj_DR]              BIGINT          NULL,
    [PAADM_ActivityInjured_DR]         BIGINT          NULL,
    [PAADM_Occupation_DR]              BIGINT          NULL,
    [PAADM_PersonRespPayment]          VARCHAR (8000)  NULL,
    [PAADM_RequestMR]                  VARCHAR (8000)  NULL,
    [PAADM_InpatBedReqDate]            DATETIME2 (7)   NULL,
    [PAADM_InpatBedReqTime]            TIME (7)        NULL,
    [PAADM_CClass]                     VARCHAR (8000)  NULL,
    [PAADM_UpdateDate]                 DATETIME2 (7)   NULL,
    [PAADM_UpdateTime]                 TIME (7)        NULL,
    [PAADM_UpdateUser_DR]              BIGINT          NULL,
    [PAADM_RefDocClinic_DR]            VARCHAR (8000)  NULL,
    [PAADM_CurrentResource_DR]         BIGINT          NULL,
    [PAADM_ConfirmReferral]            VARCHAR (8000)  NULL,
    [PAADM_RefPeriod_DR]               BIGINT          NULL,
    [PAADM_OSVisitStatus_DR]           BIGINT          NULL,
    [PAADM_DateRefDecision]            DATETIME2 (7)   NULL,
    [PAADM_MethodRef_DR]               BIGINT          NULL,
    [PAADM_ReferralPriority_DR]        BIGINT          NULL,
    [PAADM_TumourSiteGroup_DR]         BIGINT          NULL,
    [PAADM_ReasonDelDisch_DR]          BIGINT          NULL,
    [PAADM_HospChaplainVisitReq]       VARCHAR (8000)  NULL,
    [PAADM_OwnMinisterIndicator]       VARCHAR (8000)  NULL,
    [PAADM_GuaranteeAdmDate]           DATETIME2 (7)   NULL,
    [PAADM_AEArrivalMode_DR]           BIGINT          NULL,
    [PAADM_InternalRefDoc_DR]          VARCHAR (8000)  NULL,
    [PAADM_HomerID]                    VARCHAR (8000)  NULL,
    [PAADM_RefDrConsent]               VARCHAR (8000)  NULL,
    [PAADM_AdmMethod_DR]               BIGINT          NULL,
    [PAADM_DateHCPRequestSent]         DATETIME2 (7)   NULL,
    [PAADM_DateHCPreceived]            DATETIME2 (7)   NULL,
    [PAADM_HCPPriority_DR]             BIGINT          NULL,
    [PAADM_AppointTransport_DR]        BIGINT          NULL,
    [PAADM_PoliceDivision]             VARCHAR (8000)  NULL,
    [PAADM_SpecificLoc]                VARCHAR (8000)  NULL,
    [PAADM_ChaplainName]               VARCHAR (8000)  NULL,
    [PAADM_ChaplainChurchAddress]      VARCHAR (8000)  NULL,
    [PAADM_ChaplainPhone]              VARCHAR (8000)  NULL,
    [PAADM_DateOfEntry]                DATETIME2 (7)   NULL,
    [PAADM_InterviewedBy]              VARCHAR (8000)  NULL,
    [PAADM_DateOfInterview]            DATETIME2 (7)   NULL,
    [PAADM_InterviewRec]               VARCHAR (8000)  NULL,
    [PAADM_OverseasVisitor]            VARCHAR (8000)  NULL,
    [PAADM_OSVCountryFrom_DR]          BIGINT          NULL,
    [PAADM_OtherHospital]              VARCHAR (8000)  NULL,
    [PAADM_PermanentResident]          VARCHAR (8000)  NULL,
    [PAADM_DateReceived]               DATETIME2 (7)   NULL,
    [PAADM_SourceOfAttend_DR]          BIGINT          NULL,
    [PAADM_MajorIncident_DR]           BIGINT          NULL,
    [PAADM_ReportDate]                 DATETIME2 (7)   NULL,
    [PAADM_OESubCat_DR]                BIGINT          NULL,
    [PAADM_RefStat_DR]                 BIGINT          NULL,
    [PAADM_PostDischStatus_DR]         BIGINT          NULL,
    [PAADM_DNAReason]                  BIGINT          NULL,
    [PAADM_NursingNotesFlag]           VARCHAR (8000)  NULL,
    [PAADM_CancelReason_DR]            BIGINT          NULL,
    [PAADM_ConsentRecFundInfo]         VARCHAR (8000)  NULL,
    [PAADM_ConsentPatSatisfSurve]      VARCHAR (8000)  NULL,
    [PAADM_FrequentAdmissions]         VARCHAR (8000)  NULL,
    [PAADM_DischComments]              VARCHAR (8000)  NULL,
    [PAADM_PatientContacted]           VARCHAR (8000)  NULL,
    [PAADM_LikelyTransICU_DR]          BIGINT          NULL,
    [PAADM_EstDischConfirmed]          VARCHAR (8000)  NULL,
    [PAADM_PatClassif_DR]              BIGINT          NULL,
    [PAADM_ConvertUser_DR]             BIGINT          NULL,
    [PAADM_InPatAdmType_DR]            BIGINT          NULL,
    [PAADM_AdmissionFIM]               VARCHAR (8000)  NULL,
    [PAADM_DischargeFIM]               VARCHAR (8000)  NULL,
    [PAADM_Related]                    VARCHAR (8000)  NULL,
    [PAADM_TreatingDr_DR]              VARCHAR (8000)  NULL,
    [PAADM_ContractSpoke_DR]           BIGINT          NULL,
    [PAADM_ContractType_DR]            BIGINT          NULL,
    [PAADM_ContractRole_DR]            BIGINT          NULL,
    [PAADM_FundingArrangement_DR]      BIGINT          NULL,
    [PAADM_BillingMethod_DR]           BIGINT          NULL,
    [PAADM_PalliativeCare_DR]          BIGINT          NULL,
    [PAADM_BedMobility_DR]             BIGINT          NULL,
    [PAADM_Toileting_DR]               BIGINT          NULL,
    [PAADM_Transfer_DR]                BIGINT          NULL,
    [PAADM_Eating_DR]                  BIGINT          NULL,
    [PAADM_RUGTotal]                   NUMERIC (28, 6) NULL,
    [PAADM_BarthelScore]               NUMERIC (28, 6) NULL,
    [PAADM_DischargeBarthelScore]      NUMERIC (28, 6) NULL,
    [PAADM_ClinicalSubProgram_DR]      BIGINT          NULL,
    [PAADM_ReadmToRehab_DR]            BIGINT          NULL,
    [PAADM_OnsetDate]                  DATETIME2 (7)   NULL,
    [PAADM_MiniMentalAssScore]         NUMERIC (28, 6) NULL,
    [PAADM_TriageNurse_DR]             VARCHAR (8000)  NULL,
    [PAADM_StatePPP_DR]                BIGINT          NULL,
    [PAADM_DaySurgeryType]             VARCHAR (8000)  NULL,
    [PAADM_TransferFacility]           VARCHAR (8000)  NULL,
    [PAADM_AppointBookingSystem_DR]    BIGINT          NULL,
    [PAADM_ParentWard_DR]              BIGINT          NULL,
    [PAADM_PatAcuity_DR]               BIGINT          NULL,
    [PAADM_SecondaryReason_DR]         BIGINT          NULL,
    [PAADM_DateDischHosp]              DATETIME2 (7)   NULL,
    [PAADM_CaseManager_DR]             VARCHAR (8000)  NULL,
    [PAADM_DateFirstAppt]              DATETIME2 (7)   NULL,
    [PAADM_LastContactFamily]          DATETIME2 (7)   NULL,
    [PAADM_RejectionReason]            VARCHAR (8000)  NULL,
    [PAADM_LongStay]                   VARCHAR (8000)  NULL,
    [PAADM_InternalRefLoc_DR]          BIGINT          NULL,
    [PAADM_DatePatRefferedAssess]      DATETIME2 (7)   NULL,
    [PAADM_DateSocialWorkerAlloc]      DATETIME2 (7)   NULL,
    [PAADM_DateSocialWorkerCompleted]  DATETIME2 (7)   NULL,
    [PAADM_DateAssessmentCompleted]    DATETIME2 (7)   NULL,
    [PAADM_SocialWorkerName]           VARCHAR (8000)  NULL,
    [PAADM_PatDestination]             VARCHAR (8000)  NULL,
    [PAADM_DelayReason]                VARCHAR (8000)  NULL,
    [PAADM_HasCommunSocWorker]         VARCHAR (8000)  NULL,
    [PAADM_HasFunding]                 VARCHAR (8000)  NULL,
    [PAADM_AutocodeRequired]           VARCHAR (8000)  NULL,
    [PAADM_SocialWorkerCentre_DR]      BIGINT          NULL,
    [PAADM_LocalAuthority_DR]          BIGINT          NULL,
    [PAADM_NonGovOrg_DR]               BIGINT          NULL,
    [PAADM_TempLocDate]                DATETIME2 (7)   NULL,
    [PAADM_TempLocTime]                TIME (7)        NULL,
    [PAADM_QualifStatus_DR]            BIGINT          NULL,
    [PAADM_SuspectCancerType_DR]       BIGINT          NULL,
    [PAADM_Pregnancy_DR]               BIGINT          NULL,
    [PAADM_RefToNonGov_DR]             BIGINT          NULL,
    [PAADM_RefToNGOContactName]        VARCHAR (8000)  NULL,
    [PAADM_RefOrgAddress]              VARCHAR (8000)  NULL,
    [PAADM_DischgHospital]             VARCHAR (8000)  NULL,
    [PAADM_Hospital_DR]                BIGINT          NULL,
    [PAADM_ViewablebyEpCareProv]       VARCHAR (8000)  NULL,
    [PAADM_MaternityVisType_DR]        BIGINT          NULL,
    [PAADM_LabClinicalCondition]       VARCHAR (8000)  NULL,
    [PAADM_TelephoneActive]            VARCHAR (8000)  NULL,
    [PAADM_CodingUpdateDate]           DATETIME2 (7)   NULL,
    [PAADM_CodingUpdateTime]           TIME (7)        NULL,
    [PAADM_CodingUpdateUser_DR]        BIGINT          NULL,
    [PAADM_CreatePreadmission]         VARCHAR (8000)  NULL,
    [PAADM_BookLocReady]               VARCHAR (8000)  NULL,
    [PAADM_DaysCarriedForward]         NUMERIC (28, 6) NULL,
    [PAADM_RBCCancelReason_DR]         BIGINT          NULL,
    [PAADM_UpdateUserHospital_DR]      BIGINT          NULL,
    [PAADM_ConsentDVA]                 VARCHAR (8000)  NULL,
    [PAADM_ConsentWorkCompens]         VARCHAR (8000)  NULL,
    [PAADM_ConsentMotorVehicle]        VARCHAR (8000)  NULL,
    [PAADM_ConsentDepOfDefence]        VARCHAR (8000)  NULL,
    [PAADM_ConsentFeedback]            VARCHAR (8000)  NULL,
    [PAADM_PrevInPatAdmPalliativeCare] VARCHAR (8000)  NULL,
    [PAADM_PrevNonInPatPalliativeCare] VARCHAR (8000)  NULL,
    [PAADM_DoctorLetterNotes]          VARCHAR (8000)  NULL,
    [PAADM_PatientLetterNotes]         VARCHAR (8000)  NULL,
    [PAADM_AuditLetterResponse]        VARCHAR (8000)  NULL,
    [PAADM_UsualAccom_DR]              BIGINT          NULL,
    [PAADM_FinDischDate]               DATETIME2 (7)   NULL,
    [PAADM_FinDischTime]               TIME (7)        NULL,
    [PAADM_InjuryIncidentDate]         DATETIME2 (7)   NULL,
    [PAADM_PAAdm2_DR]                  BIGINT          NULL,
    [thread__id]                       NUMERIC (18)    NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
