﻿CREATE TABLE zraw._ccrapa_waitinglistguardate
(
	--source: A06, CDWWork, CCRA.pa_waitinglistguardate

	--fields
    [station__no]                 VARCHAR (30)    NOT NULL,
    [GD_ParRef]                   BIGINT          NULL,
    [GD_RowId]                    VARCHAR (8000)  NULL,
    [GD_Childsub]                 NUMERIC (28, 6) NULL,
    [GD_WaitTime]                 NUMERIC (28, 6) NULL,
    [GD_GuaranteedDate]           DATETIME2 (7)   NULL,
    [GD_ChangeDate]               DATETIME2 (7)   NULL,
    [GD_ChangeTime]               TIME (7)        NULL,
    [GD_EffDate]                  DATETIME2 (7)   NULL,
    [GD_User_DR]                  BIGINT          NULL,
    [GD_ChangeReason]             VARCHAR (8000)  NULL,
    [GD_TTGGuaranteedDate]        DATETIME2 (7)   NULL,
    [GD_WLReasonNotAvail_DR]      BIGINT          NULL,
    [GD_ApptReasonForCancel_DR]   BIGINT          NULL,
    [GD_ApptReasonNotShow_DR]     BIGINT          NULL,
    [GD_ReasonGroup_DR]           BIGINT          NULL,
    [GD_ApptReasonForTransfer_DR] BIGINT          NULL,
    [thread__id]                  NUMERIC (18)    NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--if less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
