﻿CREATE TABLE zraw._ccrapa_waitinglisttransaction 
(
	--source: A06, CDWWork, CCRA.pa_waitinglisttransaction

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[trans_parref] [bigint] NULL,
	[trans_rowid] [varchar](8000) NULL,
	[trans_childsub] [numeric](28, 6) NULL,
	[trans_waitlisttype_dr] [bigint] NULL,
	[trans_waitlistpriority_dr] [bigint] NULL,
	[trans_surgeon_dr] [varchar](8000) NULL,
	[trans_date] [datetime2](7) NULL,
	[trans_time] [time](7) NULL,
	[trans_user_dr] [bigint] NULL,
	[trans_reasonforchange_dr] [bigint] NULL,
	[trans_status_dr] [bigint] NULL,
	[trans_processflag] [varchar](8000) NULL,
	[trans_dateeffective] [datetime2](7) NULL,
	[trans_reasonnotavail_dr] [bigint] NULL,
	[trans_tcistatus] [varchar](8000) NULL,
	[trans_bookingnumber] [varchar](8000) NULL,
	[trans_removaldesc] [varchar](8000) NULL,
	[trans_prioritychanged] [varchar](8000) NULL,
	[trans_estlengthofstay] [numeric](28, 6) NULL,
	[trans_stateppp_dr] [bigint] NULL,
	[trans_hospital_dr] [bigint] NULL,
	[trans_accomodationtype_dr] [bigint] NULL,
	[trans_wlnotavail_dr] [varchar](8000) NULL,
	[trans_admvisitstatus] [varchar](8000) NULL,
	[trans_datedelete] [datetime2](7) NULL,
	[trans_authuser_dr] [bigint] NULL,
    [thread__id]                   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression
	-- over 76K records
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
