﻿CREATE TABLE zraw._ccrapac_contoutcome
(
	--source: A06, CDWWork, CCRA.pac_contoutcome

	--fields
    [station__no]             VARCHAR (30)   NOT NULL,
    [CONTOUTC_RowId]          BIGINT         NULL,
    [CONTOUTC_Code]           VARCHAR (8000) NULL,
    [CONTOUTC_Desc]           VARCHAR (8000) NULL,
    [CONTOUTC_DateFrom]       DATETIME2 (7)  NULL,
    [CONTOUTC_DateTo]         DATETIME2 (7)  NULL,
    [CONTOUTC_Owner]          VARCHAR (8000) NULL,
    [CONTOUTC_CodeTableTags]  VARCHAR (8000) NULL,
    [CONTOUTC_CreatedDate]    DATETIME2 (7)  NULL,
    [CONTOUTC_CreatedTime]    TIME (7)       NULL,
    [CONTOUTC_CreatedUser_DR] BIGINT         NULL,
    [CONTOUTC_UpdatedDate]    DATETIME2 (7)  NULL,
    [CONTOUTC_UpdatedTime]    TIME (7)       NULL,
    [CONTOUTC_UpdatedUser_DR] BIGINT         NULL,
    [thread__id]              NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--if less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
