﻿CREATE TABLE zraw._ccrapac_documenttype
(
	--source: A06, CDWWork, CCRA.pac_documenttype

	--fields
    [station__no]                  VARCHAR (30)   NOT NULL,
    [DOCTYPE_RowId]                BIGINT         NULL,
    [DOCTYPE_Desc]                 VARCHAR (8000) NULL,
    [DOCTYPE_Default]              VARCHAR (8000) NULL,
    [DOCTYPE_DateFrom]             DATETIME2 (7)  NULL,
    [DOCTYPE_DateTo]               DATETIME2 (7)  NULL,
    [DOCTYPE_ScanAdmDocSubType_DR] BIGINT         NULL,
    [DOCTYPE_Code]                 VARCHAR (8000) NULL,
    [DOCTYPE_IsReferral]           VARCHAR (8000) NULL,
    [DOCTYPE_Owner]                VARCHAR (8000) NULL,
    [DOCTYPE_CodeTableTags]        VARCHAR (8000) NULL,
    [DOCTYPE_CreatedDate]          DATETIME2 (7)  NULL,
    [DOCTYPE_CreatedTime]          TIME (7)       NULL,
    [DOCTYPE_CreatedUser_DR]       BIGINT         NULL,
    [DOCTYPE_UpdatedDate]          DATETIME2 (7)  NULL,
    [DOCTYPE_UpdatedTime]          TIME (7)       NULL,
    [DOCTYPE_UpdatedUser_DR]       BIGINT         NULL,
    [thread__id]                   NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--if less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
