﻿CREATE TABLE zraw._ccrapac_facilitytype
(
	--source: A06, CDWWork, CCRA.pac_facilitytype

	--fields
    [station__no]          VARCHAR (30)   NOT NULL,
    [FACIL_RowId]          BIGINT         NULL,
    [FACIL_Code]           VARCHAR (8000) NULL,
    [FACIL_Desc]           VARCHAR (8000) NULL,
    [FACIL_DateFrom]       DATETIME2 (7)  NULL,
    [FACIL_DateTo]         DATETIME2 (7)  NULL,
    [FACIL_Owner]          VARCHAR (8000) NULL,
    [FACIL_CodeTableTags]  VARCHAR (8000) NULL,
    [FACIL_CreatedDate]    DATETIME2 (7)  NULL,
    [FACIL_CreatedTime]    TIME (7)       NULL,
    [FACIL_CreatedUser_DR] BIGINT         NULL,
    [FACIL_UpdatedDate]    DATETIME2 (7)  NULL,
    [FACIL_UpdatedTime]    TIME (7)       NULL,
    [FACIL_UpdatedUser_DR] BIGINT         NULL,
    [thread__id]           NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--if less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
