﻿CREATE TABLE zraw._ccrapac_nationalppp
(
	--source: A06, CDWWork, CCRA.pac_nationalppp

	--fields
    [station__no]              VARCHAR (30)   NOT NULL,
    [NPPP_RowId]               BIGINT         NULL,
    [NPPP_Code]                VARCHAR (8000) NULL,
    [NPPP_Desc]                VARCHAR (8000) NULL,
    [NPPP_StartDate]           DATETIME2 (7)  NULL,
    [NPPP_EndDate]             DATETIME2 (7)  NULL,
    [NPPP_Owner]               VARCHAR (8000) NULL,
    [NPPP_CodeTableTags]       VARCHAR (8000) NULL,
    [NPPP_CreatedDate]         DATETIME2 (7)  NULL,
    [NPPP_CreatedTime]         TIME (7)       NULL,
    [NPPP_CreatedUser_DR]      BIGINT         NULL,
    [NPPP_UpdatedDate]         DATETIME2 (7)  NULL,
    [NPPP_UpdatedTime]         TIME (7)       NULL,
    [NPPP_UpdatedUser_DR]      BIGINT         NULL,
    [NPPP_StatutoryReportable] VARCHAR (8000) NULL,
    [thread__id]               NUMERIC (18)   NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--if less than 10,000 rows, don't need compression
	
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
