﻿CREATE TABLE zraw._ccrapac_stateppp
(
	--source: A06, CDWWork, CCRA.pac_stateppp'

	--fields
	station__no				varchar(30) NOT NULL,
	[sppp_rowid] [bigint] NULL,
	[sppp_code] [varchar](8000) NULL,
	[sppp_desc] [varchar](8000) NULL,
	[sppp_startdate] [datetime2](7) NULL,
	[sppp_enddate] [datetime2](7) NULL,
	[sppp_nppp_dr] [bigint] NULL,
	[sppp_esis_reportable] [varchar](8000) NULL,
	[sppp_ctloc_dr] [bigint] NULL,
	[sppp_wltype_dr] [bigint] NULL,
	[sppp_operprocdr] [bigint] NULL,
	[sppp_episodetype] [varchar](8000) NULL,
	[sppp_wlentrycapacity] [varchar](8000) NULL,
	[sppp_esttime] [numeric](28, 6) NULL,
	[sppp_recoverytype] [varchar](8000) NULL,
	[sppp_reviewsuspendateweeks] [numeric](28, 6) NULL,
	[sppp_newways] [varchar](8000) NULL,
	[sppp_offerforanadm] [numeric](28, 6) NULL,
	[sppp_daysforletterresponse] [numeric](28, 6) NULL,
	[sppp_offersbeforeipwaitrest] [numeric](28, 6) NULL,
	[sppp_offeroutcomechanged] [numeric](28, 6) NULL,
	[sppp_stoppathway] [varchar](8000) NULL,
	[sppp_owner] [varchar](8000) NULL,
	[sppp_codetabletags] [varchar](8000) NULL,
	[sppp_procsetuptime] [numeric](28, 6) NULL,
	[sppp_prevcleanuptime] [numeric](28, 6) NULL,
	[sppp_defaultanaesmeth_dr] [bigint] NULL,
	[sppp_episodetypes] [varchar](8000) NULL,
	[sppp_ctlocs] [varchar](8000) NULL,
	[sppp_createddate] [datetime2](7) NULL,
	[sppp_createdtime] [time](7) NULL,
	[sppp_createduser_dr] [bigint] NULL,
	[sppp_updateddate] [datetime2](7) NULL,
	[sppp_updatedtime] [time](7) NULL,
	[sppp_updateduser_dr] [bigint] NULL,
	[sppp_estlos] [bigint] NULL,
	[sppp_operations] [varchar](8000) NULL,
	thread__id				numeric(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
