﻿CREATE TABLE zraw._ccrapac_waitinglisttype
(
	--source: A06, CDWWork, CCRA.pac_waitinglisttype

	--fields
	station__no				  varchar(30) NOT NULL,
	wlt_rowid				  BIGINT NULL,
	wlt_code				  varchar(8000) NULL,
	wlt_desc				  varchar(8000) NULL,
	wlt_type				  varchar(8000) NULL,
    wlt_offlistcriteria		  varchar(8000) NULL,
    wlt_operbookrequired      varchar(8000) NULL,
    wlt_appointmentrequired   varchar(8000) NULL,
    wlt_preadmrequired        varchar(8000) NULL,
    wlt_mainmrrequired        varchar(8000) NULL,
    wlt_datefrom              datetime2(7) NULL,
    wlt_dateto                datetime2(7) NULL,
    wlt_hospital_dr           BIGINT NULL,
    wlt_ctloc_dr              BIGINT NULL,  
    wlt_careprov_dr           varchar(8000) NULL,
    wlt_nationalcode          varchar(8000) NULL,   
    wlt_daysalertred          numeric (28,6) NULL,
    wlt_daysalertamber        numeric (28,6) NULL,
    wlt_daysalertgreen        numeric (28,6) NULL,
    wlt_episodesubtype_dr     BIGINT NULL, 
    wlt_numofallowednonattapp numeric (28,6) NULL,
    wlt_owner                 varchar(8000) NULL,
    wlt_codetabletags         varchar(8000) NULL,
    wlt_waitminutes           varchar(8000) NULL,
    wlt_createddate           datetime2(7) NULL,
    wlt_createdtime           time(7) NULL,
    wlt_createduser_dr        BIGINT NULL,
    wlt_updateddate			  datetime2(7) NULL,
    wlt_updatedtime           time(7) NULL,
    wlt_updateduser_dr        BIGINT NULL,
    wlt_payorapprequired      varchar(8000) NULL,
	thread__id				  numeric(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
