﻿CREATE TABLE zraw._ccrarb_resource 
(
	--source: A06, CDWWork, CCRA.rb_resource

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[res_rowid] [bigint] NULL,
	[res_ctloc_dr] [bigint] NULL,
	[res_ctpcp_dr] [varchar](8000) NULL,
	[res_eq_dr] [bigint] NULL,
	[res_code] [varchar](8000) NULL,
	[res_desc] [varchar](8000) NULL,
	[res_lastschedsdate] [datetime2](7) NULL,
	[res_lastschededate] [datetime2](7) NULL,
	[res_availability] [numeric](28, 6) NULL,
	[res_currnumpatin] [numeric](28, 6) NULL,
	[res_currsesssummary] [varchar](8000) NULL,
	[res_currnumpatout] [numeric](28, 6) NULL,
	[res_currloadlimit] [numeric](28, 6) NULL,
	[res_queuelen] [numeric](28, 6) NULL,
	[res_currsession_dr] [varchar](8000) NULL,
	[res_currpendappt] [numeric](28, 6) NULL,
	[res_type] [varchar](8000) NULL,
	[res_schedulerequired] [varchar](8000) NULL,
	[res_mrrequest] [varchar](8000) NULL,
	[res_operbookingmethod] [varchar](8000) NULL,
	[res_scheduleforthishospital] [varchar](8000) NULL,
	[res_refhosp_dr] [bigint] NULL,
	[res_room_dr] [bigint] NULL,
	[res_allocatedschedule] [varchar](8000) NULL,
	[res_datehold] [datetime2](7) NULL,
	[res_showinoperwb] [varchar](8000) NULL,
	[res_daysotclosed] [numeric](28, 6) NULL,
	[res_opertheatretype_dr] [bigint] NULL,
	[res_active] [varchar](8000) NULL,
	[res_dateto] [datetime2](7) NULL,
	[res_admittingrights] [varchar](8000) NULL,
	[res_ignorepubhol] [varchar](8000) NULL,
	[res_dateactivefrom] [datetime2](7) NULL,
	[res_dateactiveto] [datetime2](7) NULL,
	[res_cpclinicoptions] [varchar](8000) NULL,
	[res_cplocationno] [varchar](8000) NULL,
	[res_venue] [varchar](8000) NULL,
	[res_externalvenue] [varchar](8000) NULL,
	[res_ebooknotes] [varchar](8000) NULL,
	[res_stockloc_dr] [bigint] NULL,
	[res_wloutpatientrights] [varchar](8000) NULL,
	[res_wltriagerights] [varchar](8000) NULL,
	[res_principalcpnumber] [varchar](8000) NULL,
	[res_billingagentid] [varchar](8000) NULL,
	[res_couriercopies] [numeric](28, 6) NULL,
	[res_codetranslated] [varchar](8000) NULL,
	[res_desctranslated] [varchar](8000) NULL,
    [thread__id]   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
