﻿CREATE TABLE zraw._ccrass_group 
(
	--source: A06, CDWWork, CCRA.ss_group

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[ssgrp_rowid] [bigint] NULL,
	[ssgrp_desc] [varchar](8000) NULL,
	[ssgrp_firstmenu] [numeric](28, 6) NULL,
	[ssgrp_firstmenutype] [varchar](8000) NULL,
	[ssgrp_allowedaddordersreview] [varchar](8000) NULL,
	[ssgrp_retainordercategory] [varchar](8000) NULL,
	[ssgrp_minimizeoeupdate] [varchar](8000) NULL,
	[ssgrp_price] [varchar](8000) NULL,
	[ssgrp_displaydiagnosis] [varchar](8000) NULL,
	[ssgrp_allowdeleteepisode] [varchar](8000) NULL,
	[ssgrp_showpatientsearch] [varchar](8000) NULL,
	[ssgrp_allowbookoutsiderange] [varchar](8000) NULL,
	[ssgrp_allowedtobookor] [varchar](8000) NULL,
	[ssgrp_allowtochangefamilydoctor] [varchar](8000) NULL,
	[ssgrp_changedataafterdischarge] [varchar](8000) NULL,
	[ssgrp_allowaddstockitem] [varchar](8000) NULL,
	[ssgrp_allowtoadditemtolocportfolio] [varchar](8000) NULL,
	[ssgrp_allowtoadditemtovendportfolio] [varchar](8000) NULL,
	[ssgrp_allowtoexecorderoutsideshift] [varchar](8000) NULL,
	[ssgrp_showalllocations] [varchar](8000) NULL,
	[ssgrp_outpatloclist_dr] [bigint] NULL,
	[ssgrp_inpatloclist_dr] [bigint] NULL,
	[ssgrp_emergencyloclist_dr] [bigint] NULL,
	[ssgrp_healthpromloclist_dr] [bigint] NULL,
	[ssgrp_ordersprevepisode] [varchar](8000) NULL,
	[ssgrp_allowissuearchivemr] [varchar](8000) NULL,
	[ssgrp_showpreadmafterappoint] [varchar](8000) NULL,
	[ssgrp_showallpatientsinnwb] [varchar](8000) NULL,
	[ssgrp_warnorbookingmoveres] [varchar](8000) NULL,
	[ssgrp_nallorbookpast] [varchar](8000) NULL,
	[ssgrp_nallorbooknosess] [varchar](8000) NULL,
	[ssgrp_nallorbookna] [varchar](8000) NULL,
	[ssgrp_allowoverbookrb] [varchar](8000) NULL,
	[ssgrp_enablesystemct] [varchar](8000) NULL,
	[ssgrp_waitliststatus_dr] [bigint] NULL,
	[ssgrp_allowchangedepot] [varchar](8000) NULL,
	[ssgrp_defaultdoseequiv] [varchar](8000) NULL,
	[ssgrp_checkorderscovered] [varchar](8000) NULL,
	[ssgrp_allowtochangeagrprice] [varchar](8000) NULL,
	[ssgrp_displaydiagnprocdrg] [varchar](8000) NULL,
	[ssgrp_wardviewloclist_dr] [bigint] NULL,
	[ssgrp_wardplaceloclist_dr] [bigint] NULL,
	[ssgrp_suppresspin] [varchar](8000) NULL,
	[ssgrp_movetodefaultbed] [varchar](8000) NULL,
	[ssgrp_allowoverpayorrestrict] [varchar](8000) NULL,
	[ssgrp_allowundoappt] [varchar](8000) NULL,
	[ssgrp_allowdeletediagotherus] [varchar](8000) NULL,
	[ssgrp_allowdeletebedtransactions] [varchar](8000) NULL,
	[ssgrp_alloweditpricegr] [varchar](8000) NULL,
	[ssgrp_consreasonmandatory] [varchar](8000) NULL,
	[ssgrp_allowweblayoutmanager] [varchar](8000) NULL,
	[ssgrp_allowwebcolumnmanager] [varchar](8000) NULL,
	[ssgrp_restrictmodifdischarge] [varchar](8000) NULL,
	[ssgrp_discontinueexecorders] [varchar](8000) NULL,
	[ssgrp_joboe] [varchar](8000) NULL,
	[ssgrp_allowtochangeoestatus] [varchar](8000) NULL,
	[ssgrp_inactivitytimeout] [varchar](8000) NULL,
	[ssgrp_allowosfedit24hrs] [varchar](8000) NULL,
	[ssgrp_automeddischarge] [varchar](8000) NULL,
	[ssgrp_chkfutureappts] [varchar](8000) NULL,
	[ssgrp_notbookoutsess] [varchar](8000) NULL,
	[ssgrp_passworddaystoexpire] [numeric](28, 6) NULL,
	[ssgrp_radloclist] [bigint] NULL,
	[ssgrp_temppatloclist] [bigint] NULL,
	[ssgrp_securitylevel] [numeric](28, 6) NULL,
	[ssgrp_updateorderdetails] [varchar](8000) NULL,
	[ssgrp_waitlistloclist_dr] [bigint] NULL,
	[ssgrp_notexcloadleveloverrides] [varchar](8000) NULL,
	[ssgrp_allowviewvippatients] [varchar](8000) NULL,
	[ssgrp_dfloclist_dr] [bigint] NULL,
	[ssgrp_allowsendmsgall] [varchar](8000) NULL,
	[ssgrp_displayservicedetails] [varchar](8000) NULL,
	[ssgrp_ringwardflag] [varchar](8000) NULL,
	[ssgrp_warnfutureappt] [varchar](8000) NULL,
	[ssgrp_allowediteplogloc] [varchar](8000) NULL,
	[ssgrp_diarystarttime] [time](7) NULL,
	[ssgrp_diaryendtime] [time](7) NULL,
	[ssgrp_diaryslotlength] [numeric](28, 6) NULL,
	[ssgrp_apptautofind] [varchar](8000) NULL,
	[ssgrp_allowdiscordpackedpres] [varchar](8000) NULL,
	[ssgrp_allocateordertobatch] [varchar](8000) NULL,
	[ssgrp_allowedseesensitres] [varchar](8000) NULL,
	[ssgrp_disableaddall] [varchar](8000) NULL,
	[ssgrp_wlstatuslist_dr] [bigint] NULL,
	[ssgrp_apptpast] [varchar](8000) NULL,
	[ssgrp_restrictsearchemr] [varchar](8000) NULL,
	[ssgrp_selectallepisodesemr] [varchar](8000) NULL,
	[ssgrp_wardattendloclist_dr] [bigint] NULL,
	[ssgrp_restrictapptradorders] [varchar](8000) NULL,
	[ssgrp_clinicalloclistdr] [bigint] NULL,
	[ssgrp_restrictmrtypecurrhosp] [varchar](8000) NULL,
	[ssgrp_allowactivatevolume] [varchar](8000) NULL,
	[ssgrp_dischargeloclist] [bigint] NULL,
	[ssgrp_allowedseesensitord] [varchar](8000) NULL,
	[ssgrp_allownewmrtypespat] [varchar](8000) NULL,
	[ssgrp_mainsurgeonisnotmandot] [varchar](8000) NULL,
	[ssgrp_anmethodisntmandot] [varchar](8000) NULL,
	[ssgrp_mainanaestisntmandot] [varchar](8000) NULL,
	[ssgrp_restrictlocforgrhospitals] [varchar](8000) NULL,
	[ssgrp_cumacrossallepisodes] [varchar](8000) NULL,
	[ssgrp_cumincluderprefix] [varchar](8000) NULL,
	[ssgrp_cumrefrangeposition] [varchar](8000) NULL,
	[ssgrp_cumallowedseegraphlink] [varchar](8000) NULL,
	[ssgrp_cumnocolumns] [numeric](28, 6) NULL,
	[ssgrp_allowoverbookonslotzero] [varchar](8000) NULL,
	[ssgrp_showallergy_dss_qa] [varchar](8000) NULL,
	[ssgrp_displayqnsonalertscreen] [varchar](8000) NULL,
	[ssgrp_displayqnsonsumscreen] [varchar](8000) NULL,
	[ssgrp_ignoreorderrestrictions] [varchar](8000) NULL,
	[ssgrp_onlyoutpatunitsformyhospital] [varchar](8000) NULL,
	[ssgrp_onlyinpatunitsformyhospital] [varchar](8000) NULL,
	[ssgrp_displayoefromrbafterap] [varchar](8000) NULL,
	[ssgrp_wlauditletterdays] [numeric](28, 6) NULL,
	[ssgrp_displaypatmanactivecwb] [varchar](8000) NULL,
	[ssgrp_showonlyipunitsforwl] [varchar](8000) NULL,
	[ssgrp_allowedseesensitantib] [varchar](8000) NULL,
	[ssgrp_maxpoamount] [numeric](28, 6) NULL,
	[ssgrp_nalladdpastappt] [varchar](8000) NULL,
	[ssgrp_oploclist_dr] [bigint] NULL,
	[ssgrp_allowdiscpaidorder] [varchar](8000) NULL,
	[ssgrp_restrictwardstodepartment] [varchar](8000) NULL,
	[ssgrp_norestrictusersamegroupoe] [varchar](8000) NULL,
	[ssgrp_allowmultipleservadhoc] [varchar](8000) NULL,
	[ssgrp_nodisplayreasonstadj] [varchar](8000) NULL,
	[ssgrp_nodisplayreasonstcons] [varchar](8000) NULL,
	[ssgrp_nodisplayreasonstdisp] [varchar](8000) NULL,
	[ssgrp_disablefindstadj] [varchar](8000) NULL,
	[ssgrp_disablefindstcons] [varchar](8000) NULL,
	[ssgrp_disablefindstdisp] [varchar](8000) NULL,
	[ssgrp_alloweditwlstatustreated] [varchar](8000) NULL,
	[ssgrp_locmandatorypoinquiry] [varchar](8000) NULL,
	[ssgrp_locmandatoryposearch] [varchar](8000) NULL,
	[ssgrp_inpattransferlist_dr] [bigint] NULL,
	[ssgrp_checkapproved] [varchar](8000) NULL,
	[ssgrp_onepoforeveryvendor] [varchar](8000) NULL,
	[ssgrp_userporeferencenotmandatory] [varchar](8000) NULL,
	[ssgrp_defaultporeference_dr] [bigint] NULL,
	[ssgrp_closepatlist1patreturned] [varchar](8000) NULL,
	[ssgrp_donotupdatedoctorwithlinkedcp] [varchar](8000) NULL,
	[ssgrp_donotclearpatmanuponupdate] [varchar](8000) NULL,
	[ssgrp_oedontskipuponudfreject] [varchar](8000) NULL,
	[ssgrp_allowadmitallinpatpreadm] [varchar](8000) NULL,
	[ssgrp_dontbookoutsideotschedule] [varchar](8000) NULL,
	[ssgrp_roundingonpayment] [varchar](8000) NULL,
	[ssgrp_roundingautomatic] [varchar](8000) NULL,
	[ssgrp_cashiercustomprintrcpt] [varchar](8000) NULL,
	[ssgrp_showmic] [varchar](8000) NULL,
	[ssgrp_floorplandisplayonly] [varchar](8000) NULL,
	[ssgrp_allowbookpastguardateop] [varchar](8000) NULL,
	[ssgrp_allowbookpastguardatewl] [varchar](8000) NULL,
	[ssgrp_emrignorerestrforadm] [varchar](8000) NULL,
	[ssgrp_returnsearchlistlogonhosp] [varchar](8000) NULL,
	[ssusr_maxamountroundedfrom] [varchar](8000) NULL,
	[ssusr_maxamountroundedto] [varchar](8000) NULL,
	[ssgrp_treatmentpathwayowner] [varchar](8000) NULL,
	[ssgrp_treatmentstageowner] [varchar](8000) NULL,
	[ssgrp_breached] [varchar](8000) NULL,
	[ssgrp_addamend] [varchar](8000) NULL,
	[ssgrp_defadminstat_dr] [bigint] NULL,
	[ssgrp_offsetpast] [numeric](28, 6) NULL,
	[ssgrp_offsetfuture] [numeric](28, 6) NULL,
	[ssgrp_displayapptbooking] [varchar](8000) NULL,
	[ssgrp_datefrom] [datetime2](7) NULL,
	[ssgrp_dateto] [datetime2](7) NULL,
	[ssgrp_showantibiosensvertically] [varchar](8000) NULL,
	[ssgrp_displayparitybannerpatnotpreg] [varchar](8000) NULL,
	[ssgrp_overridedepositexpdate] [varchar](8000) NULL,
	[ssgrp_issretreversecomplete] [varchar](8000) NULL,
	[ssgrp_adjreversecomplete] [varchar](8000) NULL,
	[ssgrp_freezereversecomplete] [varchar](8000) NULL,
	[ssgrp_takecntreversecomplete] [varchar](8000) NULL,
	[ssgrp_takeenterreversecomplete] [varchar](8000) NULL,
	[ssgrp_takeadjreversecomplete] [varchar](8000) NULL,
	[ssgrp_consreversecomplete] [varchar](8000) NULL,
	[ssgrp_poreversecomplete] [varchar](8000) NULL,
	[ssgrp_recreversecomplete] [varchar](8000) NULL,
	[ssgrp_trreqreversecomplete] [varchar](8000) NULL,
	[ssgrp_transreversecomplete] [varchar](8000) NULL,
	[ssgrp_trackreversecomplete] [varchar](8000) NULL,
	[ssgrp_retreversecomplete] [varchar](8000) NULL,
	[ssgrp_stwardreversecomplete] [varchar](8000) NULL,
	[ssgrp_disreversecomplete] [varchar](8000) NULL,
	[ssgrp_showrejecttransactions] [varchar](8000) NULL,
	[ssgrp_ipfloorplandisplayonly] [varchar](8000) NULL,
	[ssgrp_otfloorplandisplayonly] [varchar](8000) NULL,
	[ssgrp_staffworkloadalertthresholds] [varchar](8000) NULL,
	[ssgrp_overridesecuritygroup_dr] [bigint] NULL,
	[ssgrp_allowedseesensittask] [varchar](8000) NULL,
	[ssgrp_pattyperestrictopd] [varchar](8000) NULL,
	[ssgrp_displaytransiconopdiarygrid] [varchar](8000) NULL,
	[ssgrp_openslotsbyopdsessroomhosp] [varchar](8000) NULL,
	[ssgrp_pattyperestrictwl] [varchar](8000) NULL,
	[ssgrp_notactnonfinanceappoi] [varchar](8000) NULL,
	[ssgrp_adjcompletedstockitemsonly] [varchar](8000) NULL,
	[ssgrp_displaysessionoflogoncp] [varchar](8000) NULL,
	[ssgrp_addclinicsshowcpgrouponly] [varchar](8000) NULL,
	[ssgrp_stockdecimalplaces] [numeric](28, 6) NULL,
	[ssgrp_allowarchiveproblems] [varchar](8000) NULL,
	[ssgrp_owner] [varchar](8000) NULL,
	[ssgrp_pleasereuse1] [varchar](8000) NULL,
	[ssgrp_pleasereuse2] [varchar](8000) NULL,
	[ssgrp_pleasereuse3] [varchar](8000) NULL,
	[ssgrp_allowtomodfixedrecipeadmix] [varchar](8000) NULL,
	[ssgrp_allowtocreateadhocadmixture] [varchar](8000) NULL,
	[ssgrp_allowtomodifyadmixture] [varchar](8000) NULL,
	[ssgrp_pleasereuse4] [varchar](8000) NULL,
	[ssgrp_gp] [varchar](8000) NULL,
	[ssgrp_alloweditotorders] [varchar](8000) NULL,
	[ssgrp_notloadorderdetails] [varchar](8000) NULL,
	[ssgrp_allowtomodifyadmixsolvent] [varchar](8000) NULL,
	[ssgrp_cartautosave] [varchar](8000) NULL,
	[ssgrp_cartexpirydays] [bigint] NULL,
	[ssgrp_cartexpiryhours] [bigint] NULL,
	[ssgrp_purpose] [varchar](8000) NULL,
	[ssgrp_labqueues] [varchar](8000) NULL,
	[ssgrp_allownursemanufacturing] [varchar](8000) NULL,
	[ssgrp_allowtomodadmixsolventroutes] [varchar](8000) NULL,
	[ssgrp_recordschedbrief] [varchar](8000) NULL,
	[ssgrp_overrideaccessprofile_dr] [bigint] NULL,
	[ssgrp_allowrescadmafterlateadm] [varchar](8000) NULL,
	[ssgrp_allowapptchangeorddate] [varchar](8000) NULL,
	[ssgrp_allocateanypatienttype] [varchar](8000) NULL,
	[ssgrp_pattyperestrictpf] [varchar](8000) NULL,
	[ssgrp_nototopbookoutsess] [varchar](8000) NULL,
	[ssgrp_candeletelockedacnentries] [varchar](8000) NULL,
	[ssgrp_requiresecondsigncn] [varchar](8000) NULL,
	[ssgrp_caneditdeletepreauth] [varchar](8000) NULL,
	[ssgrp_nallowentservtopkgwaprvstat] [varchar](8000) NULL,
    [thread__id]   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
