﻿CREATE TABLE zraw._ccrass_user 
(
	--source: A06, CDWWork, CCRA.ss_user

	--fields
    [station__no]  VARCHAR (30)    NOT NULL,
	[ssusr_rowid] [bigint] NULL,
	[ssusr_initials] [varchar](8000) NULL,
	[ssusr_name] [varchar](8000) NULL,
	[ssusr_password] [varchar](8000) NULL,
	[ssusr_defaultdept_dr] [varchar](8000) NULL,
	[ssusr_isthisdoctor] [varchar](8000) NULL,
	[ssusr_usedeptasdefault] [varchar](8000) NULL,
	[ssusr_ctpcp_dr] [varchar](8000) NULL,
	[ssusr_group] [bigint] NULL,
	[ssusr_changelocation] [varchar](8000) NULL,
	[ssusr_emailname] [varchar](8000) NULL,
	[ssusr_deptforemrlists] [bigint] NULL,
	[ssusr_ctlan_dr] [bigint] NULL,
	[ssusr_careprov_dr] [varchar](8000) NULL,
	[ssusr_pin] [varchar](8000) NULL,
	[ssusr_privilegestock] [varchar](8000) NULL,
	[ssusr_retainordercategory] [varchar](8000) NULL,
	[ssusr_lastpaadm_dr] [bigint] NULL,
	[ssusr_active] [varchar](8000) NULL,
	[ssusr_drgtariffvisible] [varchar](8000) NULL,
	[ssusr_billsequence_dr] [bigint] NULL,
	[ssusr_searchalladm] [varchar](8000) NULL,
	[ssusr_inpatient] [varchar](8000) NULL,
	[ssusr_outpatient] [varchar](8000) NULL,
	[ssusr_emergency] [varchar](8000) NULL,
	[ssusr_ownpatientsonly] [varchar](8000) NULL,
	[ssusr_loclist_dr] [bigint] NULL,
	[ssusr_autoauthorise] [varchar](8000) NULL,
	[ssusr_defaultarcim_dr] [varchar](8000) NULL,
	[ssusr_defrbdepartment_dr] [bigint] NULL,
	[ssusr_defrbresource_dr] [bigint] NULL,
	[ssusr_defrbservice_dr] [bigint] NULL,
	[ssusr_defepisode] [varchar](8000) NULL,
	[ssusr_linktobedmanagement] [varchar](8000) NULL,
	[ssusr_usedefaultepisdep] [varchar](8000) NULL,
	[ssusr_warnorbookingmoveres] [varchar](8000) NULL,
	[ssusr_nallorbookpast] [varchar](8000) NULL,
	[ssusr_nallorbooknosess] [varchar](8000) NULL,
	[ssusr_nallorbookna] [varchar](8000) NULL,
	[ssusr_alwaysusesoundex] [varchar](8000) NULL,
	[ssusr_rbnumberofrows] [numeric](28, 6) NULL,
	[ssusr_multiselectrows] [numeric](28, 6) NULL,
	[ssusr_passworddate] [datetime2](7) NULL,
	[ssusr_datelastlogin] [datetime2](7) NULL,
	[ssusr_timelastlogin] [time](7) NULL,
	[ssusr_datefromtoday] [varchar](8000) NULL,
	[ssusr_datetotoday] [varchar](8000) NULL,
	[ssusr_defrefhosp_dr] [bigint] NULL,
	[ssusr_resentrybuttons] [varchar](8000) NULL,
	[ssusr_defaultresentrybuttons] [varchar](8000) NULL,
	[ssusr_defdateinoe] [varchar](8000) NULL,
	[ssusr_defdateindisch] [varchar](8000) NULL,
	[ssusr_disableemrpreadm] [varchar](8000) NULL,
	[ssusr_searchprevadm] [varchar](8000) NULL,
	[ssusr_noorders] [varchar](8000) NULL,
	[ssusr_noemr] [varchar](8000) NULL,
	[ssusr_nodiagnosis] [varchar](8000) NULL,
	[ssusr_websecurityaccess] [varchar](8000) NULL,
	[ssusr_epissubtype_dr] [bigint] NULL,
	[ssusr_notreadresults] [varchar](8000) NULL,
	[ssusr_restrictmodifdischarge] [varchar](8000) NULL,
	[ssusr_booked] [varchar](8000) NULL,
	[ssusr_admitted] [varchar](8000) NULL,
	[ssusr_discharged] [varchar](8000) NULL,
	[ssusr_defaultcareprov] [varchar](8000) NULL,
	[ssusr_defaultlocation] [varchar](8000) NULL,
	[ssusr_passwordchanged] [varchar](8000) NULL,
	[ssusr_title] [varchar](8000) NULL,
	[ssusr_surname] [varchar](8000) NULL,
	[ssusr_givenname] [varchar](8000) NULL,
	[ssusr_othername] [varchar](8000) NULL,
	[ssusr_departmenthead] [varchar](8000) NULL,
	[ssusr_payrollnumber] [numeric](28, 6) NULL,
	[ssusr_stafftype_dr] [bigint] NULL,
	[ssusr_comments] [varchar](8000) NULL,
	[ssusr_lastupdateuser_dr] [bigint] NULL,
	[ssusr_lastupdatedate] [datetime2](7) NULL,
	[ssusr_lastupdatetime] [time](7) NULL,
	[ssusr_doctorflag] [varchar](8000) NULL,
	[ssusr_nurseflag] [varchar](8000) NULL,
	[ssusr_securitymsgread] [varchar](8000) NULL,
	[ssusr_securitymessage] [varchar](8000) NULL,
	[ssusr_loginid] [varchar](8000) NULL,
	[ssusr_loginround] [varchar](8000) NULL,
	[ssusr_defallresources] [varchar](8000) NULL,
	[ssusr_defapptslots] [varchar](8000) NULL,
	[ssusr_defusestarttimeeachday] [varchar](8000) NULL,
	[ssusr_defappointmeth_dr] [bigint] NULL,
	[ssusr_title_dr] [bigint] NULL,
	[ssusr_registrationnumber] [varchar](8000) NULL,
	[ssusr_printsecuritylevel] [varchar](8000) NULL,
	[ssusr_lastupdateuserhosp_dr] [bigint] NULL,
	[ssusr_changelocwithinloghosp] [varchar](8000) NULL,
	[ssusr_notallowtooverbook] [varchar](8000) NULL,
	[ssusr_markinactivedate] [datetime2](7) NULL,
	[ssusr_markinactivetime] [time](7) NULL,
	[ssusr_markinactiveuser_dr] [bigint] NULL,
	[ssusr_datefrom] [datetime2](7) NULL,
	[ssusr_dateto] [datetime2](7) NULL,
	[ssusr_hospital_dr] [bigint] NULL,
	[ssusr_mobile] [varchar](8000) NULL,
	[ssusr_pager] [varchar](8000) NULL,
	[ssusr_email] [varchar](8000) NULL,
	[ssusr_locationnotmandatoryonresentry] [varchar](8000) NULL,
	[ssusr_timesincelastappt] [numeric](28, 6) NULL,
	[ssusr_timesinceperiod] [varchar](8000) NULL,
	[ssusr_name1] [varchar](8000) NULL,
	[ssusr_name2] [varchar](8000) NULL,
	[ssusr_name3] [varchar](8000) NULL,
	[ssusr_iepath] [varchar](8000) NULL,
	[ssusr_externaluseridentifier] [varchar](8000) NULL,
	[ssusr_cashiershift] [varchar](8000) NULL,
	[ssusr_biokey] [varchar](8000) NULL,
	[ssusr_biomode] [varchar](8000) NULL,
	[ssusr_disclaimersigned] [datetime2](7) NULL,
	[ssusr_createdby_dr] [bigint] NULL,
	[ssusr_createddate] [datetime2](7) NULL,
	[ssusr_createdtime] [time](7) NULL,
	[ssusr_yesno1] [varchar](8000) NULL,
	[ssusr_yesno2] [varchar](8000) NULL,
	[ssusr_yesno3] [varchar](8000) NULL,
	[ssusr_yesno4] [varchar](8000) NULL,
	[ssusr_yesno5] [varchar](8000) NULL,
	[ssusr_freetext1] [varchar](8000) NULL,
	[ssusr_freetext2] [varchar](8000) NULL,
	[ssusr_freetext3] [varchar](8000) NULL,
	[ssusr_allowweblayoutmanager] [varchar](8000) NULL,
	[ssusr_allowwebcolumnmanager] [varchar](8000) NULL,
	[ssusr_externalid2] [varchar](8000) NULL,
	[ssusr_treatmentpathwayowner] [varchar](8000) NULL,
	[ssusr_treatmentstageowner] [varchar](8000) NULL,
	[ssusr_signature] [varchar](max) NULL,
	[ssusr_sigcertif] [varchar](max) NULL,
	[ssusr_enableapi] [varchar](8000) NULL,
	[ssusr_sigcertiftype] [varchar](8000) NULL,
	[ssusr_segment_dr] [bigint] NULL,
	[ssusr_patchinguser] [varchar](8000) NULL,
	[ssusr_temporarilydisabled] [varchar](8000) NULL,
	[ssusr_datetowheninactive] [datetime2](7) NULL,
	[ssusr_profile] [bigint] NULL,
	[ssusr_allowarchiveproblems] [varchar](8000) NULL,
	[ssusr_allowbookpastttgdateop] [varchar](8000) NULL,
	[ssusr_allowbookpastttgdatewl] [varchar](8000) NULL,
	[ssusr_coder] [varchar](8000) NULL,
	[ssusr_prefoverridelevel] [varchar](8000) NULL,
	[ssusr_purpose] [varchar](8000) NULL,
	[ssusr_allowdeletecodetables] [varchar](8000) NULL,
	[ssusr_ssorequired] [varchar](8000) NULL,
	[ssusr_ssotest] [varchar](8000) NULL,
	[ssusr_passwordalgorithm] [varchar](8000) NULL,
	[ssusr_passwordsalt] [varchar](8000) NULL,
	[ssusr_mainusercareprovider] [varchar](8000) NULL,
	[ssusr_temppassword] [varchar](8000) NULL,
    [thread__id]   NUMERIC (18,0)    NOT NULL,
 	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
