﻿CREATE TABLE zraw._dimActivityType
(
	--source: A01/SQL52, SPV.Dim.ActivityType

	--fields
	ActivityTypeSID			int   NOT NULL,
	ActivityTypeIEN			varchar (50) NOT NULL,
	Sta3n					smallint   NOT NULL,
	ActivityType			varchar (100) NULL,
	OrderStatusIEN			varchar (50) NULL,
	OrderStatusSID			int   NULL,
	HL7ConsultsControlCode	varchar (50) NULL,
	HL7CPRSControlCode		varchar (50) NULL,
	HL7Table38OrderStatus	varchar (50) NULL,
	ETLBatchID			bigint   NULL,
	OpCode					char (1) NOT NULL,
	VistaCreateDate			datetime   NULL,
	VistaEditDate			datetime   NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key

	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
