﻿CREATE TABLE zraw._dimClinicalProcedure
(
	--source: A01/SQL52, SPV.Dim.ClinicalProcedure

	--fields
	ClinicalProcedureSID	int   NOT NULL,
	ClinicalProcedureIEN	varchar (50) NOT NULL,
	Sta3n					smallint   NOT NULL,
	ProcedureGUID			varchar (50) NULL,
	ProcedureName			varchar (50) NULL,
	ProcedureDescription	varchar (255) NULL,
	TreatingSpecialtyIEN	varchar (50) NULL,
	TreatingSpecialtySID	int   NULL,
	TIUDocumentDefinitionIEN	varchar (50) NULL,
	TIUDocumentDefinitionSID	int   NULL,
	HospitalLocationIEN		varchar (50) NULL,
	HospitalLocationSID		int   NULL,
	ProcessingApplication	varchar (50) NULL,
	ProcessedResult			varchar (50) NULL,
	ExternalDataDirectory	varchar (255) NULL,
	RequireExternalDataFlag	char (1) NULL,
	AutoSubmitFlag			char (1) NULL,
	ActiveConsultFlag		char (1) NULL,
	HighVolumeFlag			char (1) NULL,
	ExtractBatchID				int   NULL,
	OpCode					char (1) NOT NULL,
	VistaCreateDate			datetime   NULL,
	VistaEditDate			datetime   NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
