﻿CREATE TABLE zraw._dimSta3n
(

	--source: A01/SQL52, SPV.Dim.Sta3N

	--fields

	Sta3n			smallint not null,
	Sta3nName		varchar(50) null,
	VISN			smallint null, --VISNFY17--aliasing this so we don't have to continually mod our T&L code
	Active			char(1) null,
	NextSta3n		int null,
	TimeZone		varchar(100) null,
	SiteCode		varchar(100) null,
	Region			smallint null,-- RegionFY15--aliasing this so we don't have to continually mod our T&L code
	DistrictName	varchar(100) null,--DistrictNameFY17--aliasing this so we don't have to continually mod our T&L code
	DistrictNumber	varchar(100) null, --DistrictNumberFY17--aliasing this so we don't have to continually mod our T&L code
	City			varchar(100) null,
	StateSID		int null,
	[State]			varchar(30) NULL,		--comes from Dim.States, not Dim.Sta3n
	[StateAbbrev]	varchar(5) NULL,		--comes from Dim.States, not Dim.Sta3n
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	StateID			tinyint NULL,
	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE) --shouldn't need a compressed table with so little data

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
