﻿CREATE TABLE zraw._dimStopCode
(
	--source: A01/SQL52, SPV.Dim.StopCode

	--fields
	StopCodeSID				int     NOT NULL,
    StopCodeIEN				varchar(50)   NOT NULL,
    Sta3n					smallint     NULL,
    StopCode				smallint     NULL,
    StopCodeName			varchar(50)     NULL,
    InactiveDate			date     NULL,
    ConvertToStopCodeIEN	varchar(50)     NULL,
    CostDistributionCenter varchar(50)     NULL,
    RestrictionType			char(1)     NULL,
    RestrictionDate			date     NULL,
    ETLBatchID				int     NULL,
    OpCode					char(1)     NULL,
    VistaCreateDate			datetime     NULL,
    VistaEditDate			datetime     NULL,
	ExtractBatchID			BIGINT       NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	RecordStatusID			tinyint NULL,
	StationID				smallint NULL
	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
