﻿CREATE TABLE zraw._fbcshcfascore
(
	--source: A06, CDWWork, FBCS.hcfascore

	--fields
	station__no			VARCHAR(30) NOT NULL,
	hcfaid				BIGINT,
	id					BIGINT,
	scorercvddtstamp	DATETIME2(7),
	rownumber			BIGINT,
	feeddate			DATETIME2(7),
	databaseid			VARCHAR(10),
	stationid			VARCHAR(10),
	lineid				BIGINT,
	pay					VARCHAR(5),
	score				BIGINT,
	scoredate			DATETIME2(7),
	reasoncode			VARCHAR(50),
	reasondescription	VARCHAR(8000),
	hcfalines_id		BIGINT,
	thread__id			NUMERIC(18,0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key

	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
