﻿CREATE TABLE zraw._fbcsstatuses
(
	--source: A06, CDWWork, FBCS.statuses

	--fields
	station__no			VARCHAR(30)	NOT NULL,
	id					BIGINT,
	[status]			VARCHAR(50),
	abbreviation		VARCHAR(5),
	thread__id			NUMERIC(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs

	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	--WITH (DATA_COMPRESSION = PAGE)			--less than 10,000 rows, don't need compression

GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
