﻿CREATE TABLE zraw._fbcsub92
(
	--source: A06, CDWWork, FBCS.ub92

	--fields
    [station__no]                     VARCHAR(30) NOT NULL,
    [id]                              BIGINT          NULL,
    [imageid]                         BIGINT          NULL,
    [dtstamp]                         DATETIME2(7)   NULL,
    [verified]                        BIGINT          NULL,
    [verifiedby]                      BIGINT          NULL,
    [verifieddtstamp]                 DATETIME2(7)   NULL,
    [rejected]                        BIGINT          NULL,
    [imported]                        BIGINT          NULL,
    [importednote]                    VARCHAR(8000)  NULL,
    [importedby]                      BIGINT          NULL,
    [importeddtstamp]                 DATETIME2(7)   NULL,
    [printedletter]                   BIGINT          NULL,
    [printedletterdtstamp]            DATETIME2(7)   NULL,
    [printedby]                       BIGINT          NULL,
    [box1]                            VARCHAR(8000)  NULL,
    [box3]                            VARCHAR(8000)  NULL,
    [box5]                            VARCHAR(8000)  NULL,
    [box6from]                        DATETIME2(7)   NULL,
    [box6to]                          DATETIME2(7)   NULL,
    [patientname]                     VARCHAR(8000)  NULL,
    [dob]                             DATETIME2(7)   NULL,
    [sex]                             VARCHAR(8000)  NULL,
    [box60a]                          VARCHAR(8000)  NULL,
    [box60b]                          VARCHAR(8000)  NULL,
    [box60c]                          VARCHAR(8000)  NULL,
    [diag1]                           VARCHAR(8000)  NULL,
    [attendingphysicianid]            VARCHAR(8000)  NULL,
    [attendingphysicianname]          VARCHAR(8000)  NULL,
    [creationdate]                    VARCHAR(8000)  NULL,
    [offx]                            INT             NULL,
    [offy]                            INT             NULL,
    [diag2]                           VARCHAR(8000)  NULL,
    [diag3]                           VARCHAR(8000)  NULL,
    [diag4]                           VARCHAR(8000)  NULL,
    [diag5]                           VARCHAR(8000)  NULL,
    [diag6]                           VARCHAR(8000)  NULL,
    [diag7]                           VARCHAR(8000)  NULL,
    [diag8]                           VARCHAR(8000)  NULL,
    [diag9]                           VARCHAR(8000)  NULL,
    [diag10]                          VARCHAR(8000)  NULL,
    [reasonid]                        BIGINT          NULL,
    [eci]                             VARCHAR(8000)  NULL,
    [documentsattached]               INT             NULL,
    [box4]                            VARCHAR(8000)  NULL,
    [taxidclean]                      VARCHAR(8000)  NULL,
    [status]                          VARCHAR(8000)  NULL,
    [suspensionreasonid]              VARCHAR(8000)  NULL,
    [suspendednote]                   VARCHAR(8000)  NULL,
    [rejectednote]                    VARCHAR(8000)  NULL,
    [scrubbed]                        INT             NULL,
    [facility]                        BIGINT          NULL,
    [verificationinprogressdtstamp]   DATETIME2(7)   NULL,
    [vafcp]                           VARCHAR(8000)  NULL,
    [vafb]                            VARCHAR(8000)  NULL,
    [vain]                            VARCHAR(8000)  NULL,
    [vaon]                            VARCHAR(8000)  NULL,
    [authnum]                         VARCHAR(8000)  NULL,
    [box1b]                           VARCHAR(8000)  NULL,
    [preimportedby]                   BIGINT          NULL,
    [preimporteddtstamp]              DATETIME2(7)   NULL,
    [vistapatkey]                     BIGINT          NULL,
    [vistaauthkey]                    BIGINT          NULL,
    [editactionstaken]                INT             NULL,
    [inpatient]                       INT             NULL,
    [healthnetrepricedamt]            NUMERIC(28, 6) NULL,
    [repricedstatus]                  VARCHAR(8000)  NULL,
    [contractclaim]                   INT             NULL,
    [jobnumber]                       INT             NULL,
    [providerid]                      BIGINT          NULL,
    [varepricedamount]                NUMERIC(28, 6) NULL,
    [Approveddays]                    INT             NULL,
    [inpatientamtpaid]                NUMERIC(28, 6) NULL,
    [claimentrytype]                  VARCHAR(8000)  NULL,
    [batchid]                         BIGINT          NULL,
    [sc_conditions]                   VARCHAR(8000)  NULL,
    [billable_insurance]              VARCHAR(8000)  NULL,
    [patienttypeid]                   BIGINT          NULL,
    [diag11]                          VARCHAR(8000)  NULL,
    [diag12]                          VARCHAR(8000)  NULL,
    [diag13]                          VARCHAR(8000)  NULL,
    [diag14]                          VARCHAR(8000)  NULL,
    [diag15]                          VARCHAR(8000)  NULL,
    [diag16]                          VARCHAR(8000)  NULL,
    [diag17]                          VARCHAR(8000)  NULL,
    [diag18]                          VARCHAR(8000)  NULL,
    [admissiondate]                   DATETIME2(7)   NULL,
    [conditioncode1]                  VARCHAR(8000)  NULL,
    [conditioncode2]                  VARCHAR(8000)  NULL,
    [conditioncode3]                  VARCHAR(8000)  NULL,
    [conditioncode4]                  VARCHAR(8000)  NULL,
    [conditioncode5]                  VARCHAR(8000)  NULL,
    [conditioncode6]                  VARCHAR(8000)  NULL,
    [conditioncode7]                  VARCHAR(8000)  NULL,
    [conditioncode8]                  VARCHAR(8000)  NULL,
    [conditioncode9]                  VARCHAR(8000)  NULL,
    [conditioncode10]                 VARCHAR(8000)  NULL,
    [conditioncode11]                 VARCHAR(8000)  NULL,
    [accidentstate]                   VARCHAR(8000)  NULL,
    [payernamea]                      VARCHAR(8000)  NULL,
    [payernameb]                      VARCHAR(8000)  NULL,
    [payernamec]                      VARCHAR(8000)  NULL,
    [healthplanida]                   VARCHAR(8000)  NULL,
    [healthplanidb]                   VARCHAR(8000)  NULL,
    [healthplanidc]                   VARCHAR(8000)  NULL,
    [relinfoa]                        VARCHAR(8000)  NULL,
    [relinfob]                        VARCHAR(8000)  NULL,
    [relinfoc]                        VARCHAR(8000)  NULL,
    [asssignmentofbenefitsa]          VARCHAR(8000)  NULL,
    [asssignmentofbenefitsb]          VARCHAR(8000)  NULL,
    [asssignmentofbenefitsc]          VARCHAR(8000)  NULL,
    [priorpaymentsa]                  NUMERIC(28, 6) NULL,
    [priorpaymentsb]                  NUMERIC(28, 6) NULL,
    [priorpaymentsc]                  NUMERIC(28, 6) NULL,
    [estamountduea]                   NUMERIC(28, 6) NULL,
    [estamountdueb]                   NUMERIC(28, 6) NULL,
    [estamountduec]                   NUMERIC(28, 6) NULL,
    [providernpi]                     VARCHAR(8000)  NULL,
    [insuredsnamea]                   VARCHAR(8000)  NULL,
    [insuredsnameb]                   VARCHAR(8000)  NULL,
    [insuredsnamec]                   VARCHAR(8000)  NULL,
    [patientsrelationshipa]           VARCHAR(8000)  NULL,
    [patientsrelationshipb]           VARCHAR(8000)  NULL,
    [patientsrelationshipc]           VARCHAR(8000)  NULL,
    [insureduniqueida]                VARCHAR(8000)  NULL,
    [insureduniqueidb]                VARCHAR(8000)  NULL,
    [insureduniqueidc]                VARCHAR(8000)  NULL,
    [groupnamea]                      VARCHAR(8000)  NULL,
    [groupnameb]                      VARCHAR(8000)  NULL,
    [groupnamec]                      VARCHAR(8000)  NULL,
    [insurancegroupnoa]               VARCHAR(8000)  NULL,
    [insurancegroupnob]               VARCHAR(8000)  NULL,
    [insurancegroupnoc]               VARCHAR(8000)  NULL,
    [admittingdiag]                   VARCHAR(8000)  NULL,
    [pps_code]                        VARCHAR(8000)  NULL,
    [prinproccode]                    VARCHAR(8000)  NULL,
    [prinprocdate]                    DATETIME2(7)   NULL,
    [otherproccodea]                  VARCHAR(8000)  NULL,
    [otherprocdatea]                  DATETIME2(7)   NULL,
    [otherproccodeb]                  VARCHAR(8000)  NULL,
    [otherprocdateb]                  DATETIME2(7)   NULL,
    [otherproccodec]                  VARCHAR(8000)  NULL,
    [otherprocdatec]                  DATETIME2(7)   NULL,
    [otherproccoded]                  VARCHAR(8000)  NULL,
    [otherprocdated]                  DATETIME2(7)   NULL,
    [otherproccodee]                  VARCHAR(8000)  NULL,
    [otherprocdatee]                  DATETIME2(7)   NULL,
    [attendingphysiciannpi]           VARCHAR(8000)  NULL,
    [operationphysiciannpi]           VARCHAR(8000)  NULL,
    [operatingphysicianname]          VARCHAR(8000)  NULL,
    [otherphysiciannpia]              VARCHAR(8000)  NULL,
    [otherphysiciannamea]             VARCHAR(8000)  NULL,
    [otherphysiciannpib]              VARCHAR(8000)  NULL,
    [otherphysiciannameb]             VARCHAR(8000)  NULL,
    [paymentfacilityid]               BIGINT          NULL,
    [admissiontype]                   VARCHAR(8000)  NULL,
    [admissionsrc]                    VARCHAR(8000)  NULL,
    [patientssn]                      VARCHAR(8000)  NULL,
    [repricersreferenceid]            VARCHAR(8000)  NULL,
    [healthnetproductcode]            INT             NULL,
    [totalcharges]                    NUMERIC(28, 6) NULL,
    [ip_alos]                         NUMERIC(28, 6) NULL,
    [ip_Approvedfrom]                 DATETIME2(7)   NULL,
    [ip_Approvedto]                   DATETIME2(7)   NULL,
    [ip_drgnumber]                    BIGINT          NULL,
    [ip_drgprice]                     NUMERIC(28, 6) NULL,
    [ip_percentdrg]                   NUMERIC(28, 6) NULL,
    [ip_Disapprovedfrom]              DATETIME2(7)   NULL,
    [ip_Disapprovedto]                DATETIME2(7)   NULL,
    [ip_Disapprovedreasons]           VARCHAR(8000)  NULL,
    [ip_priceperday]                  NUMERIC(28, 6) NULL,
    [ip_numDisapprovedda]             NUMERIC(28, 6) NULL,
    [ip_perdiem]                      NUMERIC(28, 6) NULL,
    [edifacilitytorouteto]            VARCHAR(50)    NULL,
    [hero_claim_flag]                 CHAR(1)        NULL,
    [edibillingprov]                  VARCHAR(2500)  NULL,
    [edirenderingprov]                VARCHAR(2500)  NULL,
    [hacedi_id]                       VARCHAR(8000)  NULL,
    [fpps_id]                         VARCHAR(255)   NULL,
    [hacediupdatesent]                BIGINT          NULL,
    [dtreopened]                      DATETIME2(7)   NULL,
    [reopeneduser]                    BIGINT          NULL,
    [reopenedreason]                  VARCHAR(8000)  NULL,
    [sc_connected]                    INT             NULL,
    [pos]                             VARCHAR(50)    NULL,
    [totalsc]                         VARCHAR(8000)  NULL,
    [meansteststatus]                 VARCHAR(8000)  NULL,
    [dischargestatus]                 VARCHAR(8000)  NULL,
    [ip_drgweight]                    NUMERIC(28, 6) NULL,
    [dtsenttopayment]                 DATETIME2(7)   NULL,
    [dtreturnedfrompayment]           DATETIME2(7)   NULL,
    [primaryeligibility]              VARCHAR(500)   NULL,
    [previousimportedby]              BIGINT          NULL,
    [previouspreimportedby]           BIGINT          NULL,
    [admissionreasonid]               BIGINT          NULL,
    [dischargereasonid]               BIGINT          NULL,
    [senttopaymentby]                 BIGINT          NULL,
    [checknumber]                     VARCHAR(50)    NULL,
    [voucherdate]                     DATETIME2(7)   NULL,
    [newocrmethod]                    INT             NULL,
    [on30dayhold]                     INT             NULL,
    [taxidoverride]                   INT             NULL,
    [claimmemo]                       VARCHAR(255)   NULL,
    [bwclaim]                         INT             NULL,
    [wrongclaimtype]                  INT             NULL,
    [verificationinprogressguid]      VARCHAR(50)    NULL,
    [senttocalculate]                 INT             NULL,
    [dtcalculated]                    DATETIME2(7)   NULL,
    [dirty]                           INT             NULL,
    [lastcalcdjobnumber]              VARCHAR(100)   NULL,
    [diag19]                          VARCHAR(8000)  NULL,
    [diag20]                          VARCHAR(8000)  NULL,
    [diag21]                          VARCHAR(8000)  NULL,
    [diag22]                          VARCHAR(8000)  NULL,
    [diag23]                          VARCHAR(8000)  NULL,
    [diag24]                          VARCHAR(8000)  NULL,
    [diag25]                          VARCHAR(8000)  NULL,
    [diag1poa]                        VARCHAR(8000)  NULL,
    [diag2poa]                        VARCHAR(8000)  NULL,
    [diag3poa]                        VARCHAR(8000)  NULL,
    [diag4poa]                        VARCHAR(8000)  NULL,
    [diag5poa]                        VARCHAR(8000)  NULL,
    [diag6poa]                        VARCHAR(8000)  NULL,
    [diag7poa]                        VARCHAR(8000)  NULL,
    [diag8poa]                        VARCHAR(8000)  NULL,
    [diag9poa]                        VARCHAR(8000)  NULL,
    [diag10poa]                       VARCHAR(8000)  NULL,
    [diag11poa]                       VARCHAR(8000)  NULL,
    [diag12poa]                       VARCHAR(8000)  NULL,
    [diag13poa]                       VARCHAR(8000)  NULL,
    [diag14poa]                       VARCHAR(8000)  NULL,
    [diag15poa]                       VARCHAR(8000)  NULL,
    [diag16poa]                       VARCHAR(8000)  NULL,
    [diag17poa]                       VARCHAR(8000)  NULL,
    [diag18poa]                       VARCHAR(8000)  NULL,
    [diag19poa]                       VARCHAR(8000)  NULL,
    [diag20poa]                       VARCHAR(8000)  NULL,
    [diag21poa]                       VARCHAR(8000)  NULL,
    [diag22poa]                       VARCHAR(8000)  NULL,
    [diag23poa]                       VARCHAR(8000)  NULL,
    [diag24poa]                       VARCHAR(8000)  NULL,
    [diag25poa]                       VARCHAR(8000)  NULL,
    [occcode_box31a]                  VARCHAR(8000)  NULL,
    [occdate_box31a]                  DATETIME2(7)   NULL,
    [occcode_box31b]                  VARCHAR(8000)  NULL,
    [occdate_box31b]                  DATETIME2(7)   NULL,
    [occcode_box32a]                  VARCHAR(8000)  NULL,
    [occdate_box32a]                  DATETIME2(7)   NULL,
    [occcode_box32b]                  VARCHAR(8000)  NULL,
    [occdate_box32b]                  DATETIME2(7)   NULL,
    [occcode_box33a]                  VARCHAR(8000)  NULL,
    [occdate_box33a]                  DATETIME2(7)   NULL,
    [occcode_box33b]                  VARCHAR(8000)  NULL,
    [occdate_box33b]                  DATETIME2(7)   NULL,
    [occcode_box34a]                  VARCHAR(8000)  NULL,
    [occdate_box34a]                  DATETIME2(7)   NULL,
    [occcode_box34b]                  VARCHAR(8000)  NULL,
    [occdate_box34b]                  DATETIME2(7)   NULL,
    [occspancode_box35a]              VARCHAR(8000)  NULL,
    [occspanfrom_box35a]              DATETIME2(7)   NULL,
    [occspanthrough_box35a]           DATETIME2(7)   NULL,
    [occspancode_box35b]              VARCHAR(8000)  NULL,
    [occspanfrom_box35b]              DATETIME2(7)   NULL,
    [occspanthrough_box35b]           DATETIME2(7)   NULL,
    [occspancode_box36a]              VARCHAR(8000)  NULL,
    [occspanfrom_box36a]              DATETIME2(7)   NULL,
    [occspanthrough_box36a]           DATETIME2(7)   NULL,
    [occspancode_box36b]              VARCHAR(8000)  NULL,
    [occspanfrom_box36b]              DATETIME2(7)   NULL,
    [occspanthrough_box36b]           DATETIME2(7)   NULL,
    [valuecode_box39a]                VARCHAR(8000)  NULL,
    [valuecodeamt_box39a]             VARCHAR(8000)  NULL,
    [valuecode_box39b]                VARCHAR(8000)  NULL,
    [valuecodeamt_box39b]             VARCHAR(8000)  NULL,
    [valuecode_box39c]                VARCHAR(8000)  NULL,
    [valuecodeamt_box39c]             VARCHAR(8000)  NULL,
    [valuecode_box39d]                VARCHAR(8000)  NULL,
    [valuecodeamt_box39d]             VARCHAR(8000)  NULL,
    [valuecode_box40a]                VARCHAR(8000)  NULL,
    [valuecodeamt_box40a]             VARCHAR(8000)  NULL,
    [valuecode_box40b]                VARCHAR(8000)  NULL,
    [valuecodeamt_box40b]             VARCHAR(8000)  NULL,
    [valuecode_box40c]                VARCHAR(8000)  NULL,
    [valuecodeamt_box40c]             VARCHAR(8000)  NULL,
    [valuecode_box40d]                VARCHAR(8000)  NULL,
    [valuecodeamt_box40d]             VARCHAR(8000)  NULL,
    [valuecode_box41a]                VARCHAR(8000)  NULL,
    [valuecodeamt_box41a]             VARCHAR(8000)  NULL,
    [valuecode_box41b]                VARCHAR(8000)  NULL,
    [valuecodeamt_box41b]             VARCHAR(8000)  NULL,
    [valuecode_box41c]                VARCHAR(8000)  NULL,
    [valuecodeamt_box41c]             VARCHAR(8000)  NULL,
    [valuecode_box41d]                VARCHAR(8000)  NULL,
    [valuecodeamt_box41d]             VARCHAR(8000)  NULL,
    [ocrcompleted]                    INT             NULL,
    [otherproccodef]                  VARCHAR(8000)  NULL,
    [otherproccodeg]                  VARCHAR(8000)  NULL,
    [otherproccodeh]                  VARCHAR(8000)  NULL,
    [otherproccodei]                  VARCHAR(8000)  NULL,
    [otherproccodej]                  VARCHAR(8000)  NULL,
    [otherproccodek]                  VARCHAR(8000)  NULL,
    [otherproccodel]                  VARCHAR(8000)  NULL,
    [otherproccodem]                  VARCHAR(8000)  NULL,
    [otherproccoden]                  VARCHAR(8000)  NULL,
    [otherproccodeo]                  VARCHAR(8000)  NULL,
    [otherproccodep]                  VARCHAR(8000)  NULL,
    [otherproccodeq]                  VARCHAR(8000)  NULL,
    [otherproccoder]                  VARCHAR(8000)  NULL,
    [otherproccodes]                  VARCHAR(8000)  NULL,
    [otherproccodet]                  VARCHAR(8000)  NULL,
    [otherproccodeu]                  VARCHAR(8000)  NULL,
    [otherproccodev]                  VARCHAR(8000)  NULL,
    [otherproccodew]                  VARCHAR(8000)  NULL,
    [otherproccodex]                  VARCHAR(8000)  NULL,
    [otherproccodey]                  VARCHAR(8000)  NULL,
    [otherproccodez]                  VARCHAR(8000)  NULL,
    [attending_physician_taxonomy]    VARCHAR(8000)  NULL,
    [billing_provider_taxonomy]       VARCHAR(8000)  NULL,
    [referring_provider_taxonomy]     VARCHAR(8000)  NULL,
    [pay_to_provider_taxonomy]        VARCHAR(8000)  NULL,
    [payment_reset_date]              DATETIME2(7)   NULL,
    [payment_reset]                   INT             NULL,
    [senttobescored]                  INT             NULL,
    [senttobescoreddtstamp]           DATETIME2(7)   NULL,
    [scoringrcvddtstamp]              DATETIME2(7)   NULL,
    [pitstatus]                       BIGINT          NULL,
    [terminalstatusupdatesentdtstamp] DATETIME2(7)   NULL,
    [pitrejected]                     INT             NULL,
    [terminalstatusfeedcreated]       INT             NULL,
    [claimchosenamounttopay]          NUMERIC(28, 6) NULL,
    [numberofvisitstodeduct]          INT             NULL,
    [effectivedate]                   INT             NULL,
    [insjustificationcode]            INT             NULL,
    [filingeffectivedate]             DATETIME2(7)   NULL,
    [other_hlth_ins_present]          VARCHAR(1)     NULL,
    [hasdups]                         INT             NULL,
    [nuccversion]                     VARCHAR(5)     NULL,
    [admissionhour]                   VARCHAR(4)     NULL,
    [dischargehour]                   VARCHAR(4)     NULL,
    [ediag2]                          VARCHAR(30)    NULL,
    [ediag3]                          VARCHAR(30)    NULL,
    [icdindicator]                    INT             NULL,
    [notetxt]                         VARCHAR(500)   NULL,
    [patdiagbox70]                    VARCHAR(30)    NULL,
    [specialprovcat]                  VARCHAR(50)    NULL,
    [thread__id]                      NUMERIC(18, 0)    NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	PatientID							bigint,				--EPRS assigned (FK), reference Patients, TODO: combo trade on vistapatkey, box2 with SPatient
	StationID							smallint NOT NULL,	--EPRS assigned (FK), reference Stations, (trade in station__no + facility)
	VerifiedByFBCSUserID				int,				--EPRS assigned (FK), reference FBCSUsers, verifiedby
	PreImportedByFBCSUserID				int,				--EPRS assigned (FK), reference FBCSUsers, preimportedby
	ImportedByFBCSUserID				int,				--EPRS assigned (FK), reference FBCSUsers, importedby
	PreviousPreImportedByFBCSUserID		int,				--EPRS assigned (FK), reference FBCSUsers, previewpreimportedby
	PreviousImportedByFBCSUserID		int,				--EPRS assigned (FK), reference FBCSUsers, previousimportedby
	ReopenedByFBCSUserID				int,				--EPRS assigned (FK), reference FBCSUsers, reopeneduser
	SentToPaymentByFBCSUserID			int,				--EPRS assigned (FK), reference FBCSUsers, senttopaymentby
	EPRSProviderID						bigint,				--EPRS assigned (FK), reference Providers, provider + providernpi
	PhysicianProviderID					bigint,				--EPRS assigned (FK), reference Providers, box1 (TODO: what we do with box1b)
	AttendingPhysicianProviderID		bigint,				--EPRS assigned (FK), reference Providers, take attendingphysicianid if filled, otherwise take attendingphysicianname + attendingphysiciannpi if filled (if both filled, they are always the same)
	OperatingPhysicianProviderID		bigint,				--EPRS assigned (FK), reference Providers, operationphysiciannpi, operatingphysicianname
	PaymentFacilityProviderID			bigint,				--EPRS assigned (FK), reference Providers, paymentfacilityid
	EDIBillingProviderID				bigint,				--EPRS assigned (FK), reference Providers, edi_bill_prov_name_box33
	EDIRenderingProviderID				bigint,				--EPRS assigned (FK), reference Providers, edirenderingprov
	EntryClaimTypeID					tinyint,			--EPRS assigned (FK), reference ClaimTypes, claimentrytype
	ClaimStatusID						tinyint,			--EPRS assigned (FK), reference ClaimStatuses, status
	ImportedClaimStatusID				tinyint,			--EPRS assigned (FK), reference ClaimStatuses, importednote
	AdmissionTypeID						tinyint,			--reference AdmissionTypes, admissiontype (write field to AdmissionTypeID, 0 - 9)
	AdmissionSourceID					tinyint,			--EPRS assigned (FK), reference AdmissionSources, admissionsrc
	EPRSReasonID							smallint,			--EPRS assigned (FK), reference Reasons, reasonid
	EPRSAdmissionReasonID					smallint,			--EPRS assigned (FK), reference Reasons, admissionreasonid
	EPRSDischargeReasonID					smallint,			--EPRS assigned (FK), reference Reasons, dischargereasonid
	EPRSSuspensionReasonID					smallint,			--EPRS assigned (FK), reference Reasons, suspensionreason
	RepricedStatusID					tinyint,			--EPRS assigned (FK), reference RepricedStatuses, repricedstatus
	MeansTestStatusID					tinyint,			--EPRS assigned (FK), reference MeansTestStatuses, meansteststatus
	DischargeStatusID					tinyint,			--EPRS assigned (FK), reference DischargeStatuses, dischargestatus


	--primary key
	
	--unique key(if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH(DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraints

--Metadata descriptions for each field
