﻿CREATE TABLE zraw._fbcsub92lines
(
	--source: A06, CDWWork, FBCS.ub92lines

	--fields
    [station__no]			VARCHAR(30) NOT NULL,
	ub92id					BIGINT,
	id						BIGINT,
	position				BIGINT,
	box42					VARCHAR(8000),
	box44					VARCHAR(8000),
	box45					SMALLDATETIME,
	box46					NUMERIC(28,	6),
	box47					NUMERIC(28,	6),
	box48					NUMERIC(28,	6),
	repriced				INT,
	repricedamount			NUMERIC(28, 6),
	box44mods				VARCHAR(8000),
	authorized				VARCHAR(8000),
	pay						INT,
	reason					VARCHAR(8000),
	healthnetrepricedamount	NUMERIC(28, 6),
	paid					NUMERIC(28, 6),
	paymentstatus			INT,
	vistaid					VARCHAR(50),
	codesearch				VARCHAR(5),
	modifiersearch			VARCHAR(2),
	vafcp					VARCHAR(8000),
	vafb					VARCHAR(8000),
	vaon					VARCHAR(8000),
	vain					VARCHAR(8000),
	allowabletype			VARCHAR(50),
	otherallowabletype		VARCHAR(20),
	otherallowableamount	NUMERIC(28, 6),
	medicarefee				NUMERIC(28,	6),
	checknumber				VARCHAR(50),
	voucherdate				DATETIME2(7),
	[minutes]				NUMERIC(28, 6),
	mileage					NUMERIC(28,	6),
	vistaallowabletype		VARCHAR(2000),
	vistaallowableamount	NUMERIC(28,	6),
	cmsallowabletype		VARCHAR(2000),
	cmsallowableamount		NUMERIC(28,	6),
	renderingprovidernpi	VARCHAR(8000),
	vafbint					VARCHAR(8000),
	contractnumber			VARCHAR(20),
	localrejectreason		VARCHAR(60),
	cfrejectreasons			VARCHAR(100),
	linechosenamounttopay	NUMERIC(28, 6),
	duplicatejustificationid	VARCHAR(8000),
	[thread__id]			NUMERIC(18, 0) NOT NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs


	--primary key
	
	--unique key(if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH(DATA_COMPRESSION = PAGE)
GO

--foreign keys

--indexes

--constraINTs

--Metadata descriptions for each field
