﻿CREATE TABLE zraw._ndimConsultFactorType
(
	--source: A01/SQL52, SPV.NDim.ConsultFactorType

	--fields
	[ConsultFactorTypeSID] int NOT NULL,
	ConsultFactorTypeID int NOT NULL,
    SearchString varchar(100) NULL,
    ConsultFactorType varchar(50)NULL,
    ConsultFactorText varchar(300)NULL,
    AutoTrackFlag char(1) NULL,
    TrackableFlag char(1) NULL,
    ReportableFlag char(1) NULL,
    CTBItemFlag char(1) NULL,
    HasParameter varchar(50) NULL,
    AdditionalSQL varchar(200) NULL,
    SQLParameter varchar(50) NULL,
    RecordStartDateTime datetime2(0) NULL,
    RecordEndDateTime datetime2(0 )NULL,
    ExtractBatchID int NULL,
    OpCode char(1) NULL,
    ETLCreateDate datetime NULL,
    ETLEditDate datetime NULL,
	--BatchLogID should always be the last of the authoritative source fields listed
	--in the data gathered by extractors, it should be the first of the EPRS-specific fields
	BatchLogID			        BIGINT,
	--EPRS table specific: Any fields beyond this point are EPRS specific fields/FKs
	
	--primary key
	
	--unique key (if any)
) 
ON StagingData
	--when using clustered columnstore index, can't set data compression to PAGE
	WITH (DATA_COMPRESSION = PAGE)

GO

--foreign keys

--indexes



--constraints

--Metadata descriptions for each field
